2011-07-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Bumped version number to to 2.0.21.

        * configure.in (LTVERSION): Set "8:3:1".

        * tests/ja-namazu-cgi-3.in, pltests/{ja-namazu-cgi-3.in, 
        alltests.pl.in}: Add new tests.

        * man: update.

        * NEWS: update.

2009-09-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * man: update.

        * po/*.po: update.

2009-09-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: Bug fix for check $ENV value TEMP, TMP.

        * configure.in (LTVERSION): Set "8:2:1".

        * configure.in: Bumped version number to to 2.0.20pre1.

2009-09-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/replace.c: When the field value is a blank, the bug of 
        buffer overrun is corrected.

2009-08-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c: When the field value is a blank, the bug of 
        buffer overrun is corrected.

2009-03-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * man: update.

        * configure.in: Bumped version number to to 2.0.19.

2009-03-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * NEWS: update.

2009-03-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Date change.

        * configure.in: Bumped version number to to 2.0.19RC1.

2009-02-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in (LTVERSION): Set "8:1:1".

        * configure.in: Bumped version number to to 2.0.19pre1.

2009-02-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu.c: Arrangement of source code.

        * src/{rcfile.c, result.c}: convert tabs to spaces.

        * nmz/idxname.c: convert tabs to spaces.

        * pl/{filter.pl.in, util.pl}: Arrangement of source code.

        * filter/{koffice, msofficexml, ooo, visio}.pl: To use
        "pl/extutf8.pl".

2009-01-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/document.pl: Arrangement of text of source file.

2009-01-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/{wakati.pl, time.pl}: Arrangement of text of source file.

        * pl/{gettext.pl.in, var.pl.in }: Arrangement of text of source file.

        * pl/codeconv.pl: ditto.

2009-01-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/conf.pl.in: convert tabs to spaces.

2008-09-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/zip.pl(_unzip_filter): fix initialize bug.

2008-07-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{msword, excel, powerpoint}.pl: To use "pl/extutf8.pl".

2008-07-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/codeconv.pl: Add new function.(tousascii)

        * pl/extutf8.pl(_utf8_to_usascii): Use 'tousascii'.

2008-07-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{cgi, namazu-cgi}.c: The type of the variable is changed.
        (int -> size_t)

2008-07-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{form, output, rcfile, result}.c: The type of the variable
        is changed. (int -> size_t)

2008-07-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/extutf8.pl: Add new files. (Extensions UTF8)

2008-06-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: It was rewritten that contents of the
        environment variable were checked.

2008-06-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en, ja}/manual.html: The dependence filter is added to
        each filter.

        * doc/{en, ja}/manual.html: Update Archive::Zip URL.

2008-06-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{koffice, msofficexml, ooo}.pl: update.

2008-06-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: Version of the checked OLE::Storange_Lite::PPS,
        etc...

2008-06-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/{ext, extzip}.pl: Add new files. (Extensions Zip)

        * namazu.spec.in, pl/Makefile.am, scripts/*.in: require 'ext.pl'.

        * pltests/env.pl.in: Version of the checked IO::Scalar, IO::String
        module is added.

        * filter/{koffice, ooo}.pl: It changes so that util::syscmd()
        may be used.

2008-06-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * namazu.spec.in: Requires perl-File-MMagic >= 1.27.

2008-05-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/zip.pl: Bug fix.

2008-05-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/*.pl: Small correction.

2008-05-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/zip.pl: TAB to SPACE. fix small bug.

2008-05-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{rtf, zip}.pl: To use the reference of the subroutine.

        * filter/rtf.pl: Remove File::Basename.

        * filter/*.pl: The blank at the end of line is deleted.

        * filter/oasys.pl: normalize_document is changed to 
        normalize_eucjp_document.

        * filter/{excel, powerpoint}.pl: To use the reference of
        the subroutine.
        normalize_document is changed to normalize_eucjp_document.
        The bug of the conversion of "summary" is corrected. 
        Remove File::Basename.

        * filter/msword.pl: To use the reference of the subroutine.
        normalize_document is changed to normalize_eucjp_document.
        The bug of the conversion of "summary" is corrected. 

2008-04-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/xdoc2txt.pl: For OpenXML.

2008-04-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/query.c(set_phrase_trick): The problem of mistaking 
        a complex expression is corrected. 

        * filter/{koffice, ooo}.pl(utoe): It changes like previously
        evaluating Encode.

        * filter/{rtf, taro, wordpro}.pl: normalize_document is
        changed to normalize_eucjp_document.

2008-04-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: The check on the size of the file is added to
        the processing of the --html-split option.

        * pl/htmlsplit.pl: A temporary file is made for it is time when
        it used --html-split with Windows, and the filename including
        the blank or Shift_JIS.

2008-04-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/htmlsplit.pl: Trouble to which the code conversion 
        is not done is corrected. 

        * pl/htmlsplit.pl: Trouble to which the file is not closed
        is corrected. 

2008-03-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * NEWS: updated.

	* configure.in: Bumped version number to to 2.0.18.

2008-03-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/*.[ch]: Added -DHAVE_STDLIB_H.
        Do cast for avoiding warning.

	* configure.in: Bumped version number to to 2.0.18RC3.

2008-03-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/*: update.

2008-03-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/mknmz-{5,8}.pl.in: Add "--check-filesize" option.

        * tests/mknmz-{5,8}: Add "--check-filesize" option.

        * man/*.1: update.

	* configure.in: Bumped version number to to 2.0.18RC2.

2008-03-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* pl/conf.pl.in: for Windows.

	* conf/namazurc-sample.win32: Add New file.

	* configure.in: Bumped version number to to 2.0.18RC1.

2008-02-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.18pre2.

2008-02-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/output.c (emprint): fix small bug.

        * conf/namazurc-sample: s/foo\.jp/example.jp/g

        * doc/en/{manual, nmz, tips, tutorial}.html: s/foo\.jp/example.jp/g

        * doc/jp/{manual, nmz, tutorial}.html: s/foo\.jp/example.jp/g

        * pltests/namazu-cgi-4.pl.in: s/foo\.jp/example.jp/g

        * template/*: s/foo\.jp/example.jp/g

        * tknamazu/*: s/foo\.jp/example.jp/g

        * nmz/score.c: s/foo\.jp/example.jp/g

2008-01-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/conf.pl.in: Change pattern from "com[1-9]" to
        "com[1-9][0-9]?".

        * src/output.c (emprint): Bug fix 2007-12-21.

2007-12-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c (emprint): Added emphasis tag count check.

2007-12-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Add AC_CHECK_HEADERS(errno.h).

2007-11-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/{olemsword.pl, xdoc2txt.pl}(add_magic): The OLE
        media-type is added for the misidentification prevention.

2007-11-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{msword.pl, excel.pl, powerpoint.pl}(getSummaryInfo):
        Add normalize_eucjp().

2007-11-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{msword.pl, excel.pl, powerpoint.pl}(utf8_to_eucjp):
        The difference of processing with the code conversion tool is
        corrected.

2007-08-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/util.pl(fclose): At the index output, It reported on
        the error without space.
        (Reported by Felipe Sanchez. Thanks.)

2007-08-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: The bug that copied
        'NMZ.{head, foot, body, tips}*' file of an illegal filename that
        existed in the template directory onto the index was mended.

2007-06-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * NEWS: updated.

	* configure.in: Bumped version number to to 2.0.18pre1.

2007-05-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/mknmz-8.pl.in: The confirmation whether the index
        has been updated is added.

        * tests/mknmz-9: Expand test file.

2007-05-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/hnf.pl: update date.

2007-05-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in (LTVERSION): Set "8:0:1".

2007-05-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/list.[ch]: Add List library.

        * src/charset.[ch]: Add new files.

        * src/{cgi.c, namazu-cgi.c, namazu-cmd.c, namazu.c, namazu.h}:
        Add new function 'exit_nmz'.

        * src/output.c(get_contenttype): Restructuring.

        * src/rcfile.c: Added 'Charset' directive.

        * pltests/namazu-cgi-12.pl.in: ditto.

        * conf/namazurc-sample: ditto.

2007-05-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu.c: Add new function 'exit_nmz'.

        * src/output.c: Fix typo.

        * pltests/namazu-cgi-12.pl.in: Add new test.

2007-05-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * HACKING-ja: update.

2007-05-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{cgi.c, output.c}: The character set is output to the contents
        type of the response header.

        * configure.in: add 'de, pl'.

        * po/{de, pl}.po: add Deutsch, Polish.

        * po/*.po: update.

        * make_sjis_po: SJIS -> Shift_JIS.

2007-04-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/output.c(die): Add HTML, BODY tags.

        * src/output.[ch]: Add get_contenttype().

        * nmz/i18n.c(_purification_lang): The bug that cannot include the
        number.

2007-04-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c(encode_entity): '\'', '(', ')' is converted into
        "&#39;", "&#40;", "&#41;" respectively.

        * src/namazu-cmd.c(main): "charset=iso-8859-1" is added to the
        response header.

        * src/output.c(emprint, putc_entitize): '\'', '(', ')' is converted
        into "&#39;", "&#40;", "&#41;" respectively.

        * src/output.c(die): Sanitize.

        * src/cgi.c(validate_idxname): Add HTML, BODY tags.

        * src/namazu-cmd.c(main): ditto.

2007-04-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: The checked environment variable is added.

        * conf/namazurc-sample: "charset" was added to "ContentType"
        of the example. 

2007-04-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: The checked environment variable and
        version of the checked Perl module is added.

2007-04-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * man: updated.

        * po: updated.

2007-03-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/tutorial.html: Update MeCab version.

        * NEWS: updated.

	* configure.in: Bumped version number to to 2.0.17.

2007-03-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* configure.in: Bumped version number to to 2.0.17RC6.

2007-03-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

        * doc/{en,ja}/tutorial.html: Update Text-ChaSen version and URI.

        * NEWS: updated.

2007-03-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

        * doc/{en,ja}/tutorial.html: Update MeCab version and URI.

2007-03-06  Yukio USUDA <usu@namazu.org>

        * filter/mp3.pl: Support MP3-Info 1.21's behavior.

2007-02-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/rcfile.c: The type of the variable is changed.

	* pl/conf.pl.in ($AlLOW_FILES): remove extensions of XPS.

2007-02-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/manual.html: comment out xps.pl filter.

        * filter/xps.pl: move to contrib/xps.pl.

	* configure.in: Bumped version number to to 2.0.17RC5.

2007-02-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/manual.html: Add visio.pl filter.

2007-02-08  Yukio USUDA <usu@namazu.org>

	* filter/xps.pl: Add routine to get title and author.

2007-02-07  Yukio USUDA <usu@namazu.org>

	* filter/xps.pl: Add new filter for XML Paper Specification(XPS).

        * filer/Makefile.am: Added new entry for xps.pl.

	* tests/data/ja/xps.xps: Add a new file.

        * tests/data/ja/Makefile.am: Added new entry for xps.xps.

	* pl/conf.pl.in ($AlLOW_FILES): Added extensions of XPS.

	* doc/{en,ja}/manual.html: Add xps.pl filter.

2007-01-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/ooo.pl: fix small bug.

        * doc/{en,ja}/manual.html: update.

        * filter/msofficexml.pl: check of a dependence filter.

        * filter/visio.pl: check of a dependence filter.

2007-01-27  Yukio USUDA <usu@namazu.org>

	* filter/msofficexml.pl(remove_txbodytag): Add a subroutine for
	Powerpoint txBody tag.

        * filter/visio.pl: Added some subroutin. Seems to work.

2007-01-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/*.pl: change "w" -> "wb".

        * tests/data/ja/visio2007.vdx: Added new file.

        * tests/data/ja/*2007*: update.

        * filter/{visio.pl, Makefile.am}: Added a new file. visio exclusion
        filter.

2007-01-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Date change.

        * nmz/*.c: The type of the variable is changed.

        * src/rcfile.c: ditto.

2007-01-21  Yukio USUDA <usu@namazu.org>

        * filter/msofficexml.pl: Added Excel sheet name support.
	Fixed another embeddings support bug.

        * filter/zip.pl: Fixed a bug.

2007-01-19  Yukio USUDA <usu@namazu.org>

        * filter/msofficexml.pl: Fixed embeddings support bug.

2007-01-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/*: Update.

2007-01-18  Yukio USUDA <usu@namazu.org>

        * filter/msofficexml.pl: Added embeddings support.

2007-01-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/ole*.pl: The check on the version of Office is added.

2007-01-15  Yukio USUDA <usu@namazu.org>

	* scripts/nmzcat.in: Add code conversion for Win32 Shiftjis terminal.

2007-01-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/*.pl: Correction concerning addFileExts and addition
        of comment.

        * filter/win32/*.pl: ditto.

        * tests/data/ja/Makefile.am: Added new files.

        * filter/msofficexml.pl, filter/win32/ole*.pl: Change mime-type.

        * pl/conf.pl.in: ditto.

2007-01-13  Yukio USUDA <usu@namazu.org>

	* filter/msofficexml.pl: Added new fiter.

	* filter/Makefile.am: Added an entry for msofficexml.pl.

	* pl/conf.pl.in ($AlLOW_FILES): Added extensions
	of MS-OfficeOpenXML.

        * doc/{ja,en}/manual.html: Added descriptions about
        filter/msofficexml.pl

2006-12-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/ole*.pl: It corresponded to Office 2007, Visio 2007.

        * tests/data/ja/*x: Added test data.

2006-11-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.17RC4.

        * man: Update messages.

2006-11-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/macbinary.pl: The name of the variable is changed. 

2006-11-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/Makefile.am: Correction for VPATH. However, pltests
        uncorresponds to VPATH.

        * tests/*: For VPATH.

        * autogen.sh: update uri.

2006-11-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: Warning is put out, and an illegal date is
        disregarded.

        * pl/time.pl: ditto.

2006-11-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mailutime.in: It was corrected that the default value
        when the pkgdatadir environment variable was undefined was
        "/usr/local/share/namazu/".

2006-11-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/namazu-cgi-9.pl.in: Environment variable NAMAZUNORC is
        not deleted and it is corrected that it returns.

	* configure.in: Bumped version number to to 2.0.17RC3.

2006-11-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/time.pl(rfc822time_to_mtime): The date field is annulled for
        the future from 2038. 

        * scripts/mknmz.in(namazu_core): ditto.

2006-10-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in(put_log): Few modify.

2006-10-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.17RC2.

	* doc/{en,ja}/*: Update.

2006-10-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/env.pl.in: Add new file.

2006-10-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * File-MMagic: Imported 1.27.

        * scripts/{gcnmz, nmzmerge}.in: Bug fix.
        (namazu-users-ja#901, Thanks to NOMIYA Masaru)

2006-10-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/conf.pl.in: ".eml" is added to $ALLOW_FILE.

        * tests/data/{en, ja}/mail.eml: New file.

2006-10-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/*: It deals with trouble in which make check fails
        because of the environment of Mac + gettext 0.14.2.

2006-10-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.17RC1.

2006-09-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/{search.c, hlist.c}: The call of unnecessary nmz_copy_hlist()
        is omitted and it optimizes it.

	* configure.in: Bumped version number to to 2.0.17pre2.

2006-09-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/re.c: Few modify.

        * contrib/nmzchkw.pl: Add utility program.

        * nmz/hlist.c(nmz_do_date_processing): Performance improvement.

2006-09-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/score.c: Few modify.

2006-09-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/hlist.c: Addition of initialization.
        Deletion of unnecessary part.

        * nmz/parser.c(nmz_expr, term): Add nmz_free_hlist().

        * nmz/{re.c, search.c}: NULL was set to the following free() pointer.

        * nmz/search.c(cmp_phrase_hash): When searching for the phrase,
        the fix did the bug that referred to the memory free() for
        ERR_TOO_MUCH_HIT. (namazu-user-ja#821, Thanks to taguchi)

2006-09-05  Yukio USUDA <usu@namazu.org>

	* doc/{en,ja}/manual.html: Update Perl module URI.

2006-09-02  Yukio USUDA <usu@namazu.org>

	* doc/{en,ja}/manual.html: Update Perl module URI.

2006-09-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.17pre1.

2006-08-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/cgi.c(process_cgi_var_max, process_cgi_var_whence):
        When an empty value is set to CGI parameter, the default value
        is used. 

2006-08-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c(emphasize): The bug that goes into an infinite loop
        is corrected when searching by '"' or '/'. 

        * src/result.c(replace_field): The order of the emphasis and the
        HTML encode was reversed.

2006-08-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * conf/namazurc-sample: It is added to the comment that Suicide_Time
        is only UNIX.

        * src/namazu-cgi.c: It is corrected that neither signal() nor alarm()
        are used in MinGw.

2006-07-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/olemsword.pl: Error "Can't use an undefined value
        as a HASH reference at" is prevented.

2006-07-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/search.c: The regular expression is corrected in the
        field search and the bug that cannot disable is corrected.
        (Reported by Kenichi Maehashi, Thanks.)

2006-07-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/form.c: The part where the empty element tag is shut by "/>" 
        is changed to " />". 

2006-06-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/olertf.pl: Add addMagicEntry.

2006-06-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * namazu.spec.in: It is corrected that filter-requires-namazu.sh is
        deleted with clean.

2006-06-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * namazu.spec.in: add nmzcat, nmzegrep.

        * namazu.spec.in: fix filter-requires-namazu.sh.

2006-06-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c: The substring match was corrected to do the emphasis.

2006-05-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/taro56.pl: The model dependence character is converted
        into GETA.

2006-05-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/nmzidx.pl: The order of the output of the log was changed.

        * scripts/{gcnmz.in, nmzmerge.in}: "Total Files:" is changed to
        "Total Documents:". With the comma.
        (#16: nmzmerge log format is inconsistent with mknmz)

2006-05-28  Yukio USUDA <usu@namazu.org>

        * filter/taro56.pl: Fixed taro5 file convert error bug.

2006-05-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/form.c: When the template is customized, the possibility
        that the buffer overflow happens is corrected.
        (Reported by Derek Atkins, Thanks.)

2006-05-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: The mistake of the number of dummy arguments of
        process_file() is corrected.

        * scripts/mknmz.in: It is corrected that it ends when the content of
        NMZ.status cannot be read in the directory specified by the --update
        option.

2006-04-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/pdf.pl: 'Unable to convert pdf file (maybe copying
        protection)' was corrected at option --debug.

2006-04-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/mailnews.pl: Correspondence for imperfect multi part.

2006-04-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/mailnews.pl: It corresponds to the Japanese text encoded
        with base64/quotedprint. (single part and multi part)

2006-04-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/Makefile.in: The blank after '@' was deleted because
        there was a case where make clean fails.

2006-04-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/oleexcel.pl(Win32_FullPath): Corrected a typo.

        * nmz/{libnamazu.h, field.c, idxname.c, search.c, util.c}:
        isalpha -> nmz_isalpha, isdigit -> nmz_isdigt, etc...

        * src/{output.c, result.c}: ditto.

        * filter/html.pl(embedded_filter): The trouble of <script> tag is
        corrected.

        * filter/html.pl: The part of the uncorrespondence is corrected to
        "/>" of XHTML.

        * filter/win32/olevisio.pl: The type library name of Visio 2000 is
        added.

        * pl/gfilter.pl(filename_to_title): It corresponds to the filename
        that doesn't contain the passing delimiter.

        * filter/zip.pl: The bug that a temporary file remains is corrected.

        * pl/document.pl, scripts/mknmz.in: The error message when the size
        of the file exceeded $conf::FILE_SIZE_MAX was changed.

2006-03-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * man: Update messages.

        * po/*.po: Update messages.

        * NEWS: updated.

	* configure.in (Module): AC_INIT(namazu, 2.0.16) 

2006-03-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/wakati.pl: For MeCab-perl-0.90rc10.

	* configure.in (Module): AC_INIT(namazu, 2.0.16RC3) 

2006-02-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en, ja}/manual.html: Add TRAC_URI.

        * pl/util.pl: Add canopen(). Substitution of "-r" that doesn't
        correspond to ACL of NTFS

        * pl/document.c, scripts/mknmz.in: Ditto.

        * pl/document.c, scripts/mknmz.in: It corresponds to the file name
        including space.

        * src/outpu.c, nmz/{i18n.c, util.c, util.h}: Directory traversal
        problem by lang and result of CGI parameter is corrected. 

	* configure.in (Module): AC_INIT(namazu, 2.0.16RC2) 

2006-01-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/mailnews.pl (mailnews_filter): The argument is changed to
        the same number so far. 

        * NEWS: updated.

        * po/*.po: update.

	* configure.in (Module): AC_INIT(namazu, 2.0.15) 

2006-01-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * NEWS: updated.

        * pltests/{towin.pl, README-ja.txt}: updated.

        * filter/pipermail.pl: The mistake on a day of the week is corrected.

        * po/*.po: update.

	* configure.in (Module): AC_INIT(namazu, 2.0.15RC5) 

2006-01-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * po/*.po: update.

	* configure.in (Module): AC_INIT(namazu, 2.0.15RC4) 

2006-01-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Add TRAC_URI.

        * pl/{usage.pl, var.pl.in}: Ditto.

        * src/usage.c: Ditto.

        * po/{*.po, namazu.pot}: Ditto.

        * doc/{en, ja}/manual.html: Ditto.

        * scripts/mknmz.in: Ditto.

        * man/*: Ditto.

	* NEWS: updated.

2006-01-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/wakati.pl: For MeCab-perl-0.90rc8.

2006-01-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/ichitaro456.pl: It changes so that util::syscmd()
        may be used.

        * pl/util.pl (syscmd): The passing delimitation of Windows was
        changed to '\'.

        * pltests/pltests.pl.in: The execution of the AutoRun command is
        nullified  with cmd.exe. (/d)
        The command enhanced feature is made effective with cmd.exe. (/x)

        * tests/data/ja/Makefile.am: Add new files.

2006-01-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/pltests.pl.in (codeconv_to_*): for Cygwin.

        * doc/{en,ja}/tutial.html: for MeCab.

        * doc/ja/manual.html: Added descriptions about
        filter/win32/olevisio.pl

        * pl/time.pl: The mistake of the comment is corrected.

2006-01-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/manual.html: Update messages.

        * po/{*.po, namazu.pot}: Update messages.

2006-01-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * template/NMZ.body: To the addition of </li>.

        * doc/{ja,en}/manual.html: Update messages.

2006-01-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mailutime.in: In the fuzzy mode, to process day before
        the processing of year, it changes.

2006-01-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/{chasen,kakasi}-2.pl.in: For avoiding
        "used only once: possible typo at ..." warnings.

        * pl/util.pl(checkcmd), pltests/pltests.pl.in(checkcmd):
        The bug that mistook the directory and selected it was removed.
        It was corrected that an empty path was disregarded.

2006-01-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/pltests.pl.in: Added codeconv_to_*().

        * pltests/{chasen, kakasi, mecab}-[1-3].pl.in: For Windows.

	* configure.in (Module): AC_INIT(namazu, 2.0.15RC3) 

2006-01-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/wakati.pl: For MeCab-perl-0.90rc6.

        * pltests/{chasen, kakasi}-2.pl: It is corrected that VERSION of
        the module is output.

        * doc/en/manual.html: To the addition of </dt>, </dd>.

	* configure.in (Module): AC_INIT(namazu, 2.0.15RC2) 

2006-01-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/*: Cwd::getcwd() was changed to Cwd::cwd().

        * pltests/*: The second argument of mkdir() is added.

        * doc/{ja,en}/manual.html: Added descriptions about
        filter/win32/olevisio.pl

2006-01-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in: Because the version that ExtUtils::MakeMaker
        is new uses INSTALLSITEMAN3DIR when File-MMagic is installed
        in the home, the message is changed.

        * configure.in: Update COPYRIGHT.

        * man: Update messages.

2006-01-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/*: Measures of exit code 256.

        * pltests/*: It was corrected that the test failed in things
        except EUC-JP the character-code of the dictionary of kakasi,
        chasen, and mecab.

        * pltests/*: gettext 0.41.2 for Mac.

2005-12-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in (Module): AC_INIT(namazu, 2.0.15RC1) 

2005-12-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/search.c: Trouble from which the search type of the
        regular expression is converted into the small letter is corrected.

        * nmz/search.c: When the search type of the phrase search
        is written with a space between words, the trouble misidentified
        to the regular expression and other retrieval types is corrected.

2005-12-26  Yukio USUDA <usu@namazu.org>

	* filter/win32/xdoc2txt.pl: Remove too strict error check.

2005-12-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/*: Added chasen-[1-3].pl.in, mecab-[1-3].pl.in,
        kakasi-[1-3].pl.in.

2005-12-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/idxdiff-3.pl.in: The comparison of NMZ.field.utc is
        excluded.

2005-12-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.15pre4.

2005-12-10  Yukio USUDA <usu@namazu.org>

	* doc/ja/manual.html: Added nmzcat and nmzegrep to table of contents.

2005-12-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* {nmz, src}/Makefile.am: The order of linking libraries is changed.

2005-12-09  Yukio USUDA <usu@namazu.org>

	* scripts/{nmzcat.in, nmzegrep.in}: Added missing mode parameter
	to mkdir.

	* scripts/Makefile.am(bin_SCRIPTS): Added nmzcat and nmzegrep.

2005-12-08  Yukio USUDA <usu@namazu.org>

        * tests/{mknmz-19, namazu-13}: To skip when MIME::Base64.pm not exist.

2005-12-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/mailnews.pl: It corresponds to the one that the value of
        boundary is not enclosed with a double quotation.

        * scripts/mknmz.in: -C Information on MeCab is displayed by the
        option. 

        * po/*.po, po/namazu.pot: Update messages.

        * namazu.spec.in: Update.

2005-12-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/gnumeric.pl(decode_numbered_entity): The decipherment does
        the multi byte only to a Japanese environment.

        * filter/html.pl(decode_numbered_entity): Deletion in case of 256
        or more.

	* configure.in: Bumped version number to to 2.0.15pre3.

2005-12-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * po/*.po, po/namazu.pot: Update messages.

        * po/POTFILES.in: pl/filter.pl -> pl/filter.pl.in .

        * scripts/mknmz.pl.in (muda): Add $conf::MECAB, $conf::DENY_DDN.

2005-11-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pltests/pltests.pl.in: The execution of the AutoRun command is
        nullified  with cmd.exe. (/d)
        The command enhanced feature is made effective with cmd.exe. (/x)

2005-11-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in(find_target): To skip when filename is DDN.

        * pl/conf.pl.in: Added DENY_DDN.

        * doc/{en, ja}/tutorial.html: update application version and
        MeCab Web-site URI.

2005-11-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/Makefile.am: Added an entry for nmz.dll.

2005-11-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * conf/namazurc-sample: Added 2 directives; Suicide_Time and
        Regex_Search.

2005-11-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/*, template/*: updated.

2005-11-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in, configure.in: It corresponds to MeCab.
        The addition of the -b(--use-mecab) option.

        * pl/{conf.pl.in, usage.pl} : Ditto.

        * po/{POTFILES.in, ja.po, ja_JP.SJIS.po, namazu.pot} : Ditto.

2005-11-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* scripts/mknmz.in: Add $fields->{'mtime'} and $fields->{'utc'}.

2005-11-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/search.c(cmp_phrase_hash): The bug to which docid = 0 doesn't
        become a hit by the phrase retrieval is corrected.

2005-11-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{namazu-cmd.c, rcfile.h, rcfile.c, usage.c}, po/*: Added --norc
        option.

        * doc/{en, ja}/*: Added --norc option.

2005-11-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: The calculation mistakes of the number of total
        files are corrected.

        * src/namazu-cmd.c: The check on the return value of nmz_getopt_long()
        is changed from EOF to -1. 
        The argument is necessary for a short '-4' option. 

2005-11-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* doc/ja/manual.html: Update messages.

2005-11-03  Yukio USUDA <usu@namazu.org>

	* filter/win32/xdoc2txt.pl: Add new filter.
	(Contributed by HANAI Akira, Thanks.)

	* doc/{ja,en}/manual.html: Added descriptions about
	filter/win32/xdoc2txt.pl

	* filter/win32/xdoc2txt.pl: $] It changes into $English::PERL_VERSION. 

	* pl/{document.pl, filter.pl}: Added new files.

	* scripts/{nmzcat.in, nmzegrep.in}: Added new files.

	* scripts/Makefile.am: Added nmzcat and nmzegrep.

	* pl/Makefile.am (perllib_DATA, EXTRA_DIST): Add documnet.pl, 
	filter.pl.

	* doc/en/manual.html: Update messages.

2005-11-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/{re.c, search.c}: Debugging concerning MaxMatch.

        * src/cgi.c(get_cgi_vars): ';' can have been used for the
        delimiter of QUERY_STRING.

2005-11-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/re.c: nmz_regex_grep rewritten. Added nmz_regex_grep_standard()
        and nmz_regex_grep_field().

2005-10-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/search.c(prefix_match): ERR_TOO_MUCH_MATCH -> ERR_TOO_MUCH_HIT.

2005-10-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/{hlist.c, search.c, re.c}: Debugging concerning MaxHit and
        MaxMatch.

        * nmz/search.c(do_regex_preprocessing): In "Inside matching" and
        "Suffix matching", because the regular expression retrieval was
        able to be used, this was corrected.

        * pl/util.c(syscmd): The execution of the AutoRun command is
        nullified  with cmd.exe. (/d)
        The command enhanced feature is made effective with cmd.exe. (/x)

        * template/NMZ.result.*: A grammatical error of HTML was corrected.

2005-10-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/{hlist.c, search.c}: The error check of fseek() is changed
        from -1 excluding 0.

        * nmz/{hlist.c, search.c, re.c}: Debugging concerning MaxHit and
        MaxMatch.

2005-10-16  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in(parse_options): In STABLE, 
	Getopt::Long::config('pass_through') is unnecessary.

2005-10-15  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in(parse_options): Added --norc option.
	Changed to call load_rcfiles() after parsing --config option. 
	Changed to call show_config() after parsing all options. 
	
	* pl/usage.pl:  Added --norc option.

	* po/*: Update messages.

	* doc/{ja,en}/manual.html: Added descriptions about mknmz
	--norc option.

2005-10-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/output.c: It corresponds to "--no-references" class
        "namazu-result-header".

        * src/form.c(get_select_name): It corrected it because there was
        a bug that was not able to be selected when another tag was
        written between the option tag and the option tag.

2005-10-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu-cgi.c: "namazu.h" was deleted and because include 
        had been done twice, one was deleted.

        * pl/wakati.pl(wakatize_japanese_sub): ChaSen, Kakasi, MeCab
        is called excluding the one-byte character.

        * scripts/mknmz.in: It undergoes plastic operation on the text 
        in front of do_wakatigaki.

	* po/*: Update messages.

	* configure.in: Bumped version number to to 2.0.15pre2.

2005-10-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/output.c(print_hitnum_all_idx): The mistake of nesting was
        corrected.

        * src/output.c: <div> tag was added, and class name
        "namazu-result-header" and "namazu-result-footer" were named.

2005-10-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{excel, msword, powerpoint}.pl: Trouble of which Warning
        goes out when the NKF module is not installed is corrected.

2005-10-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu-cmd.c: "namazu.h" was deleted and because include 
        had been done twice, one was deleted.

2005-10-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in(find_target): To skip when '\' is included in
        the filename. (Excluding the second byte of Shift_JIS)

2005-09-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/{adnmz.in, kwnmz.in, lnnmz.in}: It was evaded that
        Warning was displayed when the index was not able to be opened.

2005-09-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in(require_modules): The command line option of
        ChaSen was added. (-i e)

        * configure.in: Addition of option (-i e) of ChaSen. and,
        The escape character is changed for Windows.

2005-09-19  Yukio USUDA <usu@namazu.org>

	* tests/data/decodebase64/Makefile.am: Added new file.

	* tests/data/Makefile.am(SUBDIRS): Added decodebase64.

	* configure.in(AC_OUTPUT): Added tests/data/decodebase64/Makefile.

2005-09-17  Yukio USUDA <usu@namazu.org>

	* filter/mailnews.pl: Fixed problem.

	* tests/data/decodebase64/multipart-mail.txt: Added new file.

	* tests/mknmz-19: Added new tests for mulipart-mail decoding.

	* tests/namazu-13: Ditto.

	* tests/Makefile.am: Ditto.

2005-09-15  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: Specified the mp3 file where the ID3 tag was not 
	included. 

	* tests/data/{en, ja}/ID3v1.mp3: Removed ID3v2's lees.

2005-09-14  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: Fixed problem. MP3::Info's default behavior
	was changed from version1.10.

2005-09-04  Yukio USUDA <usu@namazu.org>

	* tests/mknmz-1: Added file disappearance check.

	* pltests/mknmz-1.pl.in: Ditto.

2005-09-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * README*, nmz/codeconv.c: The mistake of the document
        concerning ISO-8859-* is corrected.

2005-09-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/pipermail.pl (decode_entity): Add &nbsp; handling.

2005-08-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* File-MMagic: Imported from 1.25.

2005-08-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/macbinary.pl: It changed to the one that anything
	doesn't do. 

2005-08-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* Makefile.am, configure.in: Added pltests.

2005-08-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/mailnews.pl: require 'html.pl' was added.

	* pltests/*: The Perl version test program.

2005-08-14  Yukio USUDA <usu@namazu.org>

	* filter/mailnews.pl: Support HTML body without included
	linked objects like RFC 2110 example 9.1.

2005-07-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in: Bumped version number to to 2.0.15pre1.

2005-07-22  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* File-MMagic/*: Imported 1.22.

2005-07-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/wakati.c: Removal of comparison always approved.

        * nmz/util.{c, h}: _nmz_toupper function is added.

        * nmz/{field.c, idxname.c, search.c}, src/{form.c, output.c,
        result.c}: It is cast in 'unsigned char' as for 'char'.
        isalnum(3), isdigit(3), etc...

2005-06-18  Yukio USUDA <usu@namazu.org>

	* filter/excel.pl (filter_xl): Remove NULL table tags.
	(Namazu-users-ja#421)

2005-06-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu-cmd.c: Bug fix.

2005-06-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{en,ja}/*.html: To the addition of </option>, </li>.

2005-06-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: util::fclose() is added.

        * pl/codeconv.pl: Add new subroutine. (remove_control_char,
        codeconv_document, normalize_eucjp_document, normalize_document)

        * filter/*.pl: codeconv::toeuc was changed to
        codeconv::codeconv_document.

        * filter/*.pl: codeconv::normalize_document() is added.

        * filter/{hdml,html}.pl: require 'util.pl' was added.

        * pl/util.pl (readfile): The text mode was deleted.

        * filter/*.pl: codeconv::normalize_eucjp was changed to
        codeconv::normalize_eucjp_document.

        * template/*: To the addition of </option>.
        The id attribute was added to <a> tag.

2005-04-17  Yukio USUDA <usu@namazu.org>

	* tests/data/ja/{oowriter.odt, oocalc.ods, oodraw.odg,
	ooimpress.odp}: Added new file for testsuite.

2005-04-15  Yukio USUDA <usu@namazu.org>

	* filter/ooo.pl: Added file extension for OpenOffice2.0 
	file.
 
	* pl/conf.pl.in: Added file extension for OpenOffice2.0
	file.

2005-04-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in (make_slog_file): Only when the NMZ.slog file 
        is newly made, the mode is adjusted to 0666. 

        * filter/{excel, powerpoint, msword}.pl: system It is replacement 
        to syscmd.

2005-01-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in (codeconv_document): It is corrected that the 
        control character is deleted. (Namazu-users-ja#187)

2005-01-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu.c (namazu_core): The bug concerning the priority 
        level of the evaluation of 'Query' and 'Subquery' was corrected. 
        (Contributed by hatanaka. Thanks.)

2005-01-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/codeconv.pl(eucjp_zen2han_ascii): Bug fix.

2005-01-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{form.h, form.c, output.c}: EmphasisTags check.

        * tests/namazu-cgi-11: Ditto.

        * scripts/mknmz.in: Search of a filename.

2004-12-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/wakati.c: The addition of the cast.

        * conf/namazurc-sample: A drive letter corresponds also to a small
        letter.

        * filter/{ooo, zip}.pl: system It is replacement to syscmd.

2004-12-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/form.c: Correction for JVN#904429FE.

        * tests/namazu-cgi-11: Test for cross-site scripting vulnerability.

2004-12-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/pipermail.pl: It corresponds, when the date is Japanese.

        * filter/{rpm, postscript, pdf}.pl: system() It is replacement to 
        util::syscmd().

2004-11-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/*.pl: $TEXT_SIZE_MAX It is replacement to $FILE_SIZE_MAX.

2004-11-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/html.pl (get_author): Late pattern matching processing
        is corrected.(Namazu-users-ja#67)

2004-11-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/rtf.pl: system It is replacement to syscmd.

        * filter/koffice.pl: It corrects so that syscmd may be used.

        * filter/zip.pl: Text mode correspondence.

2004-11-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/taro.pl: system It is replacement to syscmd.

2004-11-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/taro7_10.pl: $perlver It changes into $English::PERL_VERSION.

        * filter/{postscript, pdf, zip}.pl: Trifling correction for unifying 
        the whole program.

        * filter/{hnf, mhonarc, pipermail}.pl: The check of a dependence 
        filter.

        * src/output.c (print_default_page): At the time of html mode, 
        even when it was not cgi, the bug which displays MIME-HEADER 
        was corrected.

2004-11-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{man, oasys, wordpro}.pl: From HEAD It has taken down 
        to stable.

        * filter/{html, mp3, rtf}.pl: Trifling correction for unifying the 
        whole program.

        * filter/{excel, koffice, msword, powerpoint, ooo}.pl: 
        $perlver It changes into $English::PERL_VERSION. 

2004-11-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: The mistake about $adjrecord pointed out by
        Namazu-devel-ja#346 is corrected.
        (Reported by NAKATANI KATSUMI, thanks.)

        * filter/{bzip2, compress, deb, dvi, gzip, tex}.pl: From HEAD 
        It has taken down to stable.

2004-11-02  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in(load_rcfile, parse_options, load_target_list,
	absolute_path, find_target): Change to use util::win32_yen_to_slash.

	* scripts/mknmz.in(absolute_path): Allow MS-Windows UNC paths.
	(Universal Naming Convention: \\ServerName\ShareName\Directory)

2004-11-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/{gcnmz, lnnmz, nmzmerge}.in: When gcnmz was performed to
        the directory without an index file, the bug to which a temporary
        file is left behind was corrected. (new namazu-devel-ja#123)

        * script/{lnnmz.in, mailutime.in, mknmz.in, vfnmz.in}: 
        $SYSTEM It changes into $English::OSNAME.
        $perlver It changes into $English::PERL_VERSION.

        * script/mailutime.in: TIMEZONE was supported.

        * pl/conf.pl.in ($ALLOW_FILES): Added extensions of Visio.

        * pl/{gfilter.pl, nmzidx.pl}:
        $SYSTEM It changes into $English::OSNAME. $perlver It changes 
        into $English::PERL_VERSION. $^T It changes into $English::BASETIME.

        * pl/nmzidx.pl: When gcnmz was performed to the directory without 
        an index file, the bug to which a temporary file is left behind 
        was corrected. (new namazu-devel-ja#123)

2004-10-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/codeconv.pl: normalize_nl() is added.

        * pl/util.pl(checkcmd): An extension is added.
        win32_yen_to_slash() is added.

        * pl/util.pl: syscmd() is added.

        * pl/util.pl: $SYSTEM It changes into $English::OSNAME.

        * pl/time.pl: Added a new file. (A rfc822time relation and
        a tizezone relation are included.)

        * pl/Makefile.am: Added an entry for time.pl

        * pl/util.pl (rfc822time): Added timezone.

        * filter/win32/{olevisio.pl, Makefile.am}: Add new filter.

        * tests/data/ja/visio2002.vsd: Add new file.

        * filter/*.pl: $SYSTEM It changes into $English::OSNAME.
        $^] It changes into $English::PERL_VERSION.

        * filter/win32/*.pl(status): The filter for which it depends
        is checked.

2004-10-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/pipermail.pl: Change of a line terminators.

        * tests/data/en/Makefile.am: acrobat3.pdf It changes into acrobat5.pdf.

        * filter/win32/ole*.pl: The addition Win32::OLE::Const.

2004-10-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/*.pl: use binmode.

        * filter/win32/*.pl: With util::fopen It was not required
        in order to set up binmode.

2004-10-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/regrex.h: Correction of prototype declaration.

2004-10-02  Yukio USUDA <usu@namazu.org>

	* filter/zip.pl: Bug fix.

2004-10-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* pl/gfilter.pl(filename_to_title): get keywords from a file name.
	Added codeconv::normalize_eucjp().

	* tests/data/en/acrobat3.pdf: remove.
        
2004-09-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* tests/data/en/acrobat5.pdf: New file.

2004-09-23  Yukio USUDA <usu@namazu.org>

	* pl/codeconv.pl(eucjp_han2zen_kana, eucjp_zen2han_ascii): Change the
	parameter passing method to pass-by-reference.

	(normalize_eucjp): Ditto.

	* pl/gfilter.pl(filename_to_title): Ditto.

        * filter/koffice.pl: Bug fix. Add variable $perlver.

2004-09-20  Yukio USUDA <usu@namazu.org>

	* doc/{en,ja}/manual.html (filter): Update messages.

        * filter/koffice.pl: Support Perl5.8 Encode for code convert.

2004-09-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/{adnmz, bnamazu, kwnmz, lnnmz, mailutime, nmzgrep, vfnmz}.in:
        The addition of '-w' option. Correction of the code out of which
        warning comes.

2004-09-18  Yukio USUDA <usu@namazu.org>

	* filter/{koffice.pl, gnumeric.pl, zip.pl}: Added new filters.
	Backport from CVS HEAD: koffice.pl v1.6,  gnumeric.pl v1.2,
	zip.pl v1.10.

	* filter/Makefile.am: Added an entry for new filters.

	* pl/conf.pl.in: Added entries for {KWord, KSpread, KPresenter,
	Kivio, Gnumeric}.

	* tests/data/{en,ja}/{kword.kwd, kspread.ksp, kpresenter.kpr,
	kivio.flw, gnumeric.gnumeric}: Added new file for testsuite.

	* tests/data/{en,ja}/Makefile.am: Added entries for new files.

	* doc/{en,ja}/manual.html (filter): Update messages.

	* THANKS: Added MATSUMURA Namihiko. He contributed filter/zip.pl.

	* filter/mp3.pl: Forgets to perform unlink($tmpfile) at the time of
	an error, it corrects.

2004-09-17  Yukio USUDA <usu@namazu.org>

	* filter/macbinary.pl: Backport patch from CVS HEAD: Changed to 
	call mknmz::apply_filter with filetype.
	(filter): Backport Teranishi's patch from CVS HEAD(1.3 to 1.4):
	The order of evaluation of an error is changed.

	* doc/{en,ja}/manual.html: Changed descriptions about macbinary. 
	Update mknmz option (--decode-base64).

2004-09-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/msword.pl: The part out of which fault comes before
        [ perl 5.6 ] is corrected. (new namazu-devel-ja#138)

2004-09-08  Yukio USUDA <usu@namazu.org>

	* tests/ja-namazu-1: Bug fix. (new namazu-devel-ja#116,126)

	* filter/taro7_10.pl: Corrected a typo.

	* po/*: Update messages.

2004-09-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/codeconv.pl: Outside of the range of an EUC-JP code.
        It changes into a 0xA2AE character and is made not to break
        in util::chomp_eucjp(). (new namazu-win32-users-ja#104)

2004-09-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/data/filter/testfilter.pl: Debugging of addMagicEntry(), 
        and the addition of $fields->'{author}' for a check of operation.

        * tests/mknmz-{3, 8, 10, 12, 15, 16, 17}: Bug fix.
        (new namazu-devel-ja#111,113)
        and It corrected to the unified form.

2004-08-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/dvi.pl: To a change of the nkf command It corrected 
        so that util::toeuc() might be used.

2004-08-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{rpm.pl, dev.pl}: It was made not to open $cfile directly. 

2004-08-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * HACKING, HACKING-ja: Anonymous CVS is changed.

2004-08-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/msword.pl: Word7 correspondence.

2004-08-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/msword.pl: Correction was added to the program as 
        preparation for Word7 correspondence.

2004-08-06  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/pipermail.pl: Correction to the bug of pipermail
        ( '>' of the JIS code is changed into '&gt;', etc...) 

2004-08-04  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{excel, msword, powerpoint}.pl: Support Perl5.8 Encode
        for code convert.

        * filter/pipermail.pl: Add new filter.

        * filter/mailnews.pl: pipermail correspondence.

        * doc/{ja, en}/*: Update messages.

        * doc/update-doc.pl: close() is added.

2004-07-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/conf.pl.in: A comment is changed.

2004-07-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/codeconv.pl(chomp_eucjp): It corrects so that it may pass
        only along Japanese. (Reported by Frederik Ramm, thanks.)

2004-07-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/{ja, en}/*: Update messages.

2004-07-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * template/*: To the addition of </li>, and type="submit" Addition
        of name="submit".

        * filter/msword.pl: Restriction by "TEXT_SIZE_MAX" is added.

        * filter/{excel, powerpoint}.pl: Restriction by "TEXT_SIZE_MAX" is
        added. Correction of a message.

2004-07-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/nmzidx.pl(write_status): NMZ.status The bug by which a comma
        goes into the numerical value of files and keys is corrected.

        * scripts/mknmz.in(get_total_keys, get_total_files): NMZ.status
        Even if the comma is contained in the value of files and keys,
        it corresponds so that it may be OK.

2004-07-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* template/NMZ.result.*: The addition of </dd>, </dt>.

2004-07-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* template/*: 'rev=made' -> 'rev="made"', 'GET' -> 'get'.

2004-07-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/output.c: A tag is changed into a small letter.

        * scripts/mknmz.in: from 'rev=made' to 'rev="made"'.

2004-05-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/{excel, powerpoint}.pl: The source code was arranged.

2004-05-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* pl/{htmlsplit, wakati}.pl: util::fclose() is added.

	* pl/filter/win32/ole*.pl: updated. (namazu-devel-ja#04369)

        * filter/{msword, excel, powerpoint}.pl (utf8_to_eucjp):
        Support of "NKF::nkf()".

2004-05-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/*.pl: util::fclose() is added.
        Forgets to perform unlink($tmpfile) at the time of an error, 
        it corrects.

	* filter/{pdf, taro56}.pl: Changed not to use 'post codeconv'.

        * filter/win32/ichitaro456.pl: Changed not to use 'post codeconv'.
        Since it was not used, File::Copy was deleted.

        * filter/{dvi, man, msword}.pl: Use util::devnull().

2004-05-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* pl/codeconv.pl: util::fclose() is added.

2004-05-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* doc/{ja, en}/manual.html: Correspondence version It changes 
	after 97 SP1 or later.

2004-05-13  Yukio USUDA <usu@namazu.org>

	* filter/win32/oleexcel.pl(filter): Avoid bareword "xlText" not
	allowed while "strict subs".

2004-05-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/rtf.pl: Fix the version comparison routine.

        * filter/win32/ole*.pl: Fix a typo.

2004-05-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/taro.pl (mediatype): Added media type
        `application/ichitaro5', etc...

        * filter/rtf.pl: util::fclose() is added.

2004-05-09  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/{ichitaro456, oleexcel}.pl: util::fclose() is added.

2004-05-08  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: Remove unnecessary code.

	* filter/mailnews.pl: Add ALLOW_FILE, DENY_FILE check
	before nestingfilter process.

2004-05-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * namazu.spec.in: RedHat software namazu.spec was taken in. 
        The unnecessary patch was deleted.

        * nmz/regrex.c: don't use alloc().

2004-05-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: Fix a warning. 'Value of <HANDLE> construct
        can be "0"; test with defined()'.

2004-04-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * configure.in, scripts/*: Since there was a program to which
        an execution attribute is not attached when it created by
        the command 'make', it corrected.

2004-04-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu-cmd.c (parse_options): nmz_optarg A NULL check is
        added.

        * pl/usage.pl, src/usage.c (show_usage): The terminus of an
        option list is shown. "--" It added to usage.

        * po/*: Update messages.

2004-04-26  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in (apply_filter,check_file): Backport Teranishi's
	patch from CVS HEAD (a part of 1.127 to 1.128):The order of 
	evaluation of an error is changed.

2004-04-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{msword,excel,powerpoint}.pl: It corrected so
        that title, author, etc. might be acquired using wvSummary.

        * pl/codeconv.pl: A full-size space is changed into a
        half-size space.

        * pl/codeconv.pl: Convert X0208 alphabet to ASCII.

2004-04-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * po/*.po, po/namazu.pot: Update messages.

2004-04-25  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * scripts/mknmz.in: It corresponds to the file which starts
        numerically. (namazu-win32-users-ja#02005)
        The bug which has not specified an index file with a relative 
        path is corrected.(namazu-devel-ja#04086)

        * filter/html.pl, nmz/field.h, scripts/mknmz.in: It corrected
        so that a '.' could be used for the field.
        and, META tag AUTHOR is reflected in an $fields->{'author'}.
        (namazu-devel-ja#03708)

        * tests/ja-{mknmz, namazu, namazu-cgi}-*, tests/select-data:
        Combination of the environment variable to set up The problem
        which an error generates in make check was corrected.
        (namazu-users-ja#03857, Reported by Yasuaki KAI, thank you.)

        * filter/html.pl (remove_html_elements): remove Office Markup 
        <o:></o:>, <![]>

2004-04-24  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in (apply_filter): Backport NOKUBI's refactoring
	from CVS HEAD (1.110 to 1.111): split filter processing from 
	load_document().

	* scripts/mknmz.in (apply_filter): Backport NOKUBI's patch from
	CVS HEAD (a part of 1.117 to 1.118): add parameter $mmtype. 

	* filter/mailnews.pl(multipart_process, base64_filter,
	quatedprint_filter, nesting_filter): Backport from CVS HEAD:
	Added some subroutines for decode quoted-printable and base64
	encoded bodies within multipart entities.

	* scripts/mknmz.in: Added '--decode-base64' option.

	* pl/usage.pl: Ditto.

	* pl/var.pl.in: Added variable $Opt{'decodebase64'}.

	* pl/conf.pl.in: Added entries for mht.

2004-04-23  Yukio USUDA <usu@namazu.org>

	* pl/usage.pl: Fixed typo (-z, --check-filesize).
	(Reported by Takeshi Komiya, thank you.)

	* doc/{en,ja}/manual.html: Ditto.

2004-04-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * Makefile.am: 'make dist' It corrects so that
        autom4te.cache may be deleted.
        (namazu-devel-ja#04221, by Kazuhiko, thanks.)

2004-04-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/Makefile.am: 'make clean' It corrects so that
        nmzversion.c may be deleted.

        * scripts/nmzmerge.in: Fixed typo. (namazu-user-ja#03774)

        * scripts/mknmz.in (append_index): When a file was deleted,
        the bug which is mistaken in calculation of the total number of
        files was corrected.

        * filter/man.pl: remove escape sequence.

        * tknamazu/configure.in: remove space.
        (namazu-devel-ja#04218, by Kazuhiko, thanks.)

2004-04-16  MATSUURA Kyo  <MATSUURA_Kyo@iii.u-tokyo.ac.jp>

       * template/NMZ.head.de: Correction to <body lang="de">,
	use entity reference (4 places).

2004-04-14  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* Namazu: Version 2.0.13 released.

	* configure.in (Module): AC_INIT(namazu, 2.0.13) 

2004-04-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* NEWS: updated.

2004-04-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in (Module): AC_INIT(namazu, 2.0.13RC4) 

2004-04-11  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* tests/data/ja/powerpoint*.*: Added new file for testsuite.

	* filter/win32/olepowerpoint.pl: Added file extension for 
	PowerPoint slideshow file.

	* doc/ja/tutorial.html: Added GNU make, GNU gettext.

2004-04-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/taro7_10.pl (mediatype): Added media type
	`application/ichitaro7'.

	* scripts/mknmz: The additional check of a Perl version and 
	a PERL_HASH_SEED environment variable.

ssss-04-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* doc/ja/tutorial.html: Update

2004-04-05  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in (Module): AC_INIT(namazu, 2.0.13RC3) 

        * nmz/search.c: very ad hoc.(for OpenBSD)

        * src/rcfile.c (replace_home): The bug which replaces a NULL
        character sequence is corrected.
        (namazu-win32-users-ja#02071)

        * tests/namazu-cgi-9: STDERR message It was made to output to $LOG.

2004-04-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/rcfile.c (load_rcfiles): Environment variable It corresponds
        to NAMAZUNORC.

        * tests/namazu-cgi-9, tests/Makefile.am: Likewise.

2004-04-02  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * nmz/hlist.c (nmz_free_hlist): The rearrangement after free() 
        is added.

2004-04-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/namazu-6: Add debug messages.

	* lib/getopt*.*, src/namazu-cmd.c: The getopt-related name was 
	changed. required to compile on MacOS X 10.1..10.2.6. 

        * tests/namazu-cgi-9: STDERR message It was made to output to $LOG.

2004-03-31  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: exclude no ID3 tag mpeg/audio file.
	(namazu-devel-ja #4001) 

2004-03-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/*: overwrite some environment variable.

        * tests/ja-namazu-cgi-1: Delete debug messages.

        * nmz/search.c (do_phrase_search): Forgets to fclose() at the time
        of an error.

        * scripts/mknmz.in (write_phrase_hash_sub): util::fclose() is added.

2004-03-27  Yukio USUDA <usu@namazu.org>

	* tests/ja-namazu-cgi-1: overwrite some environment variable.

	* filter/mp3.pl(status): Add version check of MP3::Info.pm.

	* doc/{ja,en}/manual.html (mp3.pl): Update messages.

2004-03-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* configure.in (Module): AC_INIT(namazu, 2.0.13RC2) 

        * filter/msword.pl: A STDERR message is deleted.

        * tests/ja-namazu-cgi-1: The argument of namazu.cgi is deleted.

        * tests/ja-namazu-cgi-1: Add debug messages.

        * nmz/hlist.c (nmz_get_hlist): The portion which is destroying
        the memory is debugged.

2004-03-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* NEWS: updated.

2004-03-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/mknmz-18: The portion which becomes an error by 'sh'
        is corrected.

2004-03-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/{bzip2.pl, compress.pl, excel.pl, gzip.pl, msword.pl,
        pdf.pl, powerpoint.pl, rtf.pl}: close() is added.

2004-03-22  Yukio USUDA <usu@namazu.org>

	* po/ja*: Remove fuzzy.

2004-03-21  Yukio USUDA <usu@namazu.org>

	* doc/en/tutorial.html: Update copyright year.

	* doc/{en,ja}/tutorial.html: Update current version of needful software.

	* doc/ja/manual.html: Fixed typo.

	* template/NMZ.body: Conform to doc/en/manual.html.
 
2004-03-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* doc/{en, ja}/nmz.html: Update copyright year.

	* filter/win32/oletaro.pl: Likewise.

2004-03-20  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/util.c (nmz_decode_uri): Added terminator check.

2004-03-20  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: Fix a warning. "Use of uninitialized value." 

	* configure.in (Module): AC_INIT(namazu, 2.0.13RC1) 

	* man/{mknmz.1,namazu.1}: Update messages.

	* src/{cgi.c,form.c,namazu.c,output.c,rcfile.c,result.c,usage.c}:
	Update copyright year.

	* nmz/{alias.c,codeconv.c,field.c,hlist.c,i18n.c,idxname.c,
	libnamazu.c,parser.c,re.c,replace.c,score.c,search.c,util.c,
	var.c,vsnprintf.c,wakati.c}: Likewise.
 
	* scripts/mknmz.in: Likewise.

	* filter/{compress.pl,deb.pl,dvi.pl,excel.pl,gzip.pl,html.pl,
	mailnews.pl,mhonarc.pl,msword.pl,pdf.pl,postscript.pl,
	powerpoint.pl,rpm.pl,taro.pl,taro7_10.pl}: Likewise.

2004-03-19  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in(main): Added TESTS_ENVIRONMENT checking.

	* scripts/mknmz.in(parse_options): Added new variable %opt_conf.

	* tests/{mknmz-10,mknmz-12}: Read mknmzrc with command-line option "-f".

	* doc/{ja,en}/tutorial.html: Update mknmz configuration messages.

2004-03-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* pl/util.pl (fclose, writefile): Added new function.

        * HACKING-ja: The rule which closes a file is added.

2004-03-18  Yukio USUDA <usu@namazu.org>

	* doc/en/manual.html: Delete some description about unscreened feature.

2004-03-18  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/gettext.pl.in: The processing for the character sequence
        containing '$' was added.

        * filter/win32/oletaro.pl: It corresponded to Office XP, 2003.

        * doc/{ja,en}/manual.html (oletaro.pl): Update messages.

2004-03-17  Yukio USUDA <usu@namazu.org>

	* doc/en/manual.html: Had a native speaker check.
	(Contributed by Anna Potoczny, Isaac Jones. Thanks.)

	* src/usage.c: Likewise.

	* THANKS: Added contributers.

        * po/*: Update messages.

	* doc/{en,ja}/manual.html:  Update mknmz help message.

2004-03-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/namazu-[78]: Update messages.

2004-03-16  Yukio USUDA <usu@namazu.org>

        * po/*: Update messages.

2004-03-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/win32/ole*.pl: It corresponded to Office 2003.

        * doc/{ja,en}/manual.html (filter): Update messages.

2004-03-09  Yukio USUDA <usu@namazu.org>

	* filter/ooo.pl: reduce duplicated code calling.

2004-03-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* nmz/search.c: Bug fix: fclose().

2004-03-06  Yukio USUDA <usu@namazu.org>

	* m4/Makefile.in: Removed.

	* filter/rpm.pl (get_summary): Fixed bug.

2004-03-04  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* acconfig.h: Removed.

	* po/Makevers: Added a new file.

	* HACKING*: Adapted to new autotools.

	* autogen.sh: Adapted to new autotools.

	* configure.in: Adapted to new gettext.

	* Makefile.am: Ditto.

	* m4/*: Imported from gettext 0.14.

	* configure.in: Adapted to new autotools.

	* Makefile.am (EXTRA_DIST): Addrd config.rpath and mkinstalldirs.

	* config.rpath: Imported file from gettext 0.14.

	* mkinstalldirs: Ditto.

	* ABOUT-NLS: Ditto.

	* src/Makefile.am (LDADD): s/@INTLLIBS@/@LTLIBINTL@/

	* scripts/mknmz.in (show_usage): Removed a workaround about 
	  xgettext bug.

	* pl/usage.pl: Ditto.

	* pl/wakati.pl (wakatize_japanese): Removed raw EUC-JP string.

2004-02-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * pl/wakati.pl: Bug fix: --no-okurigana
        [namazu-devel-ja#03702].

2004-02-22  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/*.pl: Forgets to perform unlink($tmpfile)
        at the time of an error, it corrects.

2004-02-21  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * tests/{mknmz-1, namazu-1}: Added. mknmz --help, -C,
        namazu --help, -C.

        * filter/rtf.pl: Corrected copyright notice.

        * nmz/{field.c, repace.c, score.c, search.c, util.c}, src/rcfile.c:
        Forgets to perform free() and fclose() at the time of an error,
        it corrects.

2004-02-20  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/Makefile.am: Added the file commonfuncs for CGI tests.

2004-02-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * doc/ja/manual.html (filter): Update messages.

2004-02-07  Yukio USUDA <usu@namazu.org>

	* ooo.pl: Support Perl5.8 Encode for code convert.

        * po/*: Update messages.

2004-02-02  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/form.c (print_headfoot): Adopted to XHTML tag
	(backported from CVS HEAD, closes bugs-ja#377).

2004-02-01  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* script/mknmz.in, po/*: Update messages.

2004-02-01  Yukio USUDA <usu@namazu.org>

	* doc/{en,ja}/tutorial.html: Update

	* filter/taro7_10.pl: Fixed the problem in [namazu-devel-ja#03621].

2004-02-01  Makoto Fujiwara  <makoto@namazu.org>

	* tests/ja-{namazu*,mknmz*} (EXEC): add informative message for LOG

	* configure.in (Module): AM_INIT_AUTOMAKE(namazu, 2.0.13pre8) 

2004-01-31  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * script/mknmz.in: Deletion of '\n' and the nul character.
        It corresponds to the blank character sequence of $fields.

        * pl/nmzidx.pl(put_field_index): Deletion of '\n' and the nul 
        character.

        * pl/gfilter.pl(white_space_adjust_filter): When $$text is not
        defined, it corrects so that a return may be performed.

        * filter/pdf.pl: $fields->{'title'} = undef 
        -> delete $fields->{'title'}

        * nmz/hlist.c: After free() It corrects so that NULL may be
        substituted.

2004-01-31  Yukio USUDA <usu@namazu.org>

	* pl/codeconv.pl: Bug fix: eucjp_zen2han_ascii()

2004-01-26  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/msword.pl: The bug which disregards the second session 
	or subsequent ones was corrected.
	(namazu-bugs-ja#2683, Thanks to nature_photo)

2004-01-24  Yukio USUDA <usu@namazu.org>

	* filter/taro7_10.pl: Support Perl5.8 Encode for UTF-16 code convert.
	filter/taro7_10.pl use Encode module when Perl version is 5.8

	* filter/powerpoint.pl: Added file extension for PowerPoint
	slideshow file.

	* pl/conf.pl.in: Added entry for PowerPoint slideshow file.

2004-01-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * script/mknmz.in: The bug of '-K' option is corrected.
        Change of the judgment method of old index.

        * script/mknmz.in(put_field_index): Deletion of '\n' and the 
        nul character.

        * pl/nmzidx.pl(putline): Deletion of '\n' and the nul character.

2004-01-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/{form.c, output.c, rcfile.c, result.c}: Safety was taken 
        into consideration.

        * nmz/{hlist.c, parser.c, re.c, search.c}: Safety was taken into
        consideration.

        * nmz/hlist.c: Bug fix: fclose(fp).

2004-01-10  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * filter/rtf.pl: Fixed the problem in [namazu-devel-ja#03530].

2003-12-20  Yukio USUDA <usu@namazu.org>

	* tests/{ja-mknmz-1,ja-namazu-1,ja-namazu-cgi-1}: Changed exit code
	not to display "PASS" when test was skipped.

2003-12-17  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c (emphasize): Fix a warning.
	"Use of uninitialized value."
	(namazu-devel-ja#03416)

2003-12-03  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* nmz/hlist.c (nmz_get_hlist): The error of the number of 
	documents used when calculating 'idf' was corrected.
	(namazu-devel-ja#03385)

2003-11-27  Yukio USUDA <usu@namazu.org>

        * filter/taro56.pl: Added routine to get title.

2003-11-19  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/namazu-cgi.c: Bug fix.

        * src/{cgi.c,namazu-cgi.c}: It corrected so that
        Netscape-Enterprise Server might also operate.
        (namazu-devel-ja#03266, namazu-user-ja#03627)

2003-10-21  Makoto Fujiwara  <makoto@namazu.org>

	* scripts/mknmz.in (show_config): adjust column indent (sync with head)

	* scripts/mknmz.in (show_config): [n-d-j:03263] verbose
	Supported media types.

	* scripts/mknmz.in (show_config): [n-d-j:03265] show File::MMagic
	version at -C, proposed by Usuda San.

2003-10-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* filter/mailnews.pl: Fixed the problem in [n-d-j:03172,03208].

	* filter/html.pl: Added $HTML_ATTRIBUTES [n-d-j:02899].

2003-09-29  Yukio USUDA <usu@namazu.org>

	* filter/taro7_10.pl: Change to use OLE-Storage_Lite perl module.

        * doc/{en,ja}/manual.html: Add OLE-Storage_Lite URI.

2003-09-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in: Added --check-filesize option for
	  checking NMZ.field.size.

	* pl/var.pl.in: Ditto.

	* tests/mknmz-18: Added a test for --check-filesize option.

	* tests/Makefefile.am: Ditto.

2003-09-06  Yukio USUDA <usu@namazu.org>

        * scripts/mknmz.in (decide_type): Add to check 'application/x-zip'.

        * filter/ooo.pl (add_magic): Change addMagicEntry to addFileExts.

        * filter/dvi.pl: Support jdvi2tty.

        * doc/ja/manual.html: Add ps2text URI.

        * tests/data/ja/Makefile.am: Add rpm.rpm.

2003-08-27  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: Screened content.

2003-08-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* filter/pdf.pl: Fixed the problem in [n-u-j:03496].

        * tests/namazu-1: '-a' option was added in order to
        display all reference results.

2003-08-25  Yukio USUDA <usu@namazu.org>

	* filter/mp3.pl: reselect items for summary content.

2003-08-24  Yukio USUDA <usu@namazu.org>

	* filter/taro7_10.pl: remove remove_ctlcode().

	* filter/mp3.pl: Added new filter.
	(namazu-devel-en#54, Contributed by Luc, thanks.)

	* THANKS: Added.

	* tests/data/{en,ja}/ID3v{1,2}.mp3: Added new files for testsuite.

	* tests/data/{en,ja}/Makefile.am: Added ID3v{1,2}.mp3

	* pl/conf.pl.in ($ALLOW_FILES): Added extension of mp3

	* filter/Makefile.am: Added an entry for mp3.pl

	* doc/{en,ja}/manual.html (filter): Added descriptions about mp3

2003-08-13  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* filter/*.pl: Changed copy() to util::efopen().
        Since it was not used, File::Copy was deleted.
        (namazu-devel-ja#3163)

	* filter/rtf.pl: Add addMagicEntry.

2003-08-12  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* filter/macbinary.pl: Added a new file.

2003-08-07  Makoto Fujiwara  <makoto@ki.nu>
 
	* doc/{en,ja}/tutorial.html: File-MMagic-1.20 required

2003-08-03  Makoto Fujiwara  <makoto@ki.nu>

	* doc/{en,ja}/tutorial.html: Describe correct command
	line to do in-place-test before make install.
	(namazu-bugs-ja#934, Thanks to Vicki Brown)

2003-08-01  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in: AM_INIT_AUTOMAKE(namazu, 2.0.13pre7)

2003-07-31  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* File-MMagic/: Imported version 1.20.

2003-07-30  Makoto Fujiwara  <makoto@ki.nu>

	* pl/codeconv.pl (toeuc): backed out to 1.11.8.3 
	$$contref = NKF::nkf($nkf_opt, $$contref);
	( namazu-devel-ja #3169)

2003-07-30  Makoto Fujiwara  <makoto@ki.nu>

	* scripts/mknmz.in (write_phrase_hash_sub): perl -d:DProf related.
	return 0 if %PhraseHash eq '';  ( namazu-devel-ja #3146)

	* pl/codeconv.pl (toeuc): perl -d:DProf related.
	 $contref = [NKF::nkf($nkf_opt, $$contref)]; 
	 (namazu-devel-ja #3152, by SATOH Fumiyasu)

2003-07-26  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/nmzversion.c.in: Added a new file for getting version.

	* nmz/nmzversion.h.in: Removed.

2003-07-23  Makoto Fujiwara  <makoto@ki.nu>

	* nmz/regex.c (nmz_re_compile_pattern): add cast (int) for 
	subscript. To suppress warning on line 1715,1717,2238,2240
	warning: subscript has type `char'.  (namazu-devel-ja#03101)

2003-07-22  Yukio USUDA <usu@namazu.org>

	* tests/data/{en,ja}/hdml.hdml: Added new file for testsuite.
 
	* tests/data/{en,ja}/Makefile.am: Added apachecache.txt, hdml.hdml
 
	* pl/conf.pl.in ($ALLOW_FILES): Added extensions of hdml
 
2003-07-22  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in: AM_INIT_AUTOMAKE(namazu, 2.0.13pre6)

2003-07-21  Yukio USUDA <usu@namazu.org>

	* filter/apachecache.pl: New filter marge from HEAD
	(Contributed by TSUCHIYA Masatoshi, thanks.)

	* THANKS: Added.

	* tests/data/{en,ja}/apachecache.txt: Added new file for 
	testsuite.  

	* doc/{en,ja}/manual.html (filter): Added descriptions about
	apachecache

	* filter/Makefile.am: Added an entry for apachecache.pl
	 
2003-07-18  Yukio USUDA <usu@namazu.org>

	* filter/ooo.pl: Add addMagicEntry for OpenOffice.org1.1

2003-07-18  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in: AM_INIT_AUTOMAKE(namazu, 2.0.13pre5)

2003-07-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/libnamazu.{c,h}: Remove nmz_ltversion() and renamed
	nmz_version() to nmz_get_version().

2003-07-15  Yoshinori TAKESAKO  <takesako@namazu.org>

	* doc/{en,ja}/tutorial.html: Added the description about MeCab.
	MeCab is yet another part-of-speech and morphological analyzer 
	which developed based on ChaSen. See the following for details.
	http://cl.aist-nara.ac.jp/~taku-ku/software/mecab/

2003-07-15  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/version.h.in: Added a new file for getting version API.

	* nmz/nmzversion.h.in: Ditto.

2003-07-15  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in (COPYRIGHT): 2000-2002  -> 2002-2003
	
	* NEWS: Add MacOSX getopt fix, add 'August'

2003-07-15  Yoshinori TAKESAKO  <takesako@namazu.org>

	* pl/wakati.pl: Used 'use vars' declaration substitutes for 
	'our' declaration, because it cannot be used by Perl 5.005_03.
	Thanks to Yukio USUDA. (namazu-devel-ja#03067)

2003-07-15  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in: AM_INIT_AUTOMAKE(namazu, 2.0.13pre4)

2003-07-14  Makoto Fujiwara  <makoto@ki.nu>

	* lib/getopt.c: char *optarg = NULL; required to compile
	on MacOS X 10.1..10.2.6. The Original was imported from
	gengetopt-2.5. One line change from that file. See following:
	X-ML-Name: namazu-devel-ja, X-Mail-Count: 03060
	(For some comment lines are added, the actual diff is not 
	one line.)

2003-07-13  Yoshinori TAKESAKO  <takesako@namazu.org>

	* pl/wakati.pl: Support $WAKATI="module_mecab" in mknmzrc.
	Syntax: "module_mecab" means using perl binding module of MeCab.
	MeCab is Yet Another Part-of-Speech and Morphological Analyzer.
	http://cl.aist-nara.ac.jp/~taku-ku/software/mecab/

2003-07-13  Yoshinori TAKESAKO  <takesako@namazu.org>

	* filter/{excel,powerpoint}.pl: Fixed to avoid a warning 
	which occurred when 'xlHtml' is not installed but 'doccat' is.
	"Use of uninitialized value in pattern match (m//) at .."

2003-07-11  Yukio USUDA <usu@namazu.org>

	* doc/{en,ja}/tutorial.html: Update

2003-07-10  Makoto Fujiwara  <makoto@ki.nu>

	* configure.in: AM_INIT_AUTOMAKE(namazu, 2.0.13pre3)

2003-07-10  Yukio USUDA <usu@namazu.org>

	* filter/{excel|msword|powerpoint}.pl: Added codeconv::normalize_eucjp()

2003-07-10  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in(show_config): Modify message

	* pl/codeconv.pl(eucjp_zen2han_ascii,normalize_eucjp): New subroutines 

	* filter/taro7_10.pl: Added codeconv::normalize_eucjp()

	* filter/ooo.pl: Added codeconv::normalize_eucjp()

2003-07-09  Makoto Fujiwara  <makoto@ki.nu>

	* doc/{en,ja}/nmz.html: correction on data length related wording, 
	see: namazu-devel-ja(3009), namazu-users-ja(3312)
	
2003-07-09  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/Makefile.am (filter_DATA): Added rtf.pl.

2003-07-07  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp> 

	* filter/*: It is unnecessary. islang() is deleted.

2003-06-25  Yoshinori TAKESAKO  <takesako@namazu.org>

	* nmz/field.c (nmz_free_field_cache): Fixed the bug by 
	which field_cache was not cleared normally.
	(Related http://www.namazu.org/ml/namazu-devel-ja/msg02698.html)

2003-06-25  Yoshinori TAKESAKO  <takesako@namazu.org>

	* nmz/wakati.c (nmz_wakati): Fixed the internal bug of nmz_wakati(),
	when a language environment variable is set as Japanese.
	Applied the namazu-2.0.12-phrase.patch. (namazu-devel-ja#02820)

2003-06-16  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* nmz/hlist.c (nmz_get_hlist): The bug which is mistaken
	in the judgment of the number of the maximum hits was corrected.

2003-06-15  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/taro7_10.pl (status): Bug fix.

2003-06-08  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* nmz/hlist.c (nmz_get_hlist): Fixed unfree memory allocation bug.

	* doc/ja/manual.html: Bug fix.

	* filter/rtf.pl: Added a new file. RTF filter.

	* pl/conf.pl.in: Added entries for rtf.

	* doc/{ja,en}/manual.html: Added descriptions about
        rtf.

	* nmz/*.c, src/*.c: Fixed unfree memory allocation bug.

2003-06-07  Makoto Fujiwara  <makoto@ki.nu>

	* filter/html.pl (decode_numbered_entity): should be
	util::islang() instead of just islang() See below.

2003-06-05  Makoto Fujiwara  <makoto@ki.nu>

	* filter/html.pl (decode_numbered_entity): correct decoding range
	to process European charset correctly while keeping EUC protection.
	See: namazu-devel-ja, X-Mail-Count: 02949
	Thanks dchartrand at scclab com.

2003-06-03  Yukio USUDA <usu@namazu.org>

	* filter/{taro56,taro7_10}.pl: Reduced garbage character output.

2003-05-13  Ryuji Abe  <rug@namazu.org>

	* configure.in (LTVERSION): Set 7:0:0 because libnmz
	binary compatibility has already been broken.

2003-04-30  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/html.pl: The extraction portions of 
	ALT/SUMMARY/TITLE attribute are corrected
	(namazu-bugs-ja#56).

2003-04-29  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/html.pl: The addition of a subroutine
        (get_alt_attr).

	* filter/html.pl: It corrects so that it may leave
        a HTML tag. (get_table_summary, get_title_attr)

2003-04-26  Yukio USUDA <usu@namazu.org>

	* doc/en/manual.html (filter): Added descriptions about 
	taro56, taro7_10 and OpenOffice.

	* doc/ja/manual.html: Likewise.

2003-04-20  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/html.pl (get_title): The extraction portion of 
	TITLE by the TITLE tag is corrected. (bugs-ja#636)

	* filter/html.pl (get_author): The extraction portion of 
	AUTHOR by the ADDRESS tag is corrected.

	* filter/html.pl (erase_above_body): It corresponded to 
	the BODY tag with attributes.

2003-04-20  Yukio USUDA <usu@namazu.org>

	* scripts/mknmz.in: Added an Warning message

	* filter/taro45.pl: Changed to get file content from $cont.

	* filter/taro7_10.pl: Removed file read/write function.

	* filter/ooo.pl: Added a new file. OpenOffice filter

	* filter/Makefile.am: Added an entry for ooo.pl

	* pl/conf.pl.in: Added entries for OpenOffice Docments.

	* tests/data/en/oowriter.sxw: Added new file for testsuite.

	* tests/data/ja/{oowriter.sxw,oocalc.sxc,ooimpress.sxi,oodraw.sxd}: 
          Added new files for testsuite.

	* tests/data/{en,ja}/makefile.am: Added some entries.

2003-04-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/rcfile.c: Added 2 directives; SUICIDE_TIME and
	REGEX_SEARCH.

	* src/namazu-cgi.c: Ditto

	* nmz/libnamazu.{c,h}: Added 2 API (nmz_set_regex_search, 
	nmz_is_regex_searchmode).

	* nmz/search.c: Ditto.

2003-04-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/data/ja-spec/Makefile.am (EXTRA_DIST): Fixed a typo.

2003-03-30  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/ja-namazu-1: Added a new test for checking Japanese
	phrase problem.

	* tests/data/ja-spec/bad-phrase.txt: Ditto.

2003-03-28  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* script/mknmz.in: Remove control char.

        * filter/mhonarc.pl: Add codeconv::toeuc() after uncommentize().

2003-03-27  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

	* filter/pdf.pl: Fixed the problem in [n-u-j:03064],
        Adapted to xpdf 2.02.

2003-03-24  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c: Change to nmz_strlower from tolower.

        * src/output.c (emprint): Buffer size is corrected.

        * src/result.c (emphasize): The emphasis at the time of phrase 
        search is corrected.

        * src/result.c (compose_result): Buffer size is corrected.

2003-03-23  Tadamasa Teranishi  <yw3t-trns@asahi-net.or.jp>

        * src/result.c: Bug fix.

        * src/*.c: Bug fix.: buffer overflow.

        * src/result.c (emphasize): The bug which fails in the copy of
        a long string is corrected.

2003-03-22  Ryuji Abe  <rug@namazu.org>

	* nmz/vsnprintf.c: Provide snprintf imprementation.

2003-03-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/field.c (nmz_get_field_data): Fixed possiblility of
	buffer overflow (imported from HEAD, modified by opengl2772).

	* nmz/hlist.c (nmz_set_sortfield): Ditto.

	* nmz/i18n.c (nmz_choose_msgfile_suffix): Ditto.

	* nmz/idxname.c (nmz_set_defaultidx): Ditto.

	* nmz/re.c (nmz_regex_grep): Ditto.

	* nmz/replace.c (nmz_replace_uri): Ditto.

	* nmz/score.c: Ditto. 

	* nmz/search.c: Ditto.

	* src/cgi.c: Ditto.

	* src/form.c: Ditto.

2003-03-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/{taro56,taro7_10}.pl: New Ichitaro filters.
	(Contributed by Yukio USUDA, thank you)

2002-11-15  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (LTVERSION): Set 7:0:4.

	* nmz/field.{c,h}: Added a new function nmz_free_field_cache().
	(Contributed by Youichi Iwakiri, thank you)

	* nmz/libnamazu.{c,h}: Ditto.

2002-11-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/msword.pl (filter_wv): Adapted to wvWare 0.7.4.
	(Reported by GOO, thank you.)

2002-11-07  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/nmzidx.pl (comma): Fixed a typo.

2002-10-31  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (check_file): Fixed a typo (s/after/before/).
	(Reported by HAGA Nobuaki, thank you.)

	* scripts/nmzidx.pl (comma): Added a new function.

	* nmz/i18n.c (nmz_set_lang): Fixed unfree memory allocation bug.

2002-10-04  Ryuji Abe  <rug@namazu.org>

	* template/Makefile.am (template_DATA): Added polish translations.
	(Contributed by Krzysztof Drewicz. Thanks.)

	* template/NMZ.body.pl: Likewise.

	* template/NMZ.foot.pl: Likewise.

	* template/NMZ.head.pl: Likewise.

	* template/NMZ.result.normal.pl: Likewise.

	* template/NMZ.result.short.pl: Likewise.

	* template/NMZ.tips.pl: Likewise.
	
	* THANKS: Added more contributers.

	* NEWS: Added descriptions.

2002-09-08  Ryuji Abe  <rug@namazu.org>

	* filter/msword.pl: Corrected copyright notice.

2002-09-07  Hajime BABA  <baba@plain.isas.ac.jp>

	* script/mknmz.in: Fixed the bug of FILE_SIZE restriction.

2002-09-04  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* template/Makefile.am (template_DATA): Added *.de files.

2002-09-03  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* Namazu: Version 2.0.12 released.

	* nmz/util.c (nmz_warn_printf): Fixed potential XSS issue.

	* tests/namazu-cgi-8: Added an another XSS checking.
	(Reported by HANAI Akira, thank you)

2002-09-02  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* Namazu: Version 2.0.11 released.

	* tests/*: Added log markings.
	(Commited by proxy for Makoto Fujiwara.)

2002-08-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in: Bumped version number to 2.0.11pre4.

	* NEWS: updated.

2002-08-26  Hajime BABA  <baba@plain.isas.ac.jp>

        * filter/msword.pl: Fixed warnings of undefined variables.
        * filter/postscript.pl: Fixed redirection problem (sorry...)

2002-08-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in: Bumped version number to 2.0.11pre3.

2002-08-19  Ryuji Abe  <rug@namazu.org>

	* NEWS: Use `cross-site scripting' instead of `CSS'.

2002-08-10  Hajime BABA  <baba@plain.isas.ac.jp>

	* (somewhere)/.cvsignore: Newly added.

2002-08-10  Hajime BABA  <baba@plain.isas.ac.jp>

        * filter/postscript.pl: Adapted to ps2text 0.4.1.

2002-08-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/mhonarc.pl: Adapted to MHonARC 2.x.
	(contributed by Earl Hood, thank you!)

2002-08-01  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in: Bumped version number to 2.0.11pre2.

2002-07-31  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/excel.pl (filter_xl): Adapted to xlhtml 0.5.x.

2002-07-29  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/pdf.pl (filter): Fixed overriding $$cont by pdfinfo.

2002-07-26  Hajime BABA  <baba@plain.isas.ac.jp>

        * filter/pdf.pl: Fixed wrong redirection of stdout.

2002-07-26  Hajime BABA  <baba@plain.isas.ac.jp>

	* nmz/util.c: Fixed the following warnings:
	'initialization discards qualifiers from pointer target type'

2002-07-25  Hajime BABA  <baba@plain.isas.ac.jp>

        * filter/pdf.pl: Fixed the problem in [n-d-j:02587],
        and of the stdout redirection.

2002-07-25  Yoshinori TAKESAKO  <takesako@namazu.org>

	* configure.in (AC_OUTPUT): Add contrib/Makefile.

2002-07-25  Ryuji Abe  <rug@namazu.org>

	* doc/en/manual.html: Update location of xlhtml web site.

	* doc/ja/manual.html: Likewise.

2002-07-25  Yoshinori TAKESAKO  <takesako@namazu.org>

	* configure.in: Bumped version number to to 2.0.11pre1.

2002-07-24  Hajime BABA  <baba@plain.isas.ac.jp>

	* filter/win32/ole{msword|powerpoint}.pl: use strict, and sample code.

2002-07-24  Hajime BABA  <baba@plain.isas.ac.jp>

	* filter/pdf.pl: Added a routine which gets the author and the title.

2002-07-11  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* template/NMZ.*.de: Added.
	(Contributed by Gerald Pfeifer, thank you!)

2002-07-05  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* template/NMZ.head: Fixed some typos.
	(Reported by Gerald Pfeifer, thank you!)

2002-06-17  Yoshinori TAKESAKO  <takesako@namazu.org>

	* scripts/mknmz.in (make_phrase_hash, wordcount_sub): Fixed 
	the bug that limits of WORD_LENG_MAX did not work as expected.

2002-06-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/html.pl: Applied scrpit code exclusory patch.
	(http://www.namazu.org/ml/namazu-devel-ja/msg02091.html
	contributed by HAJIME Baba.)

2002-06-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (append_index): Fixed to remain keyword numbers
	in NMZ.head* when some target files are deleted.

	* doc/ja/manual.html: Added description about xpdf Language
	Support Packages.

2002-06-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/cgi.c (validate_idxname): Fixed relative path problem.
	(Reported by TAKAGI Hiromitsu, thanks)

2002-04-26  Ryuji Abe  <rug@namazu.org>

	* Makefile.am (SUBDIRS): Add contrib.
	(DIST_SUBDIRS): Likewise.

	* contrib/ChangeLog: New File.

2002-04-09  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/postscript.pl (filter): Fixed excessive argument on
	ps2ascii, closes: bugs-en#15.

2002-04-01  Yoshinori TAKESAKO  <takesako@namazu.org>

	* scripts/mknmz.in (load_document): Delete NMZ.win32.tmp file 
	when this file exists at the time of a copy.
	Thanks to tsubouchi (namazu-bugs-ja#131).

2002-03-29  Ryuji Abe  <rug@namazu.org>

	* configure.in (LTVERSION): Set 6:0:3.

2002-03-29  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-cgi-8: Removed checking of "result" CGI value.

2002-03-27  Yoshinori TAKESAKO  <takesako@namazu.org>

	* filter/win32/oleexcel.pl (filter): 
	It was got to work also by MS Excel 2002 (MS Office XP).

2002-03-27  Yoshinori TAKESAKO  <takesako@namazu.org>

	* filter/win32/oleexcel.pl: 
	Fixed the bug which Win32 OLE filter doesn't create index 
	by MS Excel 2002. (namazu-win32-users-ja#01204)
	(Reported by yonezawa, thanks.)

	* filter/win32/ole{msword,excel,powerpoint}.pl: 
	Fixed the defined $weight variable doubly.

2002-03-26  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/libnamazu.{c,h}: Added nmz_{set,is}_output_warn_to_file().

	* nmz/util.c (nmz_warn_printf): Changed to check loggingmode and
	output_warn_to_file.

	* nmz/var.c: Added NMZ.warnlog member.

	* src/namazu-cgi.c(main): Added calling
	nmz_set_output_warn_to_file().

2002-03-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/{deb,rpm}.pl: Fixed escape special shell characters handling
	for security.
	(Reported by Luc, thanks)

2002-03-18  Yoshinori TAKESAKO  <takesako@namazu.org>

	* filter/win32/ole{msword,taro,rtf,excel,powerpoint}.pl: 
	Fixed the bug which OLE filter doesn't create index of title 
	and keywords of property. (namazu-bugs-ja#86,#120)
	(Patch contributed by Shohei TAKASHIRO, thanks)

2002-03-15  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/compress.pl: Removed SIGPIPE trapping routine
	because it was changed to care in mknmz.

	* scripts/mknmz.in (trapintr): Added SIGPIPE trapping routine
	(closes: namazu-bugs-en#19).

	* filter/pdf.pl (status()): Added version check to adopt
	xpdf 1.00.

2002-03-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c (print_hlist): Fixed excessive deletion of
	HTML tags (namazu-devel-ja#02406).
	(Reported by Seiji Yamashita, thanks.)
	(unhtml_buffer): Splitted a new function from 
	fputs_without_html_tag().

2002-03-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/compress.pl (filter): Added trapping sigpipe (bugs-ja#111).
	(Patch contributed by Hiroki Nakai, thanks)

	* src/form.c (handle_tag): Fixed no output probrem on
	large NMZ.head file (bugs-ja#111).
	(Patch contributed by Hiroki Nakai, thanks)

2002-02-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/html.pl (remove_comments): Added a new function.
	(Patch contributed by Hamatani, Chihiro, thanks)

2002-02-22  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/libnamazu.h (MAXPATH): Changed to same value as BUFSIZE.
	It fix the probrem that namazu/namazu.cgi didn't work
	when changing BUFSIZE to over 1024.

2002-02-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-10: Fixed the contents of MSG variable.

	* src/cgi.c (get_query_string): Fixed invalid content-type
	output error message.

	* scripts/mailutime.in (main): Added MHonArc file support.

2002-02-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (parse_options): Changed to call 
	load_filtermodules() after parsing index_lang option.

	* filter/man.pl (status()): s/LAN/LANG/

2002-02-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/man.pl: Added $langenv variable for japanized groff.
	http://search.namazu.org/ml/namazu-devel-ja/msg02332.html

2002-02-04  Makoto Fujiwara  <makoto@.ki.nu>

        * scripts/mknmz.in: Message is changed related to TEXT_SIZE_MAX skipping:
          http://www.namazu.org/ml/namazu-devel-ja/msg02312.html
        * po/{es,fr,ja,ja_JP.SJIS}.po: Ditto.

2002-02-04  Ryuji Abe  <rug@namazu.org>

	* nmz/regex.c: Also includes support.h.

2002-02-03  Ryuji Abe  <rug@namazu.org>

	* src/form.c: Includes support.h again.

	* THANKS: Thanks Seiya Nishizawa for namazu-bugs-ja#89.

2002-01-24  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in: Changed to take effect --exclude option on
	html named link (--html-split).

2002-01-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/regex.c: Applied Admin/regex-ruby-alloca.path.

	* nmz/util.[ch] (nmz_scan_*) : Adopted type of function argument
	for nmz/regex.c.

	* nmz/regex.c: Applied silencing some warnings patch.
	(Contributed by Takahiro Kambe, thanks.)

	* nmz/regex*: Imported latest source from Ruby 1.6.6.

	* lib/getopt*: Imported latest sources from GNU gengetopt-2.5.

2002-01-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* lib/getopt.c: Changed to include string.h for using strcmp().
	(Contributed by Takahiro Kambe, thanks.)

2002-01-16  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* doc/ja/tutorial.html: Fixed invalid relative path.
	(Reported by yokoi, thanks.)

2002-01-12  Ryuji Abe  <rug@namazu.org>

	* configure.in: If the platform is MinGW, do not check functions
	str(n)casecmp and (v)snprintf. Also __vsnprintf checking is
	removed.

	* nmz/support.h [Solaris 2.5]: Abandoned to use __vsnprintf
	because of binary compatibility issue.
	[WIN32]: Use str(n)icmp instead of str(n)casecmp.

	* ChangeLog: Fixed typo again :-) (s/probrem/problem/g)

2002-01-11  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-12: Added a new test.

	* nmz/util.c (nmz_pathcat): Added null termination to prevent
	segfault.

	* src/namazu-cmd.c (main): Fixed buffer overflow.
	(Reported by KF, thanks)

	* src/namazu.c: Ditto.

	* src/namazu.h: Added a notice about customizing CGI_QUERY_MAX value.
	(KF <dotslash@snosoft.com> was noticed me the problem, thanks)

2002-01-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/powerpoint.pl: Adopted to new convert programs.
	(Contributed by Takahiro Kambe and Kaz SHiMZ, thanks)

	* filter/excel.pl: Ditto.

	* filter/msword.pl: Ditto.

2002-01-04  Ryuji Abe  <rug@namazu.org>

	* configure.in: Revert to use AM_PROG_LIBTOOL. (workaround
	for earlier version of automake.)

2001-12-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* doc/ja/manual.html: s!/usr/local/etc/mknmz/!/usr/local/etc/namazu/!
	(reported by NIHIRA Takuma, thanks.)

	* doc/en/manual.html: Ditto.

2001-12-27  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/Makefile.am: Added 2 tests.
	(contributed by Tietew, thanks.)

	* Namazu: Version 2.0.10 released.
	
	* NEWS: Updated.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.10.

2001-12-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/result.c (replace_field): Changed to encode into entity on
	all fields.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.10rc2.

2001-12-21  Ryuji Abe  <rug@namazu.org>

	* THANKS: Updated.

2001-12-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/{cgi.c,output.c,output.h}: Cosmetic changes.

	* src/result.c (replace_field): Changed to entitize special 
	characters in HTML mode.

	* src/output.c (puts_entitize): Created the new function and
	changed to use it.

	* nmz/*.c: Fixed some segfault bugs.
	
	* src/*.c: Fixed some segfault bugs.

2001-12-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* THANKS: Updated.

2001-12-18  Ryuji Abe  <rug@namazu.org>

	* maintMakefile (GTAGS): Comment out by default because GTAGS
	support is already included in automake 1.5.

	* src/Makefile.am (common_sources): Renamed because common_SOURCES
	is invalid variable name when automake 1.5 is used.
	
2001-12-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* NEWS: Added 2.0.10 overview.
	
	* src/cgi.c (get_query_string): Added CR to error message.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.10rc1.

2001-12-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/i18n.c (nmz_choose_msgfile_suffix): Fixed some bad expressions.
	(nmz_choose_msgfile_suffix): Fixed buffer overflow.

	* src/form.c (read_headfoot): Changed to call realloc once.

	* tests/namazu-cgi-9: Added a new test script.

	* tests/namazu-cgi-8: Added an another idxname checking.

2001-12-11  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/field.c: Fixed possibility of buffer overflow.

	* nmz/hlist.c: Ditto.

	* nmz/i18n.c: Ditto.

	* nmz/idxname.c: Ditto.

	* nmz/re.c: Ditto.

	* nmz/replace.c: Ditto.

	* nmz/util.c: Ditto.

2001-12-05  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c (puts_entitize): Added a new function.
	(print_hitnum_all_idx): Changed to use puts_entitize instead emprint.
	(emprint): Changed into private function.

	* src/output.h: Ditto.

2001-12-04  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/{form.c,rcfile.c,result.c}: Fixed possibility of buffer overflow.

	* src/output.[ch] (emprint): Changed to public.

	* src/cgi.c (validate_idxname): Fixed another cross-site scripting
	vulnerability.
	(cgi_get_vars): Fixed possibility of buffer overflow.

2001-11-30  Yoshinori TAKESAKO  <takesako@namazu.org>

	* Makefile.am (install-data-local): Fixed The bug which is not 
	installable in Cygwin environment, when DESTDIR is not set.
	Deleted '/' in the next of $(DESTDIR).

	* NEWS: Fixed description of Updating Win32 OLE filters.

2001-11-30  Ryuji Abe  <rug@namazu.org>

	* Namazu: Version 2.0.9 released.

2001-11-30  Ryuji Abe  <rug@namazu.org>

	* Makefile.am (install-data-local): DESTDIR should be
	recognized.

	* NEWS: Updated hnf and Win32 OLE filters now.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.9.

2001-11-30  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.9rc1.

2001-11-29  Yoshinori TAKESAKO  <takesako@namazu.org>

	* filter/win32/ole{msword,taro,rtf,excel,powerpoint}.pl: 
	(status): Add support Office XP experimental. Try to 
	load Const of "Microsoft Office 10.0 Object Library". 
	Thanks for report and patch [namazu-win32-users-ja: 01146].

2001-11-29  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-cgi-8: Added a new test script.

	* src/output.c (print_hitnum_all_idx): Fixed more cross-site
	scripting vulnerability.

2001-11-29  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

	* filter/hnf.pl: support new RT command and bug fixes.

2001-11-27  Ryuji Abe  <rug@namazu.org>

	* Namazu: Version 2.0.8 released.

2001-11-27  Ryuji Abe  <rug@namazu.org>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.8.

2001-11-26  Ryuji Abe  <rug@namazu.org>

	* NEWS: Cross-site scripting vulnerability was fixed.

	* man/Makefile.am: Fixed man page generation correctly.

2001-11-26  Yoshinori TAKESAKO  <takesako@namazu.org>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.8pre1.

	* THANKS: Updated.

2001-11-25  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/output.c (print_query): Fixed the Cross-Site Scripting 
	Security Vulnerability. '"' is converted to entities "&quot;".
	Thanks to "TAKAGI, Hiromitsu" <takagi.hiromitsu@aist.go.jp>
	for problem report [namazu-devel-ja: 02114].

2001-11-25  Ryuji Abe  <rug@namazu.org>

	* scripts/mknmz.in (load_rcfiles): Moved the code
	load_rcfile($ENV{'MKNMZRC'}) from main().

2001-11-24  Ryuji Abe  <rug@namazu.org>

	* HACKING-ja: Fixed descriptions about GNU gettext
	and autotools.

	* HACKING: Likewise.

2001-11-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/ja-namazu-cgi-1: Applied namazu-devej-ja#02042 patch.

	* tests/mknmz-8: Likewise.

	* tests/namazu-cgi-5: Likewise.

	* tests/namazu-cgi-6: Likewise.

	* tests/namazu-cgi-7: Likewise.

2001-11-22  Ryuji Abe  <rug@namazu.org>

	* HACKING-ja: Added more description about GNU gettext
	0.10.36 (or later).

2001-11-06  Ryuji Abe  <rug@namazu.org>

	* scripts/mknmz.in ($PKGDATADIR): New variable. The value
	is pkgdatadir by default, but which can override by the
	pkgdatadir environment variable.
	($LIBDIR): Always locate $PKGDATADIR/pl.
	($FILTERDIR): Always locate $PKGDATADIR/filter.
	($TEMPLATEDIR): Always locate $PKGDATADIR/template.
	(init): Removed workaround code about $TEMPLATEDIR.
	(preload_modules): Rewrite workaround code. If top_builddir
	environment variable is defined, do unshift.
	(load_filtermodules): Removed workaround code about $FILTERDIR.

	* scripts/gcnmz.in ($PKGDATADIR): New variable. The value
	is pkgdatadir by default, but which can override by the
	pkgdatadir environment variable. And $PKGDATADIR . "/pl"
	is used instead of @PERLLIBDIR@.

	* scripts/kwnmz.in: Likewise.

	* scripts/nmzmerge.in: Likewise.

	* scripts/adnmz.in: Likewise.

	* scripts/lnnmz.in: Likewise.
	
	* scripts/Makefile.am (perllibdir): Removed.
	(filterdir):Likewise.
	(templatedir): Likewise.
	(localedir): Likewise.
	(indexdir): Likewise.

	* tests/Makefile.am (TESTS_ENVIRONMENT): Add pkgdatadir.
	
2001-10-30  Ryuji Abe  <rug@namazu.org>

	* configure.in: Moved changequote([, ]) before AC_MSG_CHECKING.
	(Contributed by Akira TAGOH, thanks.)

2001-10-21  Hajime BABA <hajime.baba@nao.ac.jp>

	* filter/pdf.pl: Added -raw option to pdftotext.

2001-10-18  Makoto Fujiwara  <makoto@ki.nu>

	* scripts/mknmz.in:  Fix typo and duplicated step number
	for check_records/dump_record.

2001-09-27  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* tests/namazu-9: Add a test for AND query bug.

2001-09-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/gfilter.pl: Moved from filter/.

	* scripts/mknmz.in: Changed to load gfilter.pl in load_modules().

2001-09-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (preload_modules): Commented out
	excessive unshift @INC.
	(preload_modules): Reverted the above.
	(load_filtermodules): Load gfilter.pl when it is in test scripts.

	* pl/htmlsplit.pl: Removed excessive require "html.pl".

2001-09-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (load_filtermodules): Fixed excessive
	module reading.
	(preload_modules): Added top_builddir to @INC.

	* pl/htmlsplit.pl: Fixed a syntax error.

2001-09-18  Ryuji Abe  <rug@namazu.org>

	* tests/Makefile.am (EXTRA_DIST): Remove $(srcdir) because
	it is unnecessary.
	
2001-09-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/htmlsplit.pl: Applied the following patch:
	http://search.namazu.org/ml/namazu-devel-ja/msg02024.html
	(handling null string in NAME attribute on A element,
	folded NAME attribute value)

2001-09-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* scripts/mknmz.in (preload_modules): Initialize $srcdir.

2001-09-17  Makoto Fujiwara  <makoto@u.ki.nu>

	* pl/util.pl: sub filesize had not fixed.
	http://www.namazu.org/ml/namazu-devel-ja/msg01227.html
	http://www.namazu.org/ml/namazu-devel-ja/msg02030.html

2001-09-15  Makoto Fujiwara  <makoto@u.ki.nu>

	* scripts/{gcnmz,mknmz}.in:
	* tests/*:
	to work with VPATH setup, say different directory trees 
	other than tar ball opened up. See 
	http://www.namazu.org/ml/namazu-devel-ja/msg02014.html

2001-09-15  Kenji Suzuki <kenji@po.ganseki.ne.jp>

	* filter/mhonarc.pl: Fixed case sensitive tag handling bug.
	http://www.namazu.org/ml/namazu-devel-ja/msg01798.html
	Reported by Kazuhiko, thanks.

2001-09-13  Yoshinori TAKESAKO  <takesako@namazu.org>

	* templete/NMZ.head{|.es|.fr|.ja}: Replaced method="get" into 
	method="GET" (upper case).

2001-09-13  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/output.c (print_page_index): Fixed the bug on Lotus Domino
	Server R5.06a, that namazu.cgi outputs inaccurate page links.

	* src/form.c (read_headfoot): Likewise.

2001-09-13  Ryuji Abe  <rug@namazu.org>

	* Namazu: Version 2.0.7 released.

2001-09-13  Ryuji Abe  <rug@namazu.org>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to
	2.0.7.

2001-09-12  Ryuji Abe  <rug@namazu.org>

	* NEWS: DOCUMENT_URI is looked up instead of DOCUMENT_NAME.

2001-09-12  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/output.c (print_page_index): Fixed the bug of DOCUMENT_NAME 
	lookup. When namazu.cgi is called from SSI (Server Side Includes),
	reference of the environment variable changed into DOCUMENT_URI 
	from DOCUMENT_NAME.

	* src/form.c (read_headfoot): Likewise.

	* NEWS: Updated.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.7pre3.

2001-09-12  Yoshinori TAKESAKO  <takesako@namazu.org>

	* templete/NMZ.head{|.es|.fr|.ja}: Deleted the name attribute of 
	search form's submit button from HTML header of templete files. 

2001-09-11  Yoshinori TAKESAKO  <takesako@namazu.org>

	* autogen.sh (AC_PROG_LIBTOOL): Use instead of AM_PROG_LIBTOOL.

2001-09-10  Ryuji Abe  <rug@namazu.org>

	* nmz/Makefile.am (INCLUDES): Use -I$(top_builddir)/intl instead
	of -I$(srcdir)/../intl.

	* src/Makefile.am (INCLUDES): Likewise.

2001-09-08  Yoshinori TAKESAKO  <takesako@namazu.org>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.7pre2.

	* NEWS: Updated.

2001-09-08  Yoshinori TAKESAKO  <takesako@namazu.org>

	* nmz/hlist.c (nmz_andmerge): Fixed the bug of searching on AND 
	query. That namazu displayed the excessive results, when 
	there are the words which don't match or hit at all. 

2001-09-03  Makoto Fujiwara  <makoto@u.ki.nu>

	* doc/{en,ja}/manual.html: Use generic name for
	--help output (2.0.6 -> 2.0.x)

2001-09-03  Ryuji Abe  <rug@namazu.org>

	* nmz/Makefile.am (DEFS): Added -DNO_ALLOCA. We don't
	use alloca() no more.
	(libnmz_la_LIBADD): Delete @LTALLOCA@ again.
	(libnmz_la_DEPENDENCIES): Likewise.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.7pre1.

	* NEWS: More portability improvements.

2001-09-02  Ryuji Abe  <rug@namazu.org>

	[Now <string.h> is included only if it was found.
	Most C sources were modified.]

	* src/form.c: Includes <io.h> instead of <unistd.h>
	if <unistd.h> not found and target platform is Win32.

	* src/cgi.c: Likewise.

	* src/namazu-cgi.c: Likewise.

	* src/namazu-cmd.c: Likewise.

	* src/namazu.c: Likewise.

	* nmz/hlist.c: Simplified <unistd.h> related macro.

	* nmz/libnamazu.c: Likewise.

	* nmz/score.c: Likewise.

	* nmz/search.c: Likewise.

2001-09-01  Ryuji Abe  <rug@namazu.org>

	* nmz/regex.c: Fixed alloca related macro.

	* nmz/alloca.c: Moved from lib.

	* nmz/Makefile.am (EXTRA_DIST): Added alloca.c.
	(libnmz_la_LIBADD): Added @LTALLOCA@.
	(libnmz_la_DEPENDENCIES): Likewise.

	* lib/Makefile.am (EXTRA_DIST): Remove alloca.c.

	* configure.in: AC_SUBST(LTALLOCA).
	
2001-08-31  Ryuji Abe  <rug@namazu.org>

	* NEWS: Added description about next release.

2001-08-26  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* doc/ja/manual.html: Added explanation of kwnmz and nmzmerge.

2001-08-23  Hajime BABA <hajime.baba@nao.ac.jp>

	* pl/conf.pl.in ($ALLOW_FILES): Added extensions of Ichitaro 7 and 8.

2001-08-22  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (dump_record($$)): Fixed a typo.

2001-08-20  Hajime BABA <hajime.baba@nao.ac.jp>

	* doc/ja/manual.html: Added explanation of lnnmz and adnmz.

2001-08-20  Hajime BABA <hajime.baba@nao.ac.jp>

	* ChangeLog, ChangeLog.1, doc/en/manual.html, filter/postscript.pl,
	  man/mknmz.1, nmz/util.c, pl/usage.pl, pl/util.pl, po/es.po,
	  po/fr.po, po/ja.po, po/ja_JP.SJIS.po, po/namazu.pot,
	  scripts/mknmz.in, src/cgi.c:  Fixed trivial typos.

2001-08-20  Yoshinori TAKESAKO  <takesako@namazu.org>

	* scripts/mknmz.in (parse_options): Fixed the bug which occurred 
	when it was specified --ceckpoint option at the time of mknmz, 
	and the character sequence -S was contained in mknmz's options. 

2001-08-20  Ryuji Abe  <rug@namazu.org>

	* nmz/Makefile.am (pkginclude_HEADERS): Never forget score.h!

2001-08-16  Ryuji Abe  <rug@namazu.org>

	* nmz/l10n-ja.c (nmz_is_lang_ja): Fixed to return correct value.
	(Thanks baba for bug report.)

2001-08-12  Yoshinori TAKESAKO  <takesako@namazu.org>

	* scripts/mknmz.in (absolute_path): Fixed the bug when 
	target directories contain the current directory. (Win32)
	http://www.namazu.org/ml/namazu-users-ja/msg01917.html
	Reported by Seiji Yamashita, thanks.

2001-08-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* Namazu: Version 2.0.6 released.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6.

2001-08-08  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/usage.c (show_usage): Fixed a typo (s/results/result/)
	Reported by Jon Steinhart, thanks.

	* po/*.po: Ditto.

2001-08-08  Ryuji Abe  <rug@namazu.org>

	* pl/Makefile.am (CLEANFILES): Remove gettext.pl when make clean.

2001-08-07  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.6rc7.
	
	* Committed Kazuhiko's contribution.
	  + scripts/{adnmz,lnnmz}.in: Use %PERL% instead of @PERL@.
	  + scripts/Makefile.am (adnmz): Substitute @PERLLIBDIR@ and %PERL%.
	    (lnnmz): Ditto.
	  + configure.in (ac_cv_path_MKNMZ): Remove scripts/{lnnmz|adnmz}.

2001-08-07  Makoto Fujiwara  <makoto@harry.ki.nu>

	* doc/en/manual.html: Update --help output for 2.0.6.
	* doc/en/tutorial.html: Adjust wording only

2001-08-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.6rc6.

2001-08-06  Ryuji Abe  <rug@namazu.org>

	* configure.in: Fixed macro orders.
	(AC_PROG_LIBTOOL): Use instead of AM_PROG_LIBTOOL.

2001-08-02  Ryuji Abe  <rug@namazu.org>

	* doc/en/tutorial.html: Fixed description about Japanese
	environment section.

	* doc/ja/tutorial.html: Likewise.

2001-08-01  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* doc/en/tutorial.html: Added description about --indexing-lang
	option.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.6rc5.

2001-08-01  Ryuji Abe  <rug@namazu.org>

	* doc/en/tutorial.html: Fix and update version information of
	several packages.

	* doc/ja/tutorial.html: Likewise.
	
2001-08-01  Makoto Fujiwara  <makoto@harry.ki.nu>
	* doc/ja/manual.html: Replace --help output with  2.0.6
	
	* doc/ja/tutorial.html: command line option -> hikisu

2001-07-31  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/{mknmz-16,namazu-cgi-7}: Added some test scripts.

	* src/output.c (print_page_index): Fixed missing SCRIPT_NAME bug.

2001-07-30  Makoto Fujiwara  <makoto@harry.ki.nu>

	* doc/ja/tutorial.html: add --indexing-lang= and namazurc etc
	
2001-07-30  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* po/fr.po: Updated.
	(Contributed by Stephane Legrand.)

2001-07-29  Ryuji Abe  <rug@namazu.org>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number
	to 2.0.6rc4.

2001-07-28  Makoto Fujiwara  <makoto@harry.ki.nu>

	* doc/{ja,en}/tutorial.html: Reflect LANG/switch scheme
	at Japanese Processing, and ChaSen 2.2.7 to 2.2.8.

2001-07-27  Ryuji Abe  <rug@namazu.org>

	* NEWS: Added description about new feature, -L and
	--indexing-lang options.

2001-07-27  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* po/ja.po: Added some tranlated message.

	* po/*.po: Updated.

	* pl/usage.pl: Added missing escape character.

2001-07-26  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/util.pl: Reverted treatment of LANG/LANG_MSG variables.

	* pl/conf.pl.in: Ditto.

	* scripts/mknmz.in: Ditto.

2001-07-26  Ryuji Abe  <rug@namazu.org>

	* HACKING: New file.

	* HACKING-ja: Added information about CVS access.

	* Makefile.am (etc_DATA): Added HACKING files and deleted
	spec files.
	(EXTRA_DIST): Added spec files.

2001-07-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (parse_options): Added --indexing-lang option.

	* pl/usage.pl: Ditto.

	* pl/util.pl: Moved LANG/LANG_MSG variables to conf.pl.in.

	* pl/conf.pl.in: Ditto.

	* scripts/mknmz.in: Ditto.

2001-07-16  Yoshinori TAKESAKO  <takesako@namazu.org>

	* Makefile.am: Updated $etc_DATA, these files are installed 
	to $(prefix)/share/namazu/etc/ which default is $etcdir.

2001-07-14  Yoshinori TAKESAKO  <takesako@namazu.org>

	* CREDITS: Updated. (make -f maintMakefile update-credits)

2001-07-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6rc3.

	* filter/msword.pl : Changed to use wvHtml instead wvWare.

2001-07-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6rc2.

	* po/fr.po: Fixed header.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6rc1.

	* tests/data/{en,ja}/Makefile.am (EXTRA_DIST): Added some data.

2001-07-12  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/result.c (my_strcasestr): It was made O.K. 
	even if 'JIS X 0201 KATAKANA' is contained in EUC-JP.

2001-07-12  Makoto Fujiwara  <makoto@harry.ki.nu>

	* doc/{ja,en}/tutorial.html: Revert to use nkf-1.71 only
	  Thanks Furukawa San, at
	  http://www.namazu.org/ml/namazu-devel-ja/msg01599.html
	
	  Foot note for prerequisite table in English sorted for
	  general comment and for Japanese processing only.

2001-07-11  Makoto Fujiwara  <makoto@harry.ki.nu>

	* doc/{ja,en}/tutorial.html: Version Updates, Copyright

	* pl/util.pl: http://www.namazu.org/ml/namazu-devel-ja/msg01227.html
	 (In case the file is removed after find_file executed.)
	
2001-07-11  Yoshinori TAKESAKO  <takesako@namazu.org>

	* scripts/mknmz.in (find_target): Fixed the bug which occurs 
	in mknmz (using Perl5.6 and above) when a target directory is 
	a symbolic link. It was found from the test suite of mknmz-11.

2001-07-10  Hajime BABA  <hajime.baba@nao.ac.jp>

	* doc/en/*.html: Corrected trivial mis-spellings.

	* namazu.spec.in: Same as above.

	* NEWS, TODO: Same as above.

	* template/NMZ.{body|tips}: Same as above.

2001-07-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6pre3.

	* tests/mknmz-15: Added a new test script for checking
	duplicate folder.

	* tests/{mknmz-14,namazu-11} : Added new test scripts
	for checking emphasized keyword.

2001-07-10  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/namazu-cgi.c: Added #include "usage.h" for prototype 
	of show_version() function.

	* nmz/codeconv.c (euctosjis): Do cast for avoiding warning.
	And 'JIS X 0212 HOJO KANJI' EUC-JP charactors converts to 
	Shift_JIS 0x81ac (JIS 0x222e) code.

2001-07-10  Yoshinori TAKESAKO  <takesako@namazu.org>

	* pl/codeconv.pl (chomp_eucjp): Added new function. 
	It removes a garbage EUC-JP 1st charactor at the end.

	* scripts/mknmz.in (make_summary, put_field_index): 
	Using new function codeconv::chomp_eucjp().

2001-07-09  Yoshinori TAKESAKO  <takesako@namazu.org>

	* pl/codeconv.pl (eucjp_to_shiftjis): Fixed the problem, that the
	EUC-JP charactor sequence was incorrectly converted into Shift_JIS
	code, if 'JIS X 0201 KATAKANA' was contained.

	* pl/codeconv.pl (shiftjis_to_eucjp): Stopped automatically
	converting --- 'JIS X 0201 KATAKANA (hankaku)' charactors
	to 'JIS X 0208 KATAKANA (zenkaku)'.
	
	* pl/codeconv.pl (eucjp_han2zen_kana): Added new function. 
	This function converts 'JIS X 0201 KATAKANA (hankaku)' charactors
	to 'JIS X 0208 KATAKANA (zenkaku)' in EUC-JP.

	* filter/gfilter.pl (filename_to_title): Using new function 
	codeconv::eucjp_han2zen_kana() for Win32 Shift_JIS filename.
	
2001-07-09  Yoshinori TAKESAKO  <takesako@namazu.org>

	* nmz/util.h (nmz_iseuc_kana1st): Added new macro. This function 
	distinguishes the 1st byte of 'JIS X 0201 KATAKANA' in EUC-JP.

	* nmz/util.h (nmz_iseuc_hojo1st): Added new macro. This function 
	distinguishes the 1st byte of 'JIS X 0212 HOJO KANJI' in EUC-JP.

	* nmz/codeconv.c (euctosjis): Fixed the problem, that the EUC-JP 
	charactor sequence was incorrectly converted into Shift_JIS code, 
	if 'JIS X 0201 KATAKANA' was contained.

2001-07-07  Ryuji Abe  <rug@namazu.org>

	* tests/select-data: Detected $LC_CTYPE and ignored $LANGUAGE.

2001-07-07  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/mknmz.in (put_field_index): uniq @keys.

2001-07-06  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* src/result.c (emphasize): Changed to check word boundary.

2001-07-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* tests/ja-mknmz-1: Replace "==" to "=" for old /bin/sh.

	* tests/ja-namazu-cgi-1: Ditto.
	
2001-07-05  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.6pre2.

	* src/namazu-cgi.c (main): Added a call of show_version() before
	die().

2001-07-04  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/mknmz-13: Added default checkbox patch.
	(Contributed by Philip S Tellis.)

2001-07-03  Yoshinori TAKESAKO  <takesako@namazu.org>

	* src/result.c (my_strcasestr): Checked a buffer overflow,
	the case where a character sequence was over at the 1st byte
	of EUC-JP.

2001-07-03  Ryuji Abe  <rug@namazu.org>

	* src/result.c (my_strcasestr): Renamed from strcasestr(), and
	fixed EUC-JP handling.

2001-07-03  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-cgi-6, tests/mknmz-13: Added 2 new test scripts
	for idxname CGI paramater.

	* po/fr.po: Added some translation.
	(Contributed by Stephane Legrand, thank you!)

2001-07-02  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c: Applied Philip's DOCUMENT_NAME patch.
	(namazu-users-en#00136)

2001-06-26  Ryuji Abe  <rug@namazu.org>

	* template/NMZ.head.ja: Changed title `Namazu: a Full-Text
	Search Engine'.

	* configure.in (AC_OUTPUT): Remove scripts/nmzmerge.
	
2001-06-26  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* NEWS: Added some description.

2001-06-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* New branch: stable-2-0

2001-06-25  Ryuji Abe  <rug@namazu.org>

	* configure.in (AC_OUTPUT): Add scripts/nmzmerge.

	* NEWS: Added description about changes in 2.0.6.

2001-06-25  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/nmzmerge.in: New file.

	* scripts/Makefile.am: Add nmzmerge.

2001-06-24  Ryuji Abe  <rug@namazu.org>
	
	* Makefile.am (SUBDIRS): Moved scripts before man.
	(DIST_SUBDIRS): Likewise.

	* man/namazu.x: New file.

	* man/mknmz.x: New file.

	* man/Makefile.am (MAINTAINERCLEANFILES): Remove man pages.
	(update-man): Removed this rules. Now namazu.1 and mknmz.1
	has their own rules.
	(man_aux): Added *.x files.

	* filter/rpm.pl: Set $util::LANG to both LC_ALL and LANGUAGE
	when the filter command is invoked. (very dirty solution.)

	* filter/deb.pl: Likewise.

2001-06-21  Ryuji Abe  <rug@namazu.org>

	* pl/util.pl (LANG): Moved from scripts/mknmz.in.
	(LANG_MSG): New variable for i18n of output message.
	(set_lang): New function. Both LANG and LANG_MSG are
	set by this function.
	(is_lang_msg): New function.

	* scripts/mknmz.in: Now LC_CTYPE can be recognized.

	* nmz/i18n.c (get_lang_by_category): New function.
	(nmz_get_lang): Returns get_lang_by_category("LC_MESSAGES").
	(nmz_get_lang_ctype): New function. Returns
	get_lang_by_category("LC_CTYPE").

	* nmz/l10n-ja.c (is_lang_ja): Use nmz_get_lang_ctype()
	instread of nmz_get_lang().

	* configure.in (LTVERSION): Set "5:0:2".
	(AM_INIT_AUTOMAKE): Bumped version number to 2.0.6pre1.
	
2001-06-19  Ryuji Abe  <rug@namazu.org>

	* THANKS: Updated.

	* template/NMZ.head: Changed title `Namazu: a Full-Text
	Search Engine'.

2001-06-19  SATOH Fumiyasu  <fumiya@samba.gr.jp>

	* filter/{taro,wordpro}.pl (add_magic): Fixed regex pattern
	for filename suffix.

	* filter/taro.pl (mediatype): Added media type
	`application/ichitaro6' that detected by File::MMagic.

	* ChangeLog: s/probrem/problem/g

2001-06-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (preload_modules): Changed @INC handling
	timing.

	* src/form.c: Applied DOCUMENT_NAME patch.
	(Contributed by Philip S Tellis, thanks!
	<http://search.namazu.org/ml/namazu-users-en/msg00117.html>)

2001-06-18  Ryuji Abe  <rug@namazu.org>

	* man/Makfile.am (EXTRA_DIST): Added help2man.
	(update-man): Use included help2man.

	* man/help2man: Included now.

2001-06-15  Ryuji Abe  <rug@namazu.org>

	* nmz/i18n.c (guess_category_value): Fixed indent. LANGUAGE
	environment variable is checked only if the categoryname is
	LC_MESSAGES.
	
2001-05-29  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (preload_modules): Added a new function.

2001-05-23  Ryuji Abe  <rug@namazu.org>

	* acconfig.h: Put back.

2001-05-20  Ryuji Abe  <rug@namazu.org>

	* acinclude.m4: Removed GNU gettext 0.10.35 related macros.

	* configure.in (AC_OUTPUT): Inserted verbose spaces around
	po/Makefile.in. (Work around a GNU gettext 0.10.37 gettext.m4
	bug)

2001-04-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/mknmz-11 : Fixed the place of evaluating TXTCOUNTS.

	* scripts/mknmz.in (parse_options): Splited load_filtermodules()
	from load_modules() and put it on parse_options	to make effect
	$opt_config.

2001-04-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/mailnews.pl (mailnews_filter): Fixed wrong handling
	about some headers.
	(Reported and a patch contributed by Tietew)

2001-04-20  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c (fputs_without_html_tag, print_query): 
	Fixed inappropriate substitution on idxname, closes: bugs-ja#52.
	(Reported and a patch contributed by Akihiro Sagawa)

2001-04-17  SATOH Fumiyasu  <fumiya@samba.gr.jp>

	* AUTHORS: Added new member SATOH Fumiyasu.

2001-04-17  Yoshinori TAKESAKO  <takesako@namazu.org>

	* AUTHORS: Added new member Yoshinori TAKESAKO.

2001-04-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/{oasis,taro,wordpro}.pl : Added some filename suffix
	in add_magic().
	(Contributed by SATOH Fumiyasu)

2001-04-03  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in : Added preload_modules() function.

	* tests/mknmz-12 : Added a test case for check $FILTERDIR effect on
	mknmzrc (bugs-ja#45).

	* tests/data/Makefile.am: Added a new directory "tests/data/filter/".

2001-03-12  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>
	* nmz/{hlist,parser,search}.c: modify ERR_TOO_MANY_HIT handling.

2001-02-26  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* scripts/{lnnmz|adnmz}.in : newly added.

	* scripts/Makefile.am, configure.in : changed for scripts/{lnnmz|adnmz}
	
2001-02-26  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* nmz/score.[ch]: newly added.
	
	* nmz/Makefile.am: changed for score.[ch]

	* nmz/hlist.[ch] : added nmz_get_docnum(), use nmz_is_tfidfmode().
	
	* nmz/search.[ch] : added nmz_recompute_score(), 
	moved nmz_set_tfidfmode() and nmz_is_tfidfmode() to score.c.

	* src/rcfile.c : changed for score directive.

2001-02-07  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/hdml.pl : Fixed bad name space (s/html/hdml).

2001-02-05  Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>

	* doc/en/manual.html (rfnmz): Fixed usage.

	* doc/ja/manual.html (rfnmz): Likewise. Revert to euc-jp.

2001-01-29  Ryuji Abe  <rug@namazu.org>

	* doc/en/manual.html: Fixed URLs.

	* doc/en/tutorial.html: Likewise.

	* doc/ja/manual.html: Likewise.

	* doc/ja/tutorial.html: Likewise.

2001-01-27  Ryuji Abe  <rug@namazu.org>

	* doc/en/manual.html (filter): Added descriptions about deb, dvi,
	hdml, postscript, powerpoint and rpm.

	* doc/ja/manual.html: Likewise.

2001-01-27  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* pl/util.pl (checkcmd): Replace $^0 to $mknmz::SYSTEM.
	
	* src/output.h: add extern definitions.

	* nmz/search.c (remove_quotes): Added braces.

	* doc/{en,ja}/manual.html: Added some comments for ole{taro,rtf}.pl

	* filter/win32/oleexcel.pl (status):
 	Change the way of presence check of each applications
	from using Win32::OLE->new() to using Win32::OLE::Const->Load(),
 	in order to avoid useless and time-consuming startup.

2001-01-26  Yoshinori TAKESAKO  <takesako@ddt.or.jp>

	* filter/win32/oleexcel.pl: Changed overall program structure. 
	(filter): Use existing instance if Word is already running.
	The making speed of the index to the big size Excel file
	quickens by this change. The change in the following was given.

	- Each sheet was saved by the tab text format by using the 
	  SaveAs method of the OLE Excel application. 
	- Skipped password-protected file.
	- The using memory size was reduced.
	- Moved Excel application destructor to END block.
	- Do not pop up over-write dialog message.

	* filter/win32/olepowerpoint.pl: 
	(getProperties): Get a title from filename which has no slide title.

	* filter/win32/olemsword.pl: 
	(ReadMSWord): Use existing instance if Word is already running.
	The making speed of the index to the Microsoft Word document
	quickens by this change. patched by Hajime BABA.

2001-01-26  Ryuji Abe  <rug@namazu.org>

	* doc/en/tutorial.html: Updated software links.

	* doc/ja/tutorial.html: Likewise.

2001-01-20  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* src/namazu-cmd.c (parse_options): Change the behavior of -C
	option, in order to avoid the confusion around the order of arguments.
	
	* pl/util.pl (devnull): Newly added, which is inspired by
 	File::Spec->devnull() on Perl-5.6.

	* scripts/mknmz.in (parse_options): Use util::devnull().
	
2001-01-19  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* filter/win32/ole{msword,excel,powerpoint}.pl: 
	(status): Change the way of presence check of each applications
	from using Win32::OLE->new() to using Win32::OLE::Const->Load(),
 	in order to avoid useless and time-consuming startup.
	(getProperties): Apply codeconv::shiftjis_to_eucjp().

	* filter/win32/ole{rtf,taro}.pl	(status): Likewise.
	
2001-01-16  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* (somewhere)/.cvsignore: Newly added or modified.

2001-01-16  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* filter/win32/oleexcel.pl: Added arguments to Open() method.
	Password, WriteResPassword, UpdateLinks, and IgnoreReadOnlyRecommended.

2001-01-14  Kenji Suzuki  <kenji@po.ganseki.ne.jp>
	* filter/hnf.pl: Added link template function to customize link to 
	diary, Fixed $hnf::grp_hide = 0 infinite loop bug

2001-01-13  Kenji Suzuki  <kenji@po.ganseki.ne.jp>
	* filter/html.pl: Fix $var::Opt{'NoHeadAbst'} to $var::Opt{'noheadabst'}

2001-01-12  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* scripts/mknmz.in (namazu_core): Applied patch which displayes 
	pathname including Japanese correctly on Win32/OS2 system.
	Courtesy by Mitsuo Satou (namazu-win32-users-ja#00540).

	* filter/win32/olepowerpoint.pl: Fixed waste opening of PPT
	(set $ppt->{Visible}=0), magic numbers and indentation.
	
	* filter/win32/oleexcel.pl: Fixed for password authentificated
	files, some magic numbers and indentation.
	
	* filter/win32/olemsword.pl: Fixed magic numbers and indentation.
	
	* filter/win32/olertf.pl: Fixed indentation.
	
	* filter/win32/oletaro.pl: Substitution for oletaro[45678].pl
	Thanks to Yoshinori.TAKESAKO (namazu-win32-users-ja#00558).
	
	* filter/win32/{oletaro[45678].pl}: Obsolete.

	* filter/win32/Makefile.am: Added oletaro.pl, removed [45678].pl
	
2001-01-11  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* pl/nmzidx.pl: Modify total documents counting.

2001-01-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/deb.pl (dpkg_filter): Removed get_date() function.
	Added m option in get_author.

	* pl/htmlsplit.pl (split): Changed to recognize html anchor
	more suitably.
	Thanks to Tomoyasu Mizuno (namazu-users-ja#01385).

	* tests/mknmz-11: Changed from 'test -L' to 'test -L' for more
	interoperability.

2001-01-04  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* filter/win32/ole{msword,excel,powerpoint}.pl: Applied some patches
	of namazu-win32-users-ja 540, by Mitsuo Satou <satou@osk.3web.ne.jp>.
	
	* filter/win32/olertf.pl: Fixed arguments of ReadMSWord::ReadMSWord().

	* filter/win32/ole{taro[45678]}.pl: Newly added,
	which are inspired by olertf.pl.

	* filter/win32/Makefile.am: Added an entry for oletaro?.pl
	
	* tests/data/ja/{rtf.rtf,taro7.jfw,taro8.jdt}: Newly added.
	
2001-01-04  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* tests/data/{en,ja}/rpm.rpm: Fixed included spec file.

	* filter/{dvi|pdf|postscript}.pl: Clean-up tmpfiles,
	which way is redundant but safe.

	* filter/win32/{ole{msword,excel,powerpoint}.pl,ichitaro456.pl}:
	Merged with filters which are included in nmz205.exe.
	
2001-01-02  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* tests/data/en/tex.tex: Fixed preamble: jarticle -> article

	* filter/win32/Makefile.am: Added an entry for olertf.pl

	* filter/dvi.pl: Added a new file.

	* tests/data/{en,ja}/dvi.dvi: Added new files for testsuite.

	* filter/rpm.pl: Added a new file.
	
	* tests/data/{en,ja}/rpm.rpm: Added new files for testsuite.

	* filter/deb.pl: Added a new file.  NOTE: no testsuite is added.
	
	* filter/Makefile.am: Added entries for dvi.pl, rpm.pl and deb.pl

	* pl/conf.pl.in: Addes entries for DVI, RPM and DEB.
	
2000-12-28  Hajime BABA  <baba@kusastro.kyoto-u.ac.jp>

	* configure.in, pl/conf.pl.in: Improved the notations of
 	some default directives (KAKASI, CHASEN, CHASEN_NOUN).

	* filter/win32/olertf.pl: Added a new file.
	(Contributed by Yoshinori.TAKESAKO, namazu-users-ja 902,907)
	
	* filter/postscript.pl: Support landscape postscript.

	* pl/conf.pl.in: Removed duplicated entries.
	
	* filter/postscript.pl: Changed util::efopen() to system().

2000-12-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/postscript.pl: Added a new file.

	* THANKS: Added.

	* filter/msword.pl (status): Changed regex pattern of
	wv-libconfig again.
	(Contributed by Takuya Nakayama)

2000-12-27  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/msword.pl (status): Changed regex pattern of
	wv-libconfig.

2000-12-26  Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>

	* tests/data/en/excel97.xls: Changed to use 'Courier New' font.

2000-12-26  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/powerpoint.pl: Changed to use pptHtml (a component
	of xlHtml).
	(Contributed by Teranishi)

	* tests/data/{ja,en}/powerpoint97.ppt: Added test data.
	(Contributed by Teranishi)

2000-12-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* conf/namazurc-sample: Removed "charset" paramater.

2000-12-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/namazu-cmd.c,output.c,cgi.c: Fixed malformed header
	problem.

	* nmz/search.c (open_index_files): Refined.

2000-12-20  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-10: Added a new test case.
	(for incompatible index detection)

	* tests/namazu-cgi-5: Added a new test case.
	(for "ContentType" directive)

	* scripts/mknmz.in (main): Changed to call load_modules()
	before when load_rcfiles() is called.
	(fixed namazu-win32-users-ja#00396 problem)

2000-12-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* conf/namazurc-sample: Added the description of "ContentType"
	directive.

2000-12-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* nmz/search.c (nmz_search_sub): Changed to return 
	ERR_OLD_INDEX_FORMAT.
	(open_index_files): Changed to return ERR_OLD_INDEX_FORMAT.

	* nmz/util.c (nmz_strerror), nmz/libnamazu.h: Added
	ERR_OLD_INDEX_FORMAT status code.

	* nmz/ver.[ch], libnamazu.h : Added a new member "version" 
	in nmz.names structure.

2000-12-15  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/excel.pl: s/system/util::systemcmd/

	* pl/util.pl (systemcmd): Added.

2000-12-04  Hideyuki SHIRAI  <shirai@rdmg.mgcs.mei.co.jp>

	* script/mailutime.in (rfc822time): Fixed, 'no day of week' date format.

2000-11-17  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/namazu-cmd.c: Changed MSG_MIME_HEADER related stuff.

	* src/message.h: Changed MSG_MIME_HEADER and added CRLF macros.

	* src/output.c (set_contenttype): Added.
	Changed MSG_MIME_HEADER related stuff.

	* src/rcfile.c (process_rc_contenttype): Added.

	* Created `namazu-hdml' branch.

	* filter/hdml.pl: Added a new file.

2000-11-16  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/mknmz-11: Added.

	* scripts/mknmz.in (find_target): Applied symlinked target directory
	patch (namazu-devel-ja#01097, contributed by SATOH Fumiyasu).

2000-10-24  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* Namazu: Version 2.0.5 released.

2000-10-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/namazu-9 : s/unset LANG/LANG= ; export LANG/
	tests/namazu-cgi-4: Likewise.

2000-10-23  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/util.c (nmz_strprefixcasecmp): Bug fix.
	(nmz_strprefixcmp): Likewise.
	(nmz_strsuffixcmp): Likewise.

2000-10-15  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* acinclude.m4: Modify ccmalloc's URI.

2000-10-14  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * filter/hnf.pl: support new hnf commands or so.

2000-10-12  Ryuji Abe  <rug@namazu.org>

	* doc/ja/manual.html: Fixed descriptions about xpdf, JSTXT
	and Microsoft Product. Add a link to http://www.lynx.browser.org/.
	Change title Namazu User's Manual.

	* doc/en/manual.html: Likewise.

	* doc/ja/tutorial.html: Update software infomations.

	* doc/en/tutorial.html: Likewise.

2000-10-12  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* README: s/Namazu a full text retrieval search system/
	Namazu: a Full-Text Search Engine/

2000-10-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* doc/ja/manual.html: Added Japanese related information
	about xpdf.

2000-10-11  Ryuji Abe  <rug@namazu.org>

	* template/NMZ.head: Use HTML 4.01 DTD.

	* template/NMZ.head.es: Likewise.

	* template/NMZ.head.fr: Likewise. Fixed LANG.

2000-10-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* File-MMagic/*: New upstream (1.09).

2000-10-10  Ryuji Abe  <rug@namazu.org>

	* NEWS: Updated for new release.

2000-10-07  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/kwnmz.in: Correct the expression of score.
	Thanks to Mr. Osamu Okano. [namazu-devel-ja 868]

2000-10-06  Ryuji Abe  <rug@namazu.org>

	* nmz/support.h: Fixed symbol prefix _nmz_.

	* THANKS: Updated.

2000-10-05  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (get_status): Added a workaround for
	ActivePerl bug.
	Thanks to Yoshinori Takesako. [namazu-devel-ja 906]

2000-10-04  Ryuji Abe  <rug@namazu.org>

	* nmz/Makefile.am (libnmz_la_DEPENDENCIES): Set $(NMZ_LIBOBJS).

2000-10-03  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* po/ja.po: Removed fuzzy attribute.

2000-10-03  Ryuji Abe  <rug@namazu.org>

	* nmz/Makefile.am (libnmz_la_LIBADD): Remove $(INTLLIBS).

2000-10-02  Ryuji Abe  <rug@namazu.org>

	* acinclude.m4: Revert gettext related macros to enable
	--with-included-gettext because of Solaris gettext problem.
	(Solaris message catalog is not supported by pl/gettext.pl)

2000-09-30  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/kwnmz.in: Changed to delete unnecessary hash keys.
	Thanks to Mr. Osamu Okano. [namazu-devel-ja 868]

2000-09-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* doc/en/manual.html: Changed on describing msword.pl.

2000-09-27  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/msword.pl: Adapted to wvWare 0.6.0.

2000-09-25  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* po/fr.po: Added some messages.
	(Contributed by Stephane Legrand.)

2000-09-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* configure.in, templates/Makefile.am, templates/*.fr: 
	Added "fr" (French)
	Thanks to Stephane Legrand <Stephane.Legrand@bigfoot.com>
	for translation.

2000-09-18  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* tests/mknmz-9: Changed "-e" to "-r" on test command.

	* tests/mknmz-10: Purged bashism.

2000-09-14  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c (load_nmz_result): Removed excessive encoding
	conversion.
	(Reported by Yoshinori TAKESAKO. Thanks.)

	* tests/* : Added '-print' argument to all find command.

2000-09-13  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* src/output.c: Changed to include system.h.

2000-09-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* File-MMagic: New upstream verison.

2000-09-06  Ryuji Abe <rug@namazu.org>

	* acinclude.m4 (NMZ_FUNC_MEMCMP): Always set NMZ_LIBOBJS suffixes .lo,
	not ${ac_objext}.
	(NMZ_REPLACE_FUNCS): Likewise.

	* configure.in: Also set NMZ_LIBOBJS vsnprintf.lo, not vsnprintf.${ac_objext}.

	* nmz/util.c (_nmz_tolower): Add prefix _.

	* nmz/util.h: Likewise.

	* src/result.c: Likewise.

2000-09-05  Ryuji Abe <rug@namazu.org>

	* acinclude.m4: Do libnmz adaptation.
	(NMZ_FUNC_MEMCMP): Modified Jim Meyering's jm_FUNC_MEMCMP.
	(NMZ_REPLACE_FUNCS): Similar to AC_REPLACE_FUNCS but set NMZ_LIBOBJS
	instead of LIBOBJS.

	* configure.in (NMZ_FUNC_MEMCMP): Use instead of AC_FUNC_MEMCMP.
	(NMZ_REPLACE_FUNCS): Added libnmz support functions (e.g. strcspn.c).
	(AC_REPLACE_FUNCS): Still Entries strstr.c.

	* lib/Makefile.am: Revert not to build libtool library. 
	(EXTRA_DIST): Only strstr.c and alloca.c.

	* lib/easy-vsnprintf.c: Removed.

	* nmz/Makefile.am (EXTRA_DIST): Added libnmz support functions.
	(libnmz_la_LIBADD): Added NMZ_LIBOBJS.
	(DEFS): Added -DHAVE_SUPPORT_H.

	* nmz/memcmp.c: Moved from lib.
	(_nmz_memcmp): Renamed from rpl_memcmp.

	* nmz/support.h: New File. For the purpose of symbol mangling.

	* nmz/memmove.c: Moved from lib. Includes "support.h".

	* nmz/memset.c: Likewise.

	* nmz/strcasecmp.c: Likewise.

	* nmz/strncasecmp.c: Likewise.

	* nmz/strcspn.c: Likewise.

	* nmz/strerror.c: Likewise.
	(perror): Removed.

	* nmz/vsnprintf.c: Moved from lib.
	(snprintf): Likewise.

	* nmz/regex.c: Includes "support.h".

	* nmz/re.c: Likewise.

	* nmz/replace.c: Likewise.

	* nmz/libnamazu.c: Likewise.

	* nmz/field.c: Likewise.

	* nmz/search.c: Likewise.

	* nmz/codeconv.c: Likewise.

	* nmz/query.c: Likewise.

	* nmz/hlist.c: Likewise.

	* nmz/idxname.c: Likewise.

	* nmz/util.c: Likewise.

	* nmz/alias.c: Likewise.

	* src/form.c: Likewise.

	* src/output.c: Likewise.

	* src/result.c: Likewise.

	* src/rcfile.c: Likewise.

	* src/namazu-cmd.c: Likewise.

	* src/Makefile.am (DEFS): Added -DHAVE_SUPPORT_H.

2000-09-01  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (prep): Added "Looking for indexing files..."
	message.

2000-08-29  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (dump_record): Changed to output NMZ.bug.info
	file instead STDERR.

2000-08-25  Ryuji Abe <rug@namazu.org>

	* acinclude.m4: Modified gettext related macros based on 
	gnome-gettext.m4.

	* lib/adhoc.c: Abolished.
	(adhoc_tolower): Revert to nmz_tolower and moved to nmz/util.c.
	(adhoc_strcasestr): Revert to strcasestr and moved to src/result.c. 

	* lib/adhoc.h: Abolished.

	* lib/Makefile.am: Fixed noinst_LIBRAIRES -> noinst_LTLIBRARIES.
	(noinst_LTLIBRARIES): Removed adhoc.[ch].

	* nmz/util.c (nmz_tolower): Be global symbol.
	(nmz_strlower): Revert to use nmz_tolower.

	* nmz/util.h: Added prototype of nmz_tolower.

	* src/result.c (emphasize): Revert to use strcasestr.

2000-08-21  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (find_target): Changed calling die() into 
	using print when an unspoorted target appeared.

	* filter/pdf.pl (filter): Changed to invoke pdftotext without
	"-eucjp" option in non-Japanese environment.

2000-08-21  Ryuji Abe  <rug@namazu.org>

	* Makefile.am (SUBDIRS): Changed order (Entering lib before nmz).
	(DIST_SUBDIRS): Likewise.

	* lib/adhoc.c: New file.
	(adhoc_tolower): New function.
	(adhoc_strcasestr): New function.

	* lib/adhoc.h: Likewise.

	* lib/Makefile.am (noinst_LIBRARIES): Built libnmzut.la.
	(libnmzut_la_SOURCES): Use instead of libnmzut_a_SOURCES. Added adhoc.[ch].
	(libnmzut_la_LIBADD): Use instead of libnmzut_a_LIBADD.
	(libnmzut_la_LDFLAGS): Set -static.
	(AUTOMAKE_OPTIONS): Set 1.4.

	* nmz/Makefile.am (libnmz_la_LIBADD): Linked libnmz with libnmzut and
	libintl correctly.

	* src/Makefile.am (LDADD): Linked libnmzut.la instead of libnmzut.a.

	* nmz/util.c (nmz_strlower): Use adhoc_tolower() instead of nmz_tolower().
	(nmz_tolower): Abolished.
	(nmz_strcasecmp): Likewise.
	(nmz_strncasecmp): Likewise.

	* src/result.c (emphasize): Use adhoc_strcasestr() instead of strcasestr().
	(strcasestr): Abolished.

	* nmz/codeconv.c: Revert nmz_strcasecmp() to strcasecmp().

	* nmz/search.c: Likewise.

	* src/form.c: Likewise.

	* src/namazu-cmd.c: Likewise.

	* src/rcfile.c: Likewise.

	* src/result.c: Likewise.

	* src/output.c: Revert nmz_strncasecmp() to strncasecmp().

2000-08-10  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in: Added checking routine for the "negative numbers"
	bug (namazu-bugs-ja#31).

2000-08-09  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (put_field_index): Added workaround for beginning
	multiple space characters in filename (namazu-bugs-ja#30).

	* File-MMagic: New upstream version (1.07).

2000-08-08  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (load_document): Changed to call decide_type once
	(namazu-bugs-ja#22).

2000-08-03  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (adjust_first_docid): Remove unnecessary codes.

2000-07-19  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (find_target): Added a routine to skip empty
	line target (namazu-bugs-ja#20).

2000-07-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.in (main): Fixed ignore MKNMZRC environment bug
	(namazu-bugs-ja#25).
	(load_rcfile): Added checking process for do statement.

2000-06-28  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* {src,nmz,pl,scrpts}/Makefile.am: Fixed localedir location.

2000-06-21  Masao Takaku  <masao@ulis.ac.jp>

	* **/*.c: s/strcasecmp/nmz_strcasecmp/;
	s/strncasecmp/nmz_strncasecmp/;

	* nmz/util.[ch] (nmz_strcasecmp): New Function. substitute for
	strcasecmp(3). [namazu-users-ja:00503]
	(nmz_strncasecmp): Likewise.

2000-06-16  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* conf/namazurc-sample: Add comments for Replace directive.

2000-06-15  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/mknmz.in: Change command line options to overwrite
	mknmzrc's setting.

	* tests/Makefile.am (TESTS): Add mknmz-10.

	* tests/mknmz-10: New file.

	* tests/namazu-9: unset LC_MESSAGES.

	* tests/namazu-cgi-4: unset LC_MESSAGES.

	* pl/nmzidx.pl: Fix a typo.

2000-06-08  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* nmz/re.c (nmz_regex_grep): Initialize val.stat

2000-05-27  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* nmz/hlist.c (nmz_notmerge): Fix a bug occurred when left.num <= 0

2000-05-24  Masao Takaku  <masao@ulis.ac.jp>

	* filter/html.pl (decode_entity): Fix &nbsp; handling.
	Add "&#x[\da-f];" handling.

2000-05-23  Masao Takaku  <masao@ulis.ac.jp>

	* filter/html.pl (html_filter): Fix namazu-bugs-ja#15. Call
	decode_entity() for strings of %fields.

	* tests/mknmz-9: Fix a syntax error with the Bourne shell.

2000-05-19  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* scripts/mknmz.in (init, main): Add codes to receive TERM signal.

	* tests/Makefile.am (TESTS): Add mknmz-9.

	* tests/mknmz-9: New file.

2000-05-16  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/powerpoint.pl (add_magic): Fixed contradicted media type.

2000-05-15  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/output.c: Apply Jun Kuriyama's patch. namazu-bugs-ja#19

2000-05-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/util.c (nmz_readfile): Fix namazu-bugs-ja#18 by applying
	kuriyama@FreeBSD.org's patch. 

	* filter/gfilter.pl (white_space_adjust_filter): Fix
	namazu-bugs-ja#17 Don't replace	"[\x7f\xff]" with a space. 

2000-05-09  Masao Takaku  <masao@ulis.ac.jp>

	* tests/Makefile.am (TESTS): Add namazu-9.

	* tests/namazu-9: New file.

	* nmz/hlist.c (nmz_get_hlist): Change condition to ignore hits
	(MaxHit).

	* src/rcfiles.c (process_rc_maxhit): Remove check for arg1.

	* src/rcfiles.c (process_rc_maxmatch): Likewise.

	* conf/namazurc-sample: Add comments for MaxHit and MaxMatch
	directives.

2000-05-07  Ryuji Abe <raeva@t3.rim.or.jp>

	* configure.in (LTVERSION): Changed 3:2:0 to 4:2:1.

	* Makefile.am (etc_DATA): Added README-es.
	
2000-05-04  Masao Takaku  <masao@ulis.ac.jp>

	* src/rcfiles.c (parse_rcfile): s/printf/nmz_debug_printf/;
	('make check' failed because of debugging message)

2000-05-01  Masao Takaku  <masao@ulis.ac.jp>

	* src/rcfile.c (process_rc_maxhit): New function.
	(process_rc_maxmatch): Likewise.

	* nmz/libnamazu.h (IGNORE_HIT): Abolished.
	(IGNORE_MATCH): Likewise.
	
	* nmz/{hlist,re,search}.c: Call nmz_get_maxhit() instead of using
	IGNORE_HIT.
	Call nmz_get_maxmatch() instead of using IGNORE_MATCH.

	* nmz/libnamazu.c (nmz_set_maxhit): New function.
	(nmz_get_maxhit): Likewise.
	(nmz_set_maxmatch): Likewise.
	(nmz_get_maxmatch): Likewise.

2000-04-26  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (load_registry): Simplified. Completely rewritten.

	* tests/Makefile.am (TESTS): Add mknmz-8 and namazu-8.

	* scripts/mknmz.in (pickup_updated_files): Change a logic.
	(pickup_updated_documents): Renamed from pickup_updated_files.

	* tests/mknmz-8: New file.

	* tests/namazu-8: Likewise.

	* tests/data/html-split/Makefile.am (EXTRA_DIST): Remove
	html-split.html and add 1.html and 2.html.

	* tests/data/html-split/2.html: New file.

	* tests/data/html-split/1.html: Renamed from html-split.html

2000-04-25  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/htmlsplit.pl (write_partial_file): Fix namazu-bug#9
	(split): Likewise.

	* scripts/mknmz.in (process_file): Fix namazu-bug#10
	<http://www.namazu.org/cgi-bin/jitterbug>
	(process_file): Tiny fix. [n-d-j: 00415]
	(pickup_updated_files): Fix namazu-bug#11

2000-04-24  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* template/NMZ.head: s/Search String/Query/

	* template/NMZ.head.ja: Change <!DOCTYPE ...>
	
	* template/NMZ.head.en: Likewise.

2000-04-17  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in (ALL_LINGUAS): Add "es". (Spanish)
	Thanks to Jose Juan Zapater <compi@arrakis.es> for translation.

	* template/NMZ.result.normal.es: New file.

	* template/NMZ.result.short.es: Likewise

	* template/NMZ.head.es: Likewise

	* template/NMZ.foot.es: Likewise

	* template/NMZ.body.es: Likewise

	* template/NMZ.tips.es: Likewise

	* configure.in (AC_OUTPUT): Remove template/NMZ.head,
	template/NMZ.foot, template/NMZ.head.ja, template/NMZ.foot.ja

	* template/Makefile.am (template_DATA): Add NMZ.body.es,
	NMZ.head.es, NMZ.result.short.es, NMZ.foot.es,
	NMZ.result.normal.es, NMZ.tips.es.
	(EXTRA_DIST): = $(template_DATA)

	* template/NMZ.foot.in: Removed.

	* template/NMZ.foot.ja.in: Removed.

	* template/NMZ.head.in: Removed.

	* template/NMZ.head.ja.in: Removed.

2000-04-14  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.5.

2000-04-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* Namazu: Version 2.0.4 released.

2000-04-09  Ryuji Abe  <raeva@t3.rim.or.jp>

	* template/NMZ.body: Updated the Ruby link.

2000-04-07  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/Makefile.am (TESTS): Add namazu-cgi-4.

	* tests/namazu-cgi-4: New file.

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.4.

	* doc/en/manual.html: Documentation changed.

	* doc/ja/manual.html: Likewise.

2000-04-07  Ken-ichi Hirose  <kenzo-@tama.or.jp>

        * filter/msword.pl (filter_doccat): Remove SJIS code path check.
        All time use temporary file.

        * filter/excel.pl (filter_doccat): Likewise.

        * filter/powerpoint.pl (filter): Likewise.

        * filter/taro.pl (filter): Likewise.

        * filter/wordpro.pl (filter): Likewise.

        * filter/oasys.pl (filter): Likewise.

        * filter/ichitaro456.pl : Move to win32 directory.

        * filter/win32/ichitaro456.pl : Move from filter directory.

        * filter/Makefile.am (filter_DATA): Delete ichitaro456.pl.

        * filter/win32/Makefile.am (filter_DATA): Add ichitaro456.pl.

        * doc/ja/manual.html : Move ichitaro456.pl to Windows section.

        * doc/en/manual.html : Likewise.

2000-04-06  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/ja/tips.html (saving-memory): New section.

	* doc/en/tips.html (saving-memory): Likewise.

2000-04-06  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/msword.pl : Use File::Copy for filter_doccat
        and quote $cfile and $tmpfile2.

	* filter/excel.pl : Likewise.

	* filter/powerpoint.pl : Likewise.

	* filter/taro.pl : Likewise.

	* filter/wordpro.pl : Likewise.

	* filter/oasys.pl : Likewise.

        * filter/ichitaro456.pl (filter): Fix  $tmpfile2 handling
        because add dummy driveletter for doscmd.

        * doc/ja/manual.html : Add doccat URI and infomation.

        * doc/en/manual.html : Likewise.

2000-04-05  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* Namazu: Version 2.0.3 released.

	* filter/Makefile.am (filter_DATA): Remove wordpro.pl and oasys.pl
	temporarily because they were not tested enough.

	* configure.in (AC_OUTPUT): Add tests/data/html-split/Makefile.

	* tests/data/html-split/Makefile.am (EXTRA_DIST): New file.

	* tests/data/Makefile.am: Add html-split.

	* nmz/query.c (set_regex_trick): Change notation of array
	indexing.
	(set_phrase_trick): Change conditions to determine a
	phrase. i.e. "{  }" is not a phrase.

	* tests/namazu-5: Add malicious tests.

	* nmz/query.c (nmz_make_query): Add debug messages.

2000-04-05  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* src/form.c (select_option): Fix could not SELECT of idxname with
        SELECTED.

	* src/cgi.c (get_query_string): Add An httpd server for Win9x
	handling.

	* filter/msword.pl (filter_doccat): Fix multi-byte path.

	* filter/excel.pl (filter_doccat): Likewise.

	* filter/powerpoint.pl (filter): Likewise.

	* filter/ichitaro456.pl (filter): Likewise.

	* filter/taro.pl (filter): Likewise.

	* filter/Makefile.am : Add wordpro.pl, oasys.pl.

	* filter/wordpro.pl : New file.

	* filter/oasys.pl : New file.

2000-04-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/Makefile.am (TESTS): Add namazu-cgi-3

	* tests/namazu-cgi-3: New file.

	* nmz/search.c (remove_quotes): Add condition to prevent core dump
	when query `"' is specified.

2000-04-04  Masao Takaku  <masao@ulis.ac.jp>

	* src/form.c (print_headfoot): Avoid printing unencoded HTML tags
	in query.

	* src/output.c (print_hitnum_each): Likewise.

2000-04-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/html-split/html-split.html: New file.

	* tests/Makefile.am (TESTS): Add mknmz-7 and namazu-7.

	* tests/namazu-7: New file.

	* tests/mknmz-7: Likewise.

2000-04-02  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/en/Makefile.am (html_DATA): Add tips.html.

	* doc/en/tips.html: New file. Thanks to
	Kaoru Yamamoto <kaoru-ya@is.aist-nara.ac.jp> for translation of
	the document. 

2000-03-29  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* filter/excel.pl (filter_xl): Fix <TITLE>.+</TITLE> handling.

	* tests/mknmz-2 (targets): Change the way to get target files.

	* filter/mailnews.pl (mailnews_citation_filter): Fix regex.

	* filter/html.pl (remove_html_elements): Likewise.

	* scripts/mknmz.in (muda): Remove prototypes to avoid warning with
	perl 5.6.0
	(main): Likewise.
	(parse_options): Likewise.
	
2000-03-28  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in: Add --disable-file-mmagic-checking.
	[n-d-j:00275]

	* configure.in: Set default PMDIR to `.' instead of `'.

2000-03-23  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/ichitaro456.pl (status): Fix checking of doscmd
	and jstxt.exe. 

2000-03-23  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/gzip.pl, compress.pl, bzip2.pl (filter_file): 
	Fix scope of filesize() function.

2000-03-23  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/win32/olemsword.pl (status): quiet code modify.

	* filter/win32/oleexcel.pl (status): Likewise.

	* filter/win32/olepowerpoint.pl (status): Likewise.

2000-03-23  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/ichitaro456.pl: Add New file.
	Because jstxt.exe can execute in PC-UNIX(now FreeBSD 3.x or late,
	BSDI and BSD/386 ?).

	* filter/win32/ichitaro456.pl: Remove.

	* filter/powerpoint.pl: Add new file. this filter uses doccat.

	* filter/taro.pl: Likewise.

	* filter/msword.pl (filter): Separate filter_wv and filter_doccat.

	* filter/excel.pl (filter): Separate filter_xl and filter_doccat.

	* filter/Makefile.am: Add ichitaro456.pl, powerpoint.pl and taro.pl.

	* filter/win32/Makefile.am: Remove ichitaro456.pl.

2000-03-22  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (load_document): Apply Shirai's patch
	[n-d-j:00242]. 

2000-03-22  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* filter/gzip.pl, compress.pl, bzip2.pl (filter_file): 
	Added filesize check routine.

2000-03-22  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/htmlsplit.pl (write_partial_file): Remove quotation marks.
	(split): Change the regex for matching <a name=...>. [n-d-j:00237]

	* scripts/mknmz.in (fncmp): Abolished.
	(find_target): Employ schwartzian transform to speed up 
	sorting. [n-u-j:00124] 

2000-03-20  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* filter/mailnews.pl (filter): Apply Katsuhiro Ueno's patch
	[n-u-j:00114] 

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.3

2000-03-20  Masao Takaku  <masao@ulis.ac.jp>

	* scripts/mknmz.in (process_file): Remove temporary partial files.

2000-03-20  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (generate_uri): add restore '|' for 
	drive letter rule.

2000-03-18  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/en/nmz.html: Documentation changed.

	* doc/ja/nmz.html: Likewise.

2000-03-17  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* Namazu: Version 2.0.2 released.

	* scripts/mknmz.in (load_modules): Add "../filter" to @INC.
	[n-d-j: 00229]
	
	* scripts/mknmz.in (generate_uri): Use
	codeconv::shiftjis_to_eucjp() for $file and codeconv::toeuc() for
	$fragment. 
	(generate_uri): Add checking of "if defined $fragment".

	* pl/codeconv.pl (shiftjis_to_eucjp): Check util::islang("ja").

	* scripts/mknmz.in (generate_uri): Use codeconv::shiftjis_to_eucjp
	instead of codeconv::toeuc(). [n-d-j: 00219]

	* filter/gfilter.pl (filename_to_title): Call codeconv::toeuc.

2000-03-16  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/en/Makefile.am (html_DATA): Add tutorial.html

	* doc/en/tutorial.html: New file. Thanks to
	kaoru-ya@is.aist-nara.ac.jp for translation of the document.

	* filter/excel.pl (filter): Trivial fix.

	* pl/conf.pl.in: Change comments.

	* scripts/mknmz.in (load_rcfile): Remove $ConfigFile = $rcfile;
	(generate_uri): Add "-e" to codeconv::toeuc().
	(init): Call load_rcfile($ENV{'MKNMZRC'}) in the funcion.
	(main): Do not call load_rcfile($ENV{'MKNMZRC'}) in the funcion.

	* pl/codeconv.pl (toeuc): Introduce 2nd parameter for nkf's options.
	[n-d-j: 00214]
	
2000-03-15  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in: Apply Hideyuki SHIRAI patch.
	[n-d-j 00212]

	* filter/win32/ichitaro456.pl: Likewise.

	* filter/man.pl: Likewise.

	* scripts/gcnmz.in: Add '../pl' to @INC.

	* pl/nmzidx.pl: Fix NMZ.head handling bug.

	* scripts/mknmz.in (generate_uri): Fix character encoding
	handling.  [n-d-j 00205] 

	* filter/bzip2.pl: Remove -x checking. [n-d-j 00202]
	
	* filter/compress.pl: Likewise.
	
	* filter/excel.pl: Likewise.
	
	* filter/gzip.pl: Likewise.
	
	* filter/man.pl: Likewise.
	
	* filter/msword.pl: Likewise.
	
	* filter/pdf.pl: Likewise.
	
	* filter/tex.pl: Likewise.
	
2000-03-13  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in: Change File-MMagic detection.

2000-03-13  ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/win32/olemsword.pl (add_magic): Add addFileExts.

	* filter/win32/oleexcel.pl (add_magic): Likewise.

	* filter/win32/olepowerpoint.pl (add_magic): Likewise.

2000-03-14  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (load_rcfile): Fix reread same file bug.

	* filter/win32/oleexcel.pl (ReadExcel): commentout $excel->{Visible}.
	And some print line.

	* nmz/util.c (nmz_pathcat): Add (win32 && name[i] == '\\').

	* src/namazu-cgi.c (combine_pathname): Add (win32 && dest[i] == '\\').

	* filter/man.pl (status): Add file extention regex for win 
	by Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp>.

2000-03-13  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (load_rcfiles): separate load_rcfile() function.
	(main): Add load_rcfile($ENV{'MKNMZRC'}).

	* pl/conf.pl ($CONFDIR): Add new value. default is commentout.
	($LIBDIR): Likewise.
	($FILTERDIR): Likewise.
	($TEMPLATEDIR): Likewise.

2000-03-12  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/Makefile.am (SUBDIRS): Add query.

	* tests/Makefile.am (TESTS): Add namazu-5 and namazu-6 and remove
	namazu-query and namazu-nasty-cases.

	* tests/namazu-6: Renamed from namazu-query.

	* tests/namazu-5: Renamed from namazu-nasty-cases.

	* tests/namazu-nasty-cases: Improve assertion mechanism.

	* configure.in (AC_OUTPUT): Add tests/data/query/Makefile.

	* tests/Makefile.am (TESTS): Add mknmz-6 and namazu-query

	* tests/mknmz-6 (TARGET): New file.

	* tests/namazu-query: New file.

	* tests/data/query/1: New file.

	* tests/data/query/3: New file.

	* tests/data/query/3: New file.

	* tests/data/query/Makefile.am: New file.
	(EXTRA_DIST): Add 1, 2, and 3.

	* tests/Makefile.am (clean-local): Add tmp.*

	* nmz/hlist.c (intcmp): New function.
	(field_scmp): Use intcmp().
	(date_cmp): Likewise.
	(score_cmp): Likewise.
	(field_ncmp): Likewise.

	* pl/conf.pl.in: Change border line format.

2000-03-12  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* pl/nmzidx.pl (write_status): Add close.
	(write_status): Restore changes at 02-27.

2000-03-11  Masao Takaku  <masao@ulis.ac.jp>

	* script/mknmz.in (re_exec): Store $file_count.

	* script/mknmz.in (pickup_updated_files): Change a condition for
	updated files.

2000-03-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/ja/Makefile.am (EXTRA_DIST): Add excel5.xls,
	excel95.xls, excel97.xls and excel98.xls.

	* scripts/mknmz.in (decide_type): Always believe the type detected
	by checktype_byfilename(). 

	* filter/excel.pl (filter): Add Excel 5 and Excel 95 documents
	handling. 
	(add_magic): Use addFileExts() for media type detection.

	* pl/conf.pl.in ($ALLOW_FILE): Add .*\\.xls for Excel document.

2000-03-09  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (generate_uri): Handle $fragment.

	* pl/htmlsplit.pl (write_partial_file): Improve $title handling.

2000-03-08  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/ja/Makefile.am (EXTRA_DIST): Add word2000.doc.

	* tests/data/ja/word2000.doc: New file.

2000-03-08  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (load_filters): Add selecting same mediatype
	function.

2000-03-08  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/gcnmz-1: Add --quiet option to gcnmz.

	* configure.in: Add `;' after `use' of perl. 
	[namazu-users-ja:00054]
	

2000-03-08  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (load_win32modules): Remove unshift at the top
	of load_win32modules.

2000-03-08  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* scripts/mknmz.in (load_win32modules): Add "$FILTERDIR/win32"
	to @INC.

	* filter/win32/olemsword.pl (status): wrapped STDERR by nul.

	* filter/win32/oleexcel.pl (status): Likewise.

	* filter/win32/olepowerpoint.pl (status): Likewise.


2000-03-06  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/i18n.c (nmz_set_lang)[HAVE_PUTENV]: Use malloc()
	instead of realloc() that doesn't works fine anyware.
	If malloc() failed, return NULL (FIXME).

	* scripts/mknmz.in (load_win32modules): Applied patch
	from Hideyuki SHIRAI <shirai@rdmg.mgcs.mei.co.jp> to
	Get Win32 filters location correctly. 

	* filter/win32/olemsword.pl: File name is added prefix `ole'.

	* filter/win32/oleexcel.pl: Likewise.

	* filter/win32/olepowerpoint.pl: Likewise.


2000-03-06  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>
	* pl/nmzidx.pl: seek & search method.
	(log_open): use binmode.

	* scripts/gcnmz.in: --verbose and --quiet option.

2000-03-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/htmlsplit.pl (split): Change the pattern for <a name=...>.

	* pl/htmlsplit.pl (write_partial_file): Change ${author}
	handling. 
	* src/namazu.c (namazu_core): Call nmz_codeconv_query() in the
	function.  [n-d-j:00155]

	* nmz/query.c (nmz_make_query): Do not call nmz_codeconv_query()
	in the function. 

	* src/output.c (emprint): Remove ISO-2022-JP handling.

2000-03-03  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/Makefile.am (TESTS): Add namazu-nasty-cases.

	* tests/namazu-nasty-cases: New file.

	* src/output.c (die): Moved from namazu.c
	Add is_cgimode() handling.
	(print): Abolished. All callers are replaced with printf().

	* src/namazu-cmd.c (main): Change QUERY_MAX checking.
	
	* src/cgi.c (process_cgi_var_subquery): Likewise.

	* src/cgi.c (process_cgi_var_query): Likewise.

	* src/message.h: Remove #define MSG_TOO_LONG_QUERY.

	* nmz/search.c (nmz_search): Improve error handling.

	* src/namazu.c (namazu_core): Handle subquery only if the length
	of subquery is longer than 0.

	* src/output.c (print_result): Add the check for is_quietmode().

	* pl/htmlsplit.pl ($Header): Remove <h1>...</h1>

2000-03-02  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/htmlsplit.pl (split): Remove global variables through the use
	of %info hash.

	* pl/util.pl (checkcmd): Add workaround for Windows and OS/2.
	[n-d-j:00147]
	
	* pl/htmlsplit.pl (write_partial_file): Add close($fh).
	[n-d-j:00147]

	* filter/Makefile.am (install-data-local): Remove Windows specific
	files installed by Namazu 2.0 or/and 2.0.1.

	* scripts/mknmz.in (pickup_updated_files): Avoid duplicated
	outputs caused by --html-split support.

	* pl/usage.pl: Add the description for --html-split.

	* scripts/mknmz.in (load_modules): Require htmlsplit.pl.
	(set_target_files): Change grep style.
	(pickup_updated_files): Gettextized.
	(add_target): Skip a file name containing TAB.

	* pl/Makefile.am (EXTRA_DIST): Add htmlsplit.pl.
	(perllib_DATA): Likewise.

	* pl/conf.pl.in ($HTML_SUFFIX): Remove "asp|cgi".

	* pl/htmlsplit.pl (split): Make patterns case insensitive.
	[n-d-j:00143]
	(write_partial_file): Use util::efopen.

2000-03-02  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in (LTVERSION): Set 3:2:0.

2000-03-02  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (process_file): New file.
	(main): Call process_file() instead of namazu_core().
	(parse_options): Add --html-split option.
	(process_file): New function.
	(namazu_core): Add --html-split handling.
	(process_file): Fix bug.

	* pl/htmlsplit.pl: New file.

2000-03-01  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/field.c (nmz_get_field_data): Be safe.
	[n-d-j:00138]

	* scripts/mknmz.in (write_version): New function.
	(do_remain_job): Call write_version().
	(change_filenames): Renamed from change_dbnames().
	($NAMAZU_INDEX_VERSION): New variable.

	* pl/var.pl.in: Add the entry for NMZ.version file.

	* filter/ichitaro456.pl: Removed.
	
	* filter/oleexcel.pl: Removed.

	* filter/olemsword.pl: Removed. 

	* filter/olepowerpoint.pl: Removed.
	
	* pl/usage.pl: Remove the description for --ole option.

	* scripts/mknmz.in (pickup_updated_files): Change commnets.
	(main): Do't call load_olemodules() no longer.
	(load_win32modules): Renamed from load_olemodules().
	(load_modules): Call load_win32modules().
	(load_modules): Abolish ole*.pl excluding.
	(parse_options): Abolish --ole option.

2000-03-01  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in (AM_CONDITIONAL): Define WIN32 if target
	platform is Win32.
	(AC_OUTPUT): Added filter/OLE/Makefile.

	* filter/Makefile.am (DIST_SUBDIRS): Added win32.
	(SUBDIRS): Add win32 if target platform is Win32.
	(filter_DATA): Added excel.pl.

	* filter/win32/Makefile.am: New File.

	* fiiter/win32/msword.pl: Moved from filter/olemsword.pl.

	* filter/win32/excel.pl: Moved from filter/oleexcel.pl.

	* filter/win32/powerpoint.pl: Moved from filter/olepowerpoint.pl.

	* filter/win32/ichitaro456.pl: Moved from filter/ichitaro456.pl.


2000-03-01  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.2

	* Namazu: Version 2.0.1 released.

2000-03-01  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/olepowerpoint.pl (filter): MS Application need \ path
	separate.

	* filter/olemsword.pl (filter): Likewise.

	* filter/oleexcel.pl (filter): Likewise. And some bug fix.

2000-02-29  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/namazu-cmd.c (main): Remove #ifdef's around
	`NAMAZULOCALEDIR'.

	* src/namazu-cgi.c: Likewise.

	* pl/gettext.pl.in: Add `NAMAZULOCALEDIR' handling.

	* filter/man.pl (status): Add -Wall to the groff's argument.

	* TODO: Add some TODOs.

	* tests/Makefile.am (clean-local): Fix bug. Don't remove
	idxdiff-*. 

	* tests/mknmz-1: Use select-data to get $TARGET.
	
	* tests/mknmz-2: Likewise
	
	* tests/mknmz-3: Likewise
	
	* tests/mknmz-4: Likewise
	
	* tests/mknmz-5: Likewise
	
	* tests/gcnmz-1: Likewise
	
	* configure.in (AC_OUTPUT): Add tests/data/en/Makefile.

	* tests/select-data: New file.

	* tests/data/Makefile.am (SUBDIRS): Add `en'.

	* tests/data/en/Makefile.am (EXTRA_DIST): New file.

	* tests/data/en/acrobat3.pdf: New file.

	* tests/data/en/excel97.xls: Likewise.

	* tests/data/en/html.html: Likewise.

	* tests/data/en/mail-multipart.txt: Likewise.

	* tests/data/en/mail.txt: Likewise.

	* tests/data/en/man.1: Likewise.

	* tests/data/en/msg00000.html: Likewise.

	* tests/data/en/plain.txt: Likewise.

	* tests/data/en/plain.txt.Z: Likewise.

	* tests/data/en/plain.txt.bz2: Likewise.

	* tests/data/en/plain.txt.gz: Likewise.

	* tests/data/en/rfc0000.txt: Likewise.

	* tests/data/en/tex.tex: Likewise.

	* tests/data/en/word97.doc: Likewise.

	* filter/mhonarc.pl (mhonarc_filter): Fix <LI> handling.
	(filter): Remove white spaces at tne top before uuencode_filter().

	* filter/html.pl (get_author): Change link rev=made pattern. Allow
	extra white spaces at the end.

2000-02-29  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* lib/easy-vsnprintf.c: Add #include <config.h>.

	* src/namazu-cmd.c (main): Add getenv("NAMAZULOCALEDIR") function
	for Win32.

	* src/namazu-cgi.c (main): Likewise.

2000-02-28  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/ja/Makefile.am (EXTRA_DIST): Fix a typo.

	* tests/data/ja/taro4.jsw: Renamed from ichitaro4.jsw because
	JSTXT.EXE can handle only an 8.3 file name. [n-d-j:00076]
			
	* tests/data/ja/taro5.jaw: Likewise.
			
	* tests/data/ja/taro6.jbw: Likewise.

	* tests/data/ja/Makefile.am (EXTRA_DIST): s/ichi//g

	* tests/data/ja/Makefile.am (EXTRA_DIST): Remove pdf.pdf.

	* tests/data/ja/pdf.pdf: Removed.

	* tests/data/ja/ichitaro4.jsw: New file.

	* tests/data/ja/ichitaro5.jaw: Likewise.

	* tests/data/ja/ichitaro6.jbw: Likewise.

	* pl/conf.pl.in ($ALLOW_FILE): Add the pattern for Ichitaro 4, 5, 6.

	* tests/data/ja/Makefile.am (EXTRA_DIST): Add ichitaro4.jsw,
	ichitaro5.jaw and ichitaro6.jbw.
	[n-d-j:00063] [n-d-j:00066] 

	* scripts/mknmz.in (decide_type): Improve $name handling.

	* filter/ichitaro456.pl (add_magic): Add magics for ichitaro[456]
	[n-d-j:00063] 

	* tests/Makefile.am (clean-local): New	rule. 
	[n-d-j:00064] 

	* filter/ichitaro456.pl (post_codeconv): return 1
	[n-d-j:00058] 

	* tests/Makefile.am (EXTRA_DIST): New variable.

	* tests/mknmz-3: Fix test-log handling.

	* tests/mknmz-2 (targets): Likewise.

	* tests/data/ja/Makefile.am (EXTRA_DIST): Add word97.doc.

	* filter/msword.pl (filter): Exclude wvHtml's footer becaues 
	has no good index terms. 

2000-02-27  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/usage.pl): Modify usage.

	* scripts/mknmz.in (check_file): Remove robots.txt related comments.
	(parse_options): Change option name: --robots-txt -> --robots.

	* filter/html.pl (parse_robots_txt): Abolished.
	(parse_htaccess): Abolished.

	* pl/conf.pl.in: Abolish robots.txt related variables. They are no
	longer supported.

	* filter/man.pl (status): Add -Tnippon checking for LANG `ja'. 

	* filter/tex.pl: Improve $texconvpath handling call
	util::chechcmd() only once.

	* filter/pdf.pl: Likewise

	* filter/compress.pl: Likewise

	* filter/ichitaro456.pl: Likewise

	* filter/bzip2.pl: Likewise

	* filter/gzip.pl: Likewise

	* filter/msword.pl: Likewise.

	* nmz/util.c (nmz_strerror): Add the message for
	ERR_INDEX_IS_LOCKED and modify other messages.

	* nmz/libnamazu.h (enum nmz_stat): Add member
	ERR_INDEX_IS_LOCKED. 

	* nmz/search.c (open_index_files): Don't call is_locked().
	(nmz_search_sub): Call is_locked() here.

	* doc/en/Makefile.am (html_DATA): Add nmz.html.

	* doc/en/nmz.html: New file. Thanks to kaoru-ya@is.aist-nara.ac.jp
	for translation of the document.

2000-02-27  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * filter/hnf.pl: GRP bug fix again

2000-02-27  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/mknmz-5: New file.

	* tests/namazu-4: Likewise.

	* tests/*-[0-9]: Improve test-log handling.

	* tests/Makefile.am (TESTS): Add mknmz-4, gcnmz-1, namazu-3 and
	idxdiff-3.
	(TESTS): Add mknmz-5 and namazu-4.

	* tests/mknmz-4: New file.

	* tests/gcnmz-1: Likewise.

	* tests/namazu-3: Likewise.

	* tests/idxdiff-3: Likewise.

	* pl/nmzidx.pl (write_status): Fix NMZ.head handling.
	(write_status): Fix critical typos: s/key /keys /, s/file /files /.

	* scripts/gcnmz.in: Add ../pl to @INC for testing before
	installatoin. 

	* tests/namazu-cgi-1: Change `export' syntax.

	* tests/namazu-cgi-2: Likewise.
	
	* scripts/mknmz.in (re_exec): Store $key_count.

2000-02-26  Ryuji Abe  <raeva@t3.rim.or.jp>

	* tests/Makefile.am: Tiny Fix.

2000-02-26  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* tests/data/ja/Makefile.am (EXTRA_DIST): Remove pdf.txt

	* tests/idxdiff-1: New file.

	* tests/idxdiff-2: New file.
	
	* tests/mknmz-1: New file.
	
	* tests/mknmz-2: New file.
	
	* tests/mknmz-3: New file.
	
	* tests/namazu-1: New file.
	
	* tests/namazu-2: New file.
	
	* tests/namazu-cgi-1: New file.
	
	* tests/namazu-cgi-2: New file.
	
	* tests/Makefile.am (TESTS): New variable.

	* Makefile.am: Abolish `check' target.

	* Makefile.am (SUBDIRS): Add tests.
	(DIST_SUBDIRS): Likewise.
	(check): New rule.

	* configure.in (AC_OUTPUT): Add tests/Makefile,
	tests/data/Makefile and tests/ja/Makefile.

	* tests/Makefile.am: New file.

	* tests/data/Makefile.am: New file.

	* tests/data/ja/Makefile.am: New file.

	* tests/data/ja/acrobat3.pdf: New file.
	
	* tests/data/ja/acrobat4.pdf: New file.
	
	* tests/data/ja/d20000220.hnf: New file.
	
	* tests/data/ja/html.html: New file.
	
	* tests/data/ja/mail-multipart.txt: New file.
	
	* tests/data/ja/mail.txt: New file.
	
	* tests/data/ja/man.1: New file.
	
	* tests/data/ja/msg00000.html: New file.
	
	* tests/data/ja/pdf.pdf: New file.
	
	* tests/data/ja/plain.txt: New file.
	
	* tests/data/ja/plain.txt.Z: New file.
	
	* tests/data/ja/plain.txt.bz2: New file.
	
	* tests/data/ja/plain.txt.gz: New file.
	
	* tests/data/ja/rfc0000.txt: New file.
	
	* tests/data/ja/tex.tex: New file.
	
	* tests/data/ja/word6.doc: New file.
	
	* tests/data/ja/word95.doc: New file.
	
	* tests/data/ja/word98.doc: New file.
	
	* filter/bzip2.pl (filter): Fix fatal bug. s/-dc/-c/

	* filter/msword.pl (filter): Fix wvHtml option. (-o was unnecessary)
	(status): Add conditions for Japanese environment.
	(filter): Likewise.

	* filter/mailnews.pl: Fix multipart handling bug by applying
	Toshiaki -PCX- Tanaka's patch.	[n-d-j:00030]

2000-02-26  Ken-ichi Hirose  <kenzo-@tama.or.jp>

        * filter/olemsword.pl (enum): Change $enum_func to $func.
        And change or to and.
        (getProperties): fix $editDate by BuiltInDocumentProperties.
        And fix typo.

        * filter/oleexcel.pl (enum): Change $enum_func to $func.
        And change or to and.
        (getProperties): fix $editDate by BuiltInDocumentProperties.
        And fix typo.

        * filter/olepowerpoint.pl (enum): Change $enum_func to $func.
        And change or to and.
        (getProperties): fix $editDate by BuiltInDocumentProperties.
        And fix typo.

2000-02-25  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/conf.pl.in: Change comments.

	* conf/Makefile.am (mknmzrc-sample): Change the way to make.

	* doc/en/manual.html: Rewritten.

	* scripts/mknmz.in (getmsg): New function.
	(complete_field_info): Use getmsg() for "unknown".
	[n-d-j:00022]
	
	* nmz/util.c (nmz_chomp): Rewritten. [n-d-j:00018]

	* scripts/mknmz.in (add_target): Add a message for an unreadable
	file. 

	* pl/usage.pl: Add description of --show-config option.
	[namazu-dev 1812]

2000-02-25  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in (LTVERSION): Set 3:1:0.

2000-02-23  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* conf/namazurc-sample: Rewrite comments.

	* src/usage.c (show_usage): Add a message for --debug option.

	* scripts/mknmz.in (make_headfoot): Add <!-- LINK-REV-MADE -->
	handlings. 

	* template/NMZ.head.in: Add <!-- LINK-REV-MADE --> marks. 
	[namazu-dev 1787] 

	* template/NMZ.head.ja.in: Likewise.

2000-02-23  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* filter/ichitaro456.pl (filter): jstxt command line option change.

	* filter/olemsword.pl (ReadMSWord): New original code marge 
	from Jun Kurabe-san. And few modify.

	* filter/oleexcel.pl (ReadExcel): New original code marge 
	from Jun Kurabe-san. And few modify.

	* filter/olepowerpoint.pl (ReadPPT): New original code marge 
	from Jun Kurabe-san. And few modify.

2000-02-22  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (check_file): Handle files excluded by
	robots.txt. [namazu 1477]
	(check_file): Abolish the above feature.

	* filter/html.pl (parse_robots_txt): Change message.

	* scripts/mknmz.in (namazu_core): Remove isexcluded() related
	codes. 

	* filter/html.pl (isexcluded): Moved from mknmz.in. [namazu 1477]

	* scripts/mknmz.in (load_filters): Fix post_codeconv() bug.
	(load_document): Add debug messages.

2000-02-21  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/conf.pl.in ($ALLOW_FILE): Add the pattern for man files and
	reformated. 

	* scripts/mknmz.in (codeconv_document): New function.
	(load_document): Call codeconv_document() after pre_codeconv()
	and post_codeconv() processing. [namazu-dev 1744]
	(codeconv_document): Handle both CR+LR and CR  well.
	(add_target): Fix ALLOW_FILE, DENY_FILE bug. [namazu 1455]
	(add_target): Remove (\.gz|\.Z|\.bz2)? from patterns.

	* nmz/util.c (nmz_isnumstr): Fix isdigit() related
	bug. [namazu-dev 1731] 

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.1
	
2000-02-20  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

  	* Namazu: Version 2.0 released.

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 2.0.

	* pl/util.pl (remove_tmpfiles): Fix --debug mode bug.
	[namazu-dev 1722]

	* nmz/util.c (nmz_isnumstr): Do not use isdigit(). [namazu-dev
	1718] 

	* pl/util.pl (tmpnam): Do not use $$.

	* pl/util.pl (remove_tmpfiles): Likewise.

	* scripts/mknmz.in (update_field_index): Likewise.
	
	* doc/en/Makefile.am (html_DATA): Remove nmz.html

	* doc/en/nmz.html: Removed temporally.
	
	* pl/conf.pl.in ($ALLOW_FILE): Fix quotation bug. [namazu-dev
	1705] 
	($ALLOW_FILE): Add \d+.

	* nmz/util.c (nmz_isnumstr): Simplified.  [namazu-dev 1692]

2000-02-20  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * filter/hnf.pl: GRP bug fix

2000-02-20  Ryuji Abe <raeva@t3.rim.or.jp>

	* nmz/hlist.c: s/__CYGWIN32__/__CYGWIN__/g.

	* nmz/search.c: Likewise.

	* nmz/libnamazu.c: Likewise.

	* src/namazu-cgi.c: Likewise.

	* src/namazu-cgi.c: s/WIN32/_WIN32/g.

	* src/Makefile.am (namazu_cgi_LDFLAGS): Removed.

2000-02-20  Ryuji Abe <raeva@t3.rim.or.jp>

	* nmz/hlist.c: s/__CYGWIN32__/__CYGWIN__/g.

	* nmz/search.c: Likewise.

	* nmz/libnamazu.c: Likewise.

	* src/namazu-cgi.c: Likewise.

	* src/namazu-cgi.c: s/WIN32/_WIN32/g.

	* src/Makefile.am (namazu_cgi_LDFLAGS): Removed.

2000-02-19  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * filter/hnf.pl: support new hnf command, RLNEW, RLSUB.

2000-02-19  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/Makefile.am (css_DATA): New variable.
	(cssdir): Likewise.
	(EXTRA_DIST): Likewise.

	* doc/ja/Makefile.am (EXTRA_DIST): Remove namazu.css.

	* doc/en/Makefile.am (html_DATA): Remove namazu.css.

	* scripts/mknmz.in: s/$conf::MTIME/$var::Opt{'mtime'}/g

	* pl/usage.pl ($USAGE): Modify description for --mtime.

	* scripts/mknmz.in: Change a variable name:
	s/$CCS/$CodingSystem/.
	(add_target): New function.
	(find_target): Use add_target().
	(add_target): Handle --mtime option precisely. [namazu-dev 1679]

	* scripts/mknmz.in (load_rcfiles): Use @LoadedRcfiles.
	(show_config): Gettextized.

	* README: Change URI of Namazu website and Rewritten.

	* README-ja: Likewise.

	* scripts/Makefile.am (bin_SCRIPTS): Add rfnmz.

	* configure.in (AC_OUTPUT): Add rfnmz.

	* scripts/rfnmz.in: New file.

2000-02-19  Ryuji Abe  <raeva@t3.rim.or.jp>

	* scripts/mknmz.in: Use LANGUAGE environment variable if defined.

2000-02-19  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* nmz/hlist.c: Change the include point of unistd.h and surround
	it with #if defined HAVE_UNISTD_H.

	* nmz/libnamazu.c: Likewise.

	* nmz/search.c: Likewise.

	* src/cgi.c (get_query_string): Add #ifdef for MS servers.

	* src/namazu-cgi.c (main): Add #ifdef for MS servers.

2000-02-18  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/ja/Makefile.am (EXTRA_DIST): Add namazu.css.
	(html_DATA): Remove namazu.css

	* filter/gfilter.pl (filename_to_title): Do not use
	$conf::TEXT_TITLE. 

	* pl/usage.pl: Change usage a bit.

	* scripts/mknmz.in (generate_uri): Fix $DIRECTORY_INDEX handling.

	* pl/conf.pl.in: Change variable names. [namazu-dev 1638]
	s/ALLOW_REGEX/ALLOW_FILE/g, s/DENY_REGEX/DENY_FILE/g,
	s/EXCLUDE_REGEX/EXCLUDE_PATH/g, s/DEFAULT_FILE/DEFAULT_INEDX/g.
	All users changed.

	* scripts/mknmz.in 
	(find_target): Report detail messages in --verbose mode. 
	[namazu-dev 1653]
	(report_find_target): New function. 
	
	* configure.in: Modify perl module detections. (NKF, Text::Kakasi,
	Text::ChaSen)

2000-02-17  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/en/namazu.css: New file.

	* scripts/mknmz.in (check_file): s/data type/media type/

2000-02-16  Ryuji Abe <raeva@t3.rim.or.jp>

	* configure.in (LTVERSION): Set 3:0:0.

2000-02-16  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/rcfile.c (loaded_rcfiles): Be static.

	* nmz/search.c (open_index_files): Be static.

	* src/rcfile.c (load_rcfile): Be static.

	* src/Makefile.am (common_SOURCES): Remove em.h

	* src/em.h: Removed.
	
	* nmz/codeconv.c (zen2han): Renamed from nmz_zen2han and be static.

	* src/usage.c (show_usage): Change usage. [namazu-dev 1632]

	* pl/usage.pl: Likewise.

	* nmz/i18n.h: Include libnamazu.h

	* nmz/query.c: Include codeconv.h

	* Makefile.am (SUBDIRS): Add doc and etc.
	(DIST_SUBDIRS): Likewise.
	(etc_DATA): New variable.
	(etcdir): Likewise.
	(COMMON_DIRS): Abolished.
	(dist-hook): Simplified.
	(install-data-local): Likewise.

	* configure.in (AC_OUTPUT): Add doc/Makefile, 
	doc/ja/Makefile, doc/en/Makefile, etc/Makefile.

	* doc/ja/Makefile.am: New file.

	* doc/en/Makefile.am: New file.

	* doc/Makefile.am: New file.

	* etc/Makefile.am: New file.

	* pl/conf.pl.in (ALLOW_REGEX): Remove ".*_default".
	(DENY_REGEX): Remove "NMZ\..*".

	* filter/mhonarc.pl (MHONARC_MESSAGE_FILE): Moved from conf.pl.in.

	* pl/conf.pl.in (MHONARC_HEADER): Abolished.

	* pl/var.pl.in (PREFIX): Abolished.
	(NO_TITLE): Moved from conf.pl.in and gettextized.

	* pl/conf.pl.in (CGI_DIR): Abolished.
	(TEXT_FILE): Abolished.

	* scripts/mknmz.in (load_document): Use $conf::FILE_SIZE_MAX.

	* pl/conf.pl.in (ALLOW_REGEX): Include $HTML_SUFFIX.
	Rewrite messages (halfdone).

	* filter/html.pl (is_html): Abolished. [namazu-dev 1628]

	* scripts/mknmz.in (namazu_core): Fix progress messaging
	bug. [namazu-dev 1621] 

2000-02-15  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 1.9.15.

  	* Namazu: Version 1.9.14 released.

	* src/result.c (strcasestr): Do cast for avoiding warning.

	* scripts/mknmz.in (re_exec): Store $total_files_num.
	(main): Print user-friendly messages. [namazu-dev 1553]
	(namazu_core): Change a progress messaging format.
	(parse_options): Change --quiet option handling. All "unless
	$var::Opt{'quiet'}" are removed. [namazu-dev 1604]

	* pl/var.pl: Abolish $Opt{'quiet'};

	* src/result.c (strcasestr): Clean up.
	(commas): Add comments.

	* ChangeLog: s/Likewise/Likewise/g for consistency.

2000-02-15  Ken-ichi Hirose  <kenzo-@tama.or.jp>

	* nmz/hlist.c: Select unistd.h or io.h for MSVC++. 

	* nmz/libnamazu.c: Select unistd.h or io.h for MSVC++. 

	* nmz/search.c: Select unistd.h or io.h for MSVC++. 

	* pl/gettext.pl.in: Set binmode for CATALOG.

	* scripts/mknmz.in: Check and replace path  \ to /.

2000-02-14  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in: Added libtool versioning section.
	(LTVERSION): Set 2:0:0.

	* nmz/Makefile.am (libnmz_la_LDFLAGS): Set -version-info
	$(LTVERSION).

2000-02-14  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in: Fixed for help message.
	(AC_CHECK_HEADERS): Removed search.h.
	(AC_CHECK_FUNCS): Removed tsearch and Added setenv.
	(AC_REPLACE_FUNCS): Removed setenv.

	* nmz/i18n.c (nmz_is_lang_ja): Moved to l10n-ja.c.
	(Lang): Removed.
	(guess_category_value): New function that taken from 
	GNU gettext 0.10.35 package.
	(nmz_set_lang): Calls guess_category_value for get
	environment variables.
	(nmz_get_lang): Likewise.
	[HAVE_SETENV}: Revert to use.
	[HAVE_PUTENV]: Likewise.

	* nmz/l10n-ja.c: New File.
	(nmz_is_lang_ja): Calls nmz_get_lang. Use strncmp
	instead of nmz_strprefixcmp.

	* nmz/l10n-ja.h: New File.

	* nmz/Makefile.am (pkginclude_HEADERS): Added l10n-ja.[ch].
	(libnmz_la_SOURCES): Likewise.

	* nmz/codeconv.c: Includes l10n-ja.h.

	* nmz/search.c: Includes l10n-ja.h instead of i18n.h.

	* nmz/re.c: Likewise.

	* src/result.c: Likewise.

	* lib/setenv.c: Removed.

	* lib/Makefile.am (EXTRA_DIST): Removed setenv.c.

2000-02-13  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * test/d20000220.hnf: New file.

2000-02-13  Makoto Fujiwara <makoto@ki.nu>

	* doc/ja/tutorial.html: New file.

	* doc/ja/tutorial.html: ahref adjustment.
	
2000-02-13  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* doc/ja/tips.html: New file.

	* filter/tex.pl (add_magic): Fix regex.

2000-02-13  Ryuji Abe <raeva@t3.rim.or.jp>

	* configure.in (AC_CHECK_HEADERS): Added search.h.

2000-02-12  Ryuji Abe  <raeva@t3.rim.or.jp>

	* lib/setenv.c: New file that stolen from glibc-2.1.2.

	* lib/Makefile.am (EXTRA_DIST): Added setenv.c.

	* configure.in (AC_CHECK_HEADERS): Added stdlib.h.
	(AC_CHECK_FUNCS): Added tsearch and removed setenv.
	(AC_REPLACE_FUNCS): Added setenv.

	* nmz/i18n.c [HAVE_SETENV]: Removed.
	[HAVE_PUTENV]: Likewise.

2000-02-12  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* filter/mhonarc.pl (lftospace): New function.
	(mhonarc_filter): Handle a field consists of two or more lines.
	* scripts/mknmz.in (find_target): Sort file names with
	consideration for numbers.
	(check_file): Add -e and -r checking.
	(load_rcfiles): Be quiet.
	(find_target): Be quiet.

	* filter/rfc.pl (rfc_filter): Do not use encode_entity().

	* filter/man.pl (man_filter): Do not use encode_entity().

	* filter/mailnews.pl (mailnews_filter): Do not use encode_entity().
	(mailnews_filter): Change "if" conditions order.

2000-02-12  Rei FURUKAWA  <furukawa@tcp-ip.or.jp>

	* pl/nmzidx.pl: Add new function remove_tmpdb().
	* scripts/gcnmz.in: Check NMZ.t before processing.

2000-02-11  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* test/html.html: New file.
	
	* test/mail: New file.

	* test/man.1: New file.

	* test/msg00000.html: New file.

	* test/plain.txt: New file.

	* test/rfc0000.txt: New file.

	* test/tex.tex: New file.

	* filter/rfc.pl (pre_codeconv): Return 1.

	* scripts/mknmz.in (complete_field_info): Gettextize "unknown".
	(setup_magic): Abolished.

	* filter/tex.pl (add_magic): Add a magic entry.

	* filter/mhonarc.pl (add_magic): Add a magic entry.

	* filter/rfc.pl (add_magic): Add a magic entry.

	* filter/rfc.pl (rfc_filter): Get the author name.

	* filter/*.pl: Add add_magic() function.
	
	* scripts/mknmz.in (parse_options): Gettextize a message.
	(load_document): Fix the serious bug reported in [namazu-dev 1526].

	* filter/msword.pl: s/mswordview/wvHtml/g

2000-02-11  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/util.h (struct nmz_strlist): Removed.

	* nmz/util.c (nmz_add_strlist): Moved to src/rcfile.c as add_strlist.
	(nmz_free_strlist): Moved to src/rcfile as free_strlist.

	* src/rcfile.c (StrList): New Type. Use instead of struct nmz_strlist.
	(add_strlist): Be static.
	(free_strlist): Likewise.

	* src/rcfile.h: Defined _RCFILE_H.

2000-02-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.in (load_target_list): Add Win32 pathname handling.
	(load_target_list): Fix the map
	bug. [namazu-dev 1533]. 
	(parse_options): Add checking for --update option.

2000-02-07  Ryuji Abe  <raeva@t3.rim.or.jp>

	* CREDITS: New File.

	* Makefile.am (EXTRA_DIST): Added CREDITS.

	* nmz/libnamazu.h: Covered with #ifdef __cplusplus.
	(struct _NmzResult): Renamed from nmz_result.

	* nmz/util.[ch] (nmz_issymbol): Moved to nmz/search.c as issymbol.

	* nmz/search.c (issymbol): Be static.

	* nmz/result.c: Includes "i18n.h".

2000-02-06  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/usage.pl: Add a description for --ole option.

	* scripts/mknmz.in (load_document): Handle pre and post code
	conversion. [namazu-dev 1469]

	* filter/gfilter.pl (white_space_adjust_filter): Add CR/LF and
	control characters handlings.

	* pl/var.pl.in: Rename a hash variable:
	s/REQUIRE_CODECONV/REQUIRE_PRE_CODECONV/. 
	Add new hash variable: REQUIRE_POST_CODECONV. 

	* scripts/mknmz.in (load_olemodules): Simpified.
	(load_modules): Likewise.
	(load_filters): New function.

	* filter/pdf.pl (filter): Do not code conversion in it.
	(post_codeconv): Require code conversion after filtering has done.

	* filter/*.pl: Add new function post_codeconv().

	* filter/*.pl: Rename a function name: s/codeconv/pre_codeconv/g

	* filter/pdf.pl (codeconv): Fix a bug: Require code
	conversion. [namazu 1371].
	(codeconv): Fix a bug: Do not require code conversion [namazu
	1374]
	(filter): Do code conversion in it.

2000-02-05  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/replace.c (nmz_add_replace): Change behavior: Add new
	element to the end of list.

	* nmz/alias.c (nmz_add_alias): Likewise.

	* nmz/util.c (nmz_add_strlist): Renamed from nmz_push_strlist.
	(nmz_add_strlist): Simplified.

	* scripts/mknmz.in (put_log): Fix commas() causing bug.

2000-02-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/Makefile.am: Remove #######+ bar.

2000-02-03  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/output.c (fputs_without_html_tag): Add &quot; handling.
	[namazu-dev 1444]

2000-02-02  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in: Add friendly messages to File-MMagic handling.

2000-02-02  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in: Applied Motoyuki Kasahara's patch. [namazu-dev
	1434]

	* nmz/util.c (nmz_is_file_exists): Use stat instead of fopen.

	* Makefile.am: Abolished File-MMagic automatic installation.

	* configure.in: Likewise.
	(AC_C_CHAR_UNSIGNED): New Macro.

2000-02-01  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/libnamazu.[ch] (nmz_codeconv_query): Moved to nmz/codeconv.[ch].

	* nmz/query.c: Includes nmz/codeconv.h.

	* nmz/codeconv.[ch]: Renamed these functions.
	s/nmz_conv_ja_any_to_eucjp/nmz_codeconv_internal/g.
	s/nmz_conv_ext/nmz_codeconv_external/g.

	* nmz/query.c: Likewise.

	* src/form.c: Likewise.

	* src/output.c: Likewise.

	* src/rcfile.c: Likewise.


2000-02-01  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/conf.pl.in: Add *\.png to $DENY_REGEX.

	* configure.in: Apply Imperfect fix to File-MMagic $srcdir problem
	[namazu-dev 1424].

	* pl/Makefile.am (CLEANFILES): Abolished.

	* nmz/Makefile.am: Applied Motoyuki Kasahara's patch. [namazu-dev
	1424]

	* scripts/Makefile.am: Likewise.

	* pl/Makefile.am: Likewise.

	* src/Makefile.am: Likewise.
	
	* configure.in: Applied Motoyuki Kasahara's patch. [namazu-dev
	1418]

	* acconfig.h: Removed.

2000-01-31  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/gcnmz.in: Show usage if no arguments are specified.

	* src/result.c (replace_field): Fix html handling bug.
	[namazu-dev 1414] 

	* scripts/vfnmz.in: Change usage message.

	* scripts/gcnmz.in (usage): Likewise.

	* scripts/mknmz.pl (parse_options): Change option name:
	s/--use-chasen-morph/--use-chasen-noun/. All related variables are
	changed.

	* nmz/util.c (nmz_is_file_exists): Bug fix: fclose(fp).

	* template/NMZ.body.ja: Change anchor names.

	* template/NMZ.body: Likewise.

2000-01-31  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/util.[ch] (nmz_commas): Moved to src/result.c as commas.
	(nmz_subst): Moved to src/form.c as subst.
	(nmz_strcasestr): Moved to src/result.c as strcasestr.

	* src/result.c (commas): Be static.
	(strcasestr): Likewise.

	* src/form.c (subst): Likewise.

	* scripts/mknmz.pl.in: Moved to mknmz.in.

	* scripts/gcnmz.pl.in: Moved to gcnmz.in.

	* scripts/kwnmz.pl.in: Moved to kwnmz.in.

	* scripts/Makefile.am: Update for these changes.

	* configure.in (AC_OUTPUT): Likewise.

	* pl/gettext.pl.in: Changed %LOCALEDIR% -> @LOCALEDIR@.

	* pl/Makefile.am: Fixed for handle gettext.pl.in.
	(TAGS_DEPENDENCIES): Set.
	(EXTRA_DIST): Includes correctly files.
	(CLEANFILES): Added gettext.pl.

	* filter/Makefile.am (TAGS_DEPENDENCIES): Set.

2000-01-29  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

	* filter/hnf.pl: s/SUMMARY_LENGTH/MAX_FIELD_LENGTH/

2000-01-29  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/namazu-cmd.c (main): Fix default index bug. 
	[namazu-dev 1398]

	* src/namazu-cgi.c (main): Likewise.

	* conf/namazurc-sample: Modify comments.

	* src/namazu-cgi.c (main): Fix load_rcfiles() timing bug.

	* src/rcfile.c (process_rc_lang): It workd only if LANG is not
	set. 

	* nmz/i18n.c (nmz_set_lang): Set enviromental variables for
	gettext() only if LANG is not set. 

	* src/rcfile.c (show_config): Modify display formats.

	* src/output.c (get_emphasis_tag_start): New function.
	(get_emphasis_tag_end): Likewise.

	* nmz/replace.c (nmz_show_replaces): Abolished.
	(nmz_get_replaces): New function.

	* nmz/alias.c (nmz_show_aliases): Abolished.

	* nmz/replace.c (nmz_get_replaces): New function.

	* src/rcfile.c (add_loaded_rcfile): New function.

	* scripts/mknmz.pl.in (load_rcfiles): Renamed to be same name in
	used in namazu command.

	* src/rcfile.c (set_namazurc): Be void.

	* src/namazu-cgi.c (conjuct_pathname): New function derived from
	set_pathname in rcfile.c.

	* src/rcfile.c (show_config): Renamed from show_rcfile and modified.
	(set_pathname): Abolished.
	
	* src/namazu-cmd.c (main): Change timing of loding rcfile.

	* src/namazu-cgi.c (main): Likewise.

	* nmz/util.c (nmz_is_file_exists): New function.

	* src/rcfile.c (getenv_namazurc): Change behaviour.
	(load_rcfile): Change behaviour.
	(load_rcfiles): New function derived from open_rcfile.
	(open_rcfile): Abolished.

	* scripts/mknmz.pl.in (show_usage): Gettextized.

	* pl/usage.pl: Gettextized.

	* scripts/mknmz.pl.in (parse_options): Abolish --lang option.

	* src/namazu-cmd.c (parse_options): Abolish --lang option.

	* src/usage.c (show_usage): Likewise.

2000-01-29  Ryuji Abe  <raeva@t3.rim.or.jp>

	* acinclude.m4 (AM_PATH_LISPDIR): Do not AC_SUBST(emacsdir).

	* scripts/Makefile.am: Revert to verbose configuration process.
	(TAGS_DEPENDENCIES): Set $(SCRIPTS).

	* lisp/Makefile.am (lisp_LISP): Comment out.

	* configure.in (AM_PATH_LISPDIR): Likewise.

	* templade/Makefile.am (EXTRA_DIST): Fixed wrong entries.

	* src/rcfile.c: Include <errno.h>.

2000-01-28  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/Makefile.am (perllib_DATA): Remove find.pl.
	(EXTRA_DIST): Simplified.

	* scripts/mknmz.pl.in (put_log): Getteztized.
	s/Files/Documents/g.

	* pl/gettext.pl.in (N_): New function.

	* scripts/mknmz.pl.in (find_target): Change a message.
	(load_modules): Do not require find.pl.

	* pl/find.pl: Removed.

	* scripts/mknmz.pl.in (find_target): Use File::Find's find()
	instead of one in pl/find.pl.
	(wanted): Abolished and transformed to $wanted_closure in
	find_target().

	* template/Makefile.am (template_DATA): Add
	NMZ.result.{normal,short}.ja 
	(EXTRA_DIST): Simplified.

	* configure.in (COPYRIGHT): Add "Copyright (C) 1997-1999 Satoru
	Takabayashi All rights reserved.\n"

	* pl/var.pl.in: Make $COPYRIGHT double-quoted string.

	* src/output.c (print_hlist): Fix a bug.

	* template/NMZ.result.normal.ja: New file.

	* template/NMZ.result.short.ja: Likewise.

	* src/output.c (load_nmz_result): New function.
	(load_nmz_result): Handle lang suffix such as ".ja".

	* configure.in: Fix OPT_ADMIN_EMAIL handling bug.

	* scripts/mknmz.pl.in (init): Overwrite $TEMPLATEDIR if
	../template/NMZ.head exists. This is for executing mknmz in
	scripts directory.

	* configure.in: Aboslish --with-admin=EMAIL option.

	* pl/var.pl.in: Fix $MAILING_ADDRESS quotation bug.

	* scripts/mknmz.pl.in (make_headfoot): Handle <!-- ADDRESS -->.

	* template/NMZ.foot.ja.in: Add <!-- ADDRESS --> marks.

	* template/NMZ.foot.in: Likewise.

	* pl/conf.pl.in: Add $ADDRESS and change commenting style.

	* conf/namazurc-sample: Add comments for Template directive.

	* src/rcfile.c (process_rc_template): New function.

	* src/namazu.c (get_templatedir): New function.
	(set_templatedir): Likewise.
	(make_fullpathname_msg): Use templatedir.

	* src/result.c (compose_result): Be const 3rd parameter.

	* src/namazu.c (namazu_core): Abolish 3rd parameter. All callers
	changed. 

	* src/usage.c (show_usage): Use MAILING_ADDRESS macro.

	* pl/var.pl.in: Define $MAILING_ADDRESS.

	* pl/usage.pl: Use $var::MAILING_ADDRESS.

	* configure.in: Define MAILING_ADDRESS.

	* acconfig.h: Add MAILING_ADDRESS.

	* configure.in (OPT_NMZ_URI): Change URI of Namazu Website.

2000-01-28  Ryuji Abe  <raeva@t3.rim.or.jp>

	* src/Makefile.am (noinst_PROGRAMS): Changed libexec_PROGRAMS.

2000-01-27  Ryuji Abe  <raeva@t3.rim.or.jp>

	* lib/alloca.c: New file (taken from GNU grep-2.4).

	* lib/Makefile.am (EXTRA_DIST): Added alloca.c.

	* nmz/Makefile.am (libnmz_la_LDFLAGS): Set -version-info to 2:0:0.

2000-01-27  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/var.pl.in: Set $COPYRIGHT to "@COPYRIGHT@".

	* src/usage.c (show_version): Use COPYRIGHT macro.

	* configure.in: Define COPYRIGHT.

	* acconfig.h: Add #undef COPYRIGHT

	* src/output.c (set_emphasis_tags): New function.

	* src/rcfile.c (process_rc_emphasistags): New function.

	* conf/namazurc-sample: Comments modified.

	* src/em.h: Removed.

	* src/output.h: Import enum from em.h.

	* src/rcfile.c (process_rc_base): Abolished.

	* src/cgi.c (get_query_string): Remove unnecessary cast.

	* src/rcfile.c: Gettextized.

	* src/usage.c (show_usage): Simplfied.

	* src/cgi.c (get_query_string): Abolish POST method support.

	* src/cgi.c (apply_cgifunc): Simplfy calling a pointed function. 

	* src/rcfile.c (apply_rc): Simplfy calling a pointed function. 

	* pl/util.pl (cp): Abolished.

	* scripts/mknmz.pl.in: Use File::Copy's copy instead of
	util::cp. All callers changed.

	* src/namazu-cmd.c (main): Print a help message if invoked as CGI.
	[namazu-dev 1339]

	* src/Makefile.am (namazu_cgi_SOURCES): Add cgi.c and cgi.h.
	(common_SOURCES): Remove cgi.c and cgi.h.

	* src/output.c (is_cgimode): Be static.

	* src/rcfile.c: Make directive_tab static.

	* src/Makefile.am (common_SOURCES): Renamed from namazu_SOURCES
	(namazu_SOURCES): Use $(common_SOURCES) and namazu-cmd.c
	(namazu_cgi_SOURCES): Use $(common_SOURCES) and namazu-cgi.c

	* src/namazu-cmd.c: New file derived from namazu.c

	* src/namazu-cgi.c: Likewise.

	* src/namazui.c (suicide): Removed.
	(main): Likewise.
	(parse_options): Likewise.
	(ck_atoi): Likewise.
	(stdio2file): Likewise.

	* src/namazu.c (main): Change position of calling nmz_set_lang()
	and load_rcfile().

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 1.9.14.

2000-01-26  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

  	* Namazu: Version 1.9.13 released.

	* src/rcfile.c (process_rc_lang): Call nmz_set_lang() in anytime
	for workaround. (temporary change)

	* src/namazu.c (main): Fix a security hole in CGI mode which
	allows malicious person to put a garbage file on a Web server's
	directory such as /tmp. -- reported by Motoyuki Kasahara
	<m-kasahr@sra.co.jp>

	* src/form.c (replace_query_value): Use html_print() to print the
	query instead of print(). 

	* pl/codeconv.pl (toeuc): Fix codeconv bug. [namazu 1316]

2000-01-25  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/util.h: (nmz_iskanji): Moved to wakati.c as iskanji.
	(iskanji1st): Moved to codeconv.c.
	(iskanji2nd): Likewise.

	* nmz/util.c: Removed #include "message.h".
	(nmz_strerror): Replaced MSG_TOO_LONG_QUERY -> "Too long query".

	* nmz/codeconv.[ch] (nmz_iskatakana): Moved to wakati.c as
	iskatakana.
	(nmz_ishiragana): Moved to wakati.c as ishiragana.

	* nmz/wakati.c (iskatakana): Private function.
	(ishiragana): Likewise.

2000-01-23  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/rcfile.c (process_rc_lang): Call nmz_set_lang only if
	environmental variable LANG is not set. [namazu-dev 1277]

	* src/rcfile.c (show_rcfile): Follow Fujiwara's sugesstion.
	[namazu-dev 1298]

2000-01-22  Masao Takaku  <masao@ulis.ac.jp>

	* nmz/search.c (parse_access): Fix a bug [namazu-dev 1290].
	Keep nmz_perm to use it later.

2000-01-21  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* TODO: Edit it.

2000-01-20  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/namazu.c (namazu_core): Use nmz_free_internal() instead of
	calling nmz_free_idxnames(), nmz_free_aliases() and
	nmz_free_replaces() respectively.

	* nmz/libnamazu.c (nmz_free_internal): New function.

	* scripts/mknmz.pl.in (load_modules): Modify textdomain calling.

	* pl/gettext.pl.in (choose_catalog): New function.
	(textdomain): Take the second parameter LANG.

	* scripts/mknmz.pl.in (show_mini_usage): gettextized.

	* pl/usage.pl: Remove $USAGE_MINI.

	* scripts/mknmz.pl.in (muda): Add $var::USE_NKF_MODULE.

	* configure.in: Fix --with-pmdir handling.

	* nmz/query.c (nmz_make_query): Call nmz_codeconv_query().

	* src/namazu.c (namazu_core): Do not call nmz_codeconv_query().

	* src/rcfile.ch (set_namazurc): Remove prefix "nmz_" and all
	callers changed.
	(load_rcfile): Likewise.
	(show_rcfile): Likewise.

	* src/rcfile.c: Moved from ../nmz directory.

	* src/rcfile.h: Likewise.
	
	* nmz/Makefile.am (libnmz_la_SOURCES): Remove rcfile.c and rcfile.h.

	* src/Makefile.am (namazu_SOURCES): Add rcfile.c and rcfile.h.

2000-01-20  Ryuji Abe  <raeva@t3.rim.or.jp>

	* Makefile.am (COMMON_DIRS): New Variable.
	(install-data-local): Handled $(COMMON_DIRS), never tknamazu.

2000-01-19  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

  	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 1.9.13.
  
  	* Namazu: Version 1.9.12 released.

	* src/usage.c (show_usage): s/no-encode-uri/no-decode-uri/

	* src/namazu.c (parse_options): Insert set_uridecode(0) at proper
	positions.
	(main): Likewise.
	long_options[]: s/no-encode-uri/no-decode-uri/

	* src/result.c (replace_field): Fix the bug [namazu-dev 1250].
	Change the default value of uridecode.

2000-01-18  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in: Restore AC_SUBST(OPT_NMZ_URI).

	* nmz/search.c (nmz_search): Fix a serious bug. [namazu-dev 1233]

	* src/namazu.c (namazu_core): Change a little.

2000-01-16  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.pl.in (write_message): Do not convert character
	encoding. (Fix the bug reported in [namazu-dev 1209])
	(make_headfoot): Likewise.

2000-01-16  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in: Use BUILD_TKNAMAZU conditional instead of 
	AC_SUBST(TKNAMAZU).

	* Makefile.am: Likewise.
	(BUILT_TKNAMAZU): Set tknamazu if BUILD_TKNAMAZU.
	(DIST_TKNAMAZU): Set tknamazu if not BUILD_TKNAMAZU.
	(SUBDIRS): Use $(BUILT_NAMAZU) instead of tknamazu.
	(DIST_SUBDIRS): Likewise. Forgotten scripts has added.
	(EXTRA_DIST): Remove pxgettext.
	(EXTRA_DIRS): Removed template and added $(DIST_TKNAMAZU).
	(dist-hook): Remove .cvsignore and autogen.sh if exist.

2000-01-14  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/find.pl : More gettextize.

2000-01-14  Ryuji Abe  <raeva@t3.rim.or.jp>

	* lib/Makefile.am (EXTRA_DIST): Added forgotten easy-vsnprintf.c.

	[Removed unnessesary includes, here is the list.]

	* nmz/field.c: src/result.h.

	* nmz/libnamazu.c: lib/getopt.h, src/cgi.h, src/form.h, src/output.h,
	and src/usage.h.

	* nmz/search.c: src/output.h and src/result.h.

	* nmz/wakati.c: src/message.h and src/output.h.

2000-01-13  Kenji Suzuki  <kenji@po.ganseki.ne.jp>

        * filter/hnf.pl: New file.

2000-01-13  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in: Abolish --with-scoring option.

	* nmz/hlist.c (nmz_get_hlist): Modify the way to handle tfidf.

	* nmz/search.c (nmz_do_searching): Abolish tfidf handling in the func.

	* nmz/idxname.c (nmz_set_defaultidx): New function.
	(nmz_get_defaultidx): Likewise.

	* nmz/rcfile.c (namazurcdir): Move from var.c.

	* nmz/search.c (nmz_set_tfidfmode): New function.
	(nmz_is_tfidfmode): Likewise.
	(nmz_search_sub): Do not check nmz_is_tfidfmode() to call
	nmz_set_docnum(). 

	* nmz/var.c (TfIdf): Abolished. All users changed.
	(CONFDIR): Abolished. All users changed.
	(BASE_URI): Abolished. All users changed.
	(DEFAULT_INDEX): Abolished. All users changed.

	* src/output.c (set_template): Make parameter(s) be const.

2000-01-12  Ryuji Abe  <raeva@t3.rim.or.jp>

	* po/POTFILES.in: Added scripts/mknmz.pl.in.

2000-01-12  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.pl.in (load_modules): Modified to call textdomain().

	* pl/gettext.pl.in (mo_format_value): Modified to use private 
	variables.

2000-01-12  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in(AC_CHECK_FUNCS): Checking for __vsnprintf.

	* lib/easy-vsnprintf: Derived from gnome-libs support file.

	* nmz/util.h: Removed HAVE__VSNPRINTF conditional.

2000-01-11  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/libnamazu.h (nmz_set_dyingmsg): Use __PRETTY_FUNCTION__ if
	#ifdef __GNUC__.

	* configure.in: Fix a message.

2000-01-11  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz/util.h: Added prefix macro difinitions.
	s/iseuc/nmz_iseuc/g.
	s/iskanji/nmz_iskanji/g.
	(ischoon): Removed unused macro.

	* nmz/codeconv.c: Likewise.

	* nmz/search.c: Likewise.

	* nmz/util.c: Likewise.

	* nmz/wakati.c: Likewise.

2000-01-10  Ryuji Abe  <raeva@t3.rim.or.jp>

	* configure.in: Many Changes. Abolished --with-COMMAND=PATH style
	options except --with-emacs and --with-perl5.
	(AC_CHECK_SIZEOF): New macro. checking for int, long, long long.
	(--with-included-file-mmagic): Use instead of --without-file-mmagic.
	(AM_CONDITIONAL): New Macro.
	(--without-tknamazu): Revert to --with-tknamazu, but changed not to
	be built by default.

	* Makefile.am (SUBDIRS): Added template. if BUILD_FILE_MMAGIC defined,
	File-MMagic will be built.
	(DIST_SUBDIRS): Added template.
	(DISTCLEANFILES): Removed.
	(DISTCLEANDIRS): LIkewise.
	(pkgdatadir): Likewise.

2000-01-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/rcfile.c (parse_rcfile): Fix memory leak bug.

	* nmz/idxname.c: Inclued "util.h".

	* nmz/rcfile.h: Inclued "util.h".

	* nmz/search.c (open_index_files): Cleaned up.
	(is_locked): Renamed from check_lockfile().

	* src/output.c (print): New function derived from nmz_print().

	* nmz/util.c (nmz_print): Abolished.

	* nmz/re.c (nmz_regex_grep): prefix nmz added.

	* nmz/hlist.c (struct str_num): Abolished.

	* nmz/libnamazu.h (enum nmz_searchmethod): Renamed from enum
	nmz_searchmethod. 

	* nmz/rcfile.c (get_rc_args): Be static.

	* nmz/util.h (struct nmz_strlist): Moved from libnamazh.h

	* src/namazu.c (parse_options): Call nmz_load_rcfile() in 'f' option.

	* nmz/search.c (nmz_search): Fix error state handling.
	(do_prefix_match_search): Fix serious bug. (cannot catch too much
	match). 

	* nmz/rcfile.c (nmz_load_rcfile): Handle a line ending with `\' to
	concatenate the next line.
	(parse_rcfile): Fix bug.

	* nmz/parser.c (factor): Use temporary variable to simplify codes.
	(andop): Likewise.
	(orop): Likewise.

	* nmz/idxname.c (nmz_add_index): Add warning message.

	* nmz/parser.c (factor): Handle an invalid query as error.

	* nmz/rcfile.c (process_rc_blank): New function.
	(process_rc_comment): Likewise.
	(process_rc_debug): Likewise.
	(process_rc_index): Likewise.
	(process_rc_base): Likewise.
	(process_rc_alias): Likewise.
	(process_rc_replace): Likewise.
	(process_rc_logging): Likewise.
	(process_rc_scoring): Likewise.
	(process_rc_lang): Likewise.
	(is_valid_argnum): Abolished.
	(parse_rcfile): Modified.
	(apply_rc): Likewise.

	* src/cgi.c (apply_cgifunc): Remove unused variable i.

	* nmz/util.c (free_strlist): New function.
	(push_strlist): New function.

	* nmz/libnamazu.h (struct nmz_strlist): New data structure.

	* src/namazu.c (main): Remove debug codes.
	(main): Change parse_options() calling position.

2000-01-09  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in (ALL_LINGUAS): Remove ja_JP.ISO-2022-JP.
	(AC_OUTPUT): Remove po/make_iso-2022-jp_po.

	* nmz/Makefile.am: Move add-prefix to maintMakefile

	* nmz/maintMakefile: New file.

	* nmz/re.h (ALLOC_N): Use nmz_xmalloc() instead of xmalloc()
	(ALLOC): Likewise.
	
	* nmz/util.c: Changed function names.
	s/xrealloc/nmz_xrealloc/g
	s/xmalloc)/nmz_xmalloc/g
	s/scan_hex/nmz_scan_hex/g
	s/scan_oct/nmz_scan_oct/g

	* nmz/regex.[ch]: Generated from Ruby 1.4.3's regex.[ch].
	Add prefix to all extern functions. All callers	changed. 
	
	* nmz/hlist.[ch]: Changed function names.
	s/andmerge/nmz_andmerge/g
	s/notmerge/nmz_notmerge/g
	s/ormerge/nmz_ormerge/g
	s/malloc_hlist/nmz_malloc_hlist/g
	s/realloc_hlist/nmz_realloc_hlist/g
	s/free_hlist/nmz_free_hlist/g
	s/copy_hlist/nmz_copy_hlist/g
	s/set_idxid_hlist/nmz_set_idxid_hlist/g
	s/merge_hlist/nmz_merge_hlist/g
	s/do_date_processing/nmz_do_date_processing/g
	s/get_hlist/nmz_get_hlist/g
	s/sort_hlist/nmz_sort_hlist/g
	s/reverse_hlist/nmz_reverse_hlist/g
	s/set_docnum/nmz_set_docnum/g
	s/set_sortfield/nmz_set_sortfield/g
	s/get_sortfield	/nmz_get_sortfield/g

	* nmz/i18n.[ch]: Changed function names.
	s/is_lang_ja/nmz_is_lang_ja/g
	s/set_lang/nmz_set_lang/g
	s/get_lang/nmz_get_lang/g
	s/choose_msgfile_suffix/nmz_choose_msgfile_suffix/g

	* nmz/parser.[ch]: Changed function names.
	s/init_parser/nmz_init_parser/g
	s/expr/nmz_expr/g
	s/isop/nmz_is_query_op/g

	* nmz/wakati.[ch]: Changed function names.
	s/wakati/nmz_wakati/g

	* nmz/field.[ch]: Changed function names.
	s/isfield/nmz_isfield/g
	s/get_field_name/nmz_get_field_name/g
	s/get_field_data/nmz_get_field_data/g

	* nmz/query.[ch]: Changed function names.
	s/make_query/nmz_make_query/g
	s/get_querytokennum/nmz_get_querytokennum/g
	s/get_querytoken/nmz_get_querytoken/g

	* nmz/rcfile.[ch]: Changed function names.
	s/set_namazurc/nmz_set_namazurc/g
	s/load_rcfile/nmz_load_rcfile/g
	s/show_rcfile/nmz_show_rcfile/g

	* nmz/codeconv.[ch]: Changed function names.
	s/conv_ja_any_to_eucjp/nmz_conv_ja_any_to_eucjp/g
	s/zen2han/nmz_zen2han/g
	s/ishiragana/nmz_ishiragana/g
	s/iskatakana/nmz_iskatakana/g
	s/conv_ext/nmz_conv_ext/g

	* nmz/alias.[ch]: Changed function names.
	s/add_alias/nmz_add_alias/g
	s/get_aliases/nmz_get_aliases/g
	s/show_aliases/nmz_show_aliases/g

	* nmz/replace.[ch]: Changed function names.
	s/replace_uri/nmz_replace_uri/g
	s/add_replace/nmz_add_replace/g
	s/show_replaces/nmz_show_replaces/g

	* nmz/idxname.[ch]: Changed function names.
	s/add_index/nmz_add_index/g
	s/get_idxnum/nmz_get_idxnum/g
	s/uniq_idxnames/nmz_uniq_idxnames/g
	s/expand_idxname_aliases/nmz_expand_idxname_aliases/g
	s/complete_idxnames/nmz_complete_idxnames/g
	s/get_idxname/nmz_get_idxname/g
	s/get_idx_totalhitnum/nmz_get_idx_totalhitnum/g
	s/set_idx_totalhitnum/nmz_set_idx_totalhitnum/g
	s/get_idx_hitnumlist/nmz_get_idx_hitnumlist/g
	s/set_idx_hitnumlist/nmz_set_idx_hitnumlist/g

	* nmz/searc.[ch]: Changed function names. 
	s/free_hitnums/nmz_free_hitnums/g
	s/binsearch/nmz_binsearch/g
	s/do_search/nmz_do_searching/g

	* nmz/hlist.c (sort_hlist): Change a parameter name.

	* nmz/libnamazu.h (enum nmz_sortmethod): Renamed.
	(enum nmz_sortorder): Renamed.

	* nmz/libnamazu.[ch]: Changed function names. 
	s/free_aliases/nmz_free_aliases/g
	s/free_replaces/nmz_free_replaces/g
	s/codeconv_query/nmz_codeconv_query/g
	s/set_sortmethod/nmz_set_sortmethod/g
	s/set_sortorder/nmz_set_sortorder/g
	s/set_debugmode/nmz_set_debugmode/g
	s/is_debugmode/nmz_is_debugmode/g
	s/set_loggingmode/nmz_set_loggingmode/g
	s/get_sortorder/nmz_get_sortorder/g
	s/get_sortmethod/nmz_get_sortmethod/g

	* src/usage.c (show_mini_usage): Use fputs() instead of printf()
	to avoid mojibake in LANG=ja_JP.ISO-2022-JP.

2000-01-09  Ryuji Abe <raeva@t3.rim.or.jp>

	* po/make_iso-2022-jp_po.in: Quit replace % -> %%.

2000-01-08  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/rcfile.c (load_rcfile): Fix bug.
	(is_valid_argnum): Handle unknown directive as an error.

	* nmz/libnamazu.h (nmz_set_dyingmsg): New macro.
	
	* nmz/libnamazu.c (nmz_get_dyingmsg): Renamed from get_dyingmsg.
	(nmz_set_dyingmsg_func_sub): Derived from set_dyingmsg.
	(nmz_msg): New function.

	* src/namazu.c (die): New function.
	All callers changes to use die() instead of nmz_die().
	
	* nmz/util.c (nmz_die): Abolished.

	* src/form.c (replace_query_value): Use strerror().

	* src/output.c (print_hlist): Use strerror().

	* src/namazu.h (main): Abolish unused enums DIE_ERROR and
	DIE_NOERROR.

	* nmz/util.c (nmz_strerror): Renamed from nmz_get_errnmsg().
	(nmz_strerror): Use assert().
	All callers changed.	
	(nmz_die): Modified a bit.

	* nmz/rcfile.c (is_valid_argnum): Use assert(0) instead of 
	MUST_NOT_BE_HERE() macro. 
	
	* nmz/libnamazu.h: Abolish MUST_NOT_BE_HERE macro().

2000-01-07  Ryuji Abe <raeva@t3.rim.or.jp>

	* nmz/util.c (nmz_strlower): Modified commentations.

2000-01-07  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/codeconv.c: Include <errno.h>

	* nmz/hlist.c (realloc_hlist): Use strerror().

	* nmz/search.c (normalize_idxnames): Make it not call nmz_die().
	(nmz_search): Check a return value of normalize_idxnames().

	* src/namazu.c (stdio2file): Die if freopen() failed.

	* nmz/rcfile.c (is_valid_argnum): Use nmz_die() instead of
	set_dyingmsg();

	* nmz/hlist.c (field_sort): Use strerror().

	* nmz/codeconv.c: Use strerror().
	(conv_ext): Likewise.

	* nmz/field.c (get_field_data): Use nmz_warn_printf() instead of
	nmz_debug_printf() and use strerror().
	Include <errno.h>
	Add copyright notice.

	* nmz/search.c (do_logging): Use strerror().
	Include <errno.h>
	(do_regex_search): Use nmz_warn_printf() instead of
	nmz_debug_printf() and use strerror().

	* src/output.c (print_errmsg): Prepare prototype.

	* nmz/search.c (normalize_idxnames): Prepare prototype.

	* nmz/query.c: Include "query.h"

	* nmz/var.h: Remove prototypes of unused variable.

	* nmz/search.c (open_phrase_index_files): Use strerror().
	Include <errno.h>

	* src/output.c (print_msgfile): Use strerror().
	Include <errno.h>
	Add copyright notice.

	* src/form.c (read_headfoot): Use strerrnor().
	Include <errno.h>

	* src/namazu.c (stdio2file): Use strerror().
	Include <errno.h>

	* nmz/hlist.c (do_date_processing): Use strerror().
	(malloc_hlist): Use strerror().
	Include <errno.h>

	* nmz/idxname.c (expand_idxname_aliases): Use strerror().
	(complete_idxnames): Likewise.
	(push_hitnum): Likewise.
	Include <errno.h>
	
	* nmz/search.c (cmp_phrase_hash): Use strerror().
	Include <errno.h>

	* nmz/replace.c (add_replace): Use strerror().
	Include <errno.h>

	* nmz/alias.c (add_alias): Use strerror().
	Include <string.h>
	Include <errno.h>

	* configure.in (AC_REPLACE_FUNCS): Add strerror.

	* lib/strerror.c: Imported from NDTPD-2.3.6.
	<http://www.sra.co.jp/people/m-kasahr/ndtpd/>
	
	* nmz/util.c (nmz_cat): Abolished.
	Include <errno.h>
	(nmz_readfile): Use strerror().

	* src/output.c (print_listing): Return error status.
	(print_hlist): Likewise.
	(print_errmsg): New function.

	* nmz/util.c (nmz_get_errmsg): Handle 
	ERR_CANNOT_OPEN_RESULT_FORMAT_ FILE. 
	
	* nmz/libnamazu.h (enum nmz_stat): Add
	ERR_CANNOT_OPEN_RESULT_FORMAT_ FILE. 

	* src/namazu.c (main): Do not call expand_idxname_aliases(),
	complete_idxnames() and uniq_idxnames(). They are called in
	normalize_idxnames(). 

	* nmz/search.c (normalize_idxnames): New function.
	(nmz_search): Use normalize_idxnames().

	* nmz/field.c (get_field_name): Change interface. All callers
	changed. 

	* nmz/util.c (nmz_get_errmsg): Handle ERR_FIELD_SEARCH_FAILED.

	* nmz/search.c (do_field_search): Use ERR_CANNOT_OPEN_INDEX.

	* nmz/libnamazu.h (enum nmz_stat): Add ERR_FIELD_SEARCH_FAILED.

2000-01-07  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/find.pl (find,finddir): Fixed `(-d _)' expression.

	* pl/{util,wakati,find}.pl: Gettextized.

	* pl/conf.pl.in: Modified some comments refering to 
	required software version.

2000-01-06  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.pl.in: Moved location of requiring gettext.pl.

2000-01-06  Ryuji Abe <raeva@t3.rim.or.jp>

	* acinclude.m4: Removed libtool related macros.

2000-01-06  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/form.c (read_headfoot): Fix a memory leak bug.

	* src/output.c (print_msgfile): Likewise.

	* **/*.c, **/*.pl{,in}: Change copyright notice: 
	1997-1999 -> 1997-2000
	
	* pl/usage.pl ($VERSION_INFO): Use $var::COPYRIGHT.

	* nmz/query.c: Use static struct nmz_query query = {0}
	instead of Query.

	* nmz/var.c (struct nmz_query Query): Removed.

	* nmz/parser.c: Use get_querytoken() and get_querytokennum()
	instead of accessing Query.tab[] directly.
	nmz/query.c: Likewise.
	nmz/search.c: Likewise.
	src/output.c: Likewise.
	src/result.c: Likewise.

	* nmz/query.c: New file.
	(make_query): Derive from split_query() in wakati.c.
	(set_phrase_trick): Moved from wakati.c
	(set_regex_trick): Moved from wakati.c
	(get_querytokennum): New function.
	(get_querytoken): New function.

	* nmz/query.h: New file.

	* nmz/search.c (do_search): Turn tf idf off if query contains only
	one keyword.

	* nmz/hlist.c (get_hlist): Change array opperations.

	* nmz/parser.c (andop): Change a condition style.

	* nmz/libnamazu.h (struct nmz_query): Add new member: int num.

	* nmz/search.c (do_search): Fix wakati bug.

	* nmz/wakati.c (split_query): Abolished.

	* nmz/Makefile.am (pkginclude_HEADERS): Change order.
	(libnmz_la_SOURCES): Add query.c and query.h

	* nmz/codeconv.c: Remove #include <namazu.h>
	nmz/field.c: Likewise.
	nmz/hlist.c: Likewise.
	nmz/i18n.c: Likewise.
	nmz/idxname.c: Likewise.
	nmz/libnamazu.c: Likewise.
	nmz/parser.c: Likewise.
	nmz/rcfile.c: Likewise.
	nmz/re.c: Likewise.
	nmz/util.c: Likewise.
	nmz/var.c: Likewise.
	nmz/wakati.c: Likewise.

	* Makefile.am (EXTRA_DIST): Add INSTALL-ja.

	* INSTALL-ja: New file.
	<http://www.sra.co.jp/people/m-kasahr/install/INSTALL-ja>

	* nmz/libnamazu.h (struct nmz_indices): Change member names.

	* nmz/idxname.c: Use static struct nmz_indices indices = {0}
	instead of Idx.

	* nmz/var.c (struct nmz_indices Idx): Removed.

	* nmz/search.c (do_phrase_search): Use get_idx_hitnumlist() and
	set_idx_hitnumlist(). 
	(nmz_search): Likewise.
	(do_search): Likewise.

	* nmz/idxname.c (free_idxnames): Moved from libnamazu.c
	(uniq_idxnames): Likewise.
	(expand_idxname_aliases): Likewise.
	(complete_idxnames): Likewise.
	(get_idxnum): Renamed from getidxnum.
	(set_idx_totalhitnum): New function.
	(get_idx_totalhitnum): New function.
	(get_idx_hitnumlist): New function.
	(push_hitnum): Moved from search.c and change parameter order.

	* src/namazu.c (main): Call set_refprint(1). bug fix.

	* nmz/libnamazu.h (struct nmz_hitnumlist): Renamed from nmz_hitnum

	* nmz/util.c (nmz_decode_uri): Chage a parameter name.
	(nmz_chomp): Likewise.
	(nmz_print): Likewise.
	(nmz_getidxptr): Likewise.

	* nmz/search.c (lrget): Remove a unused paramter.
	(get_regex_part): Renamed from get_expr.
	(do_prefix_match_search): Make parameter(s) be const.
	(prefix_match): Likewise.
	(detect_search_mode): Likewise.
	(do_field_search): Likewise.
	(do_regex_search): Likewise.
	(get_file_size): Likewise.
	(do_word_search): Likewise.
	(hash): Likewise.

	* nmz/field.c (get_field_name): Make parameter(s) be const.
	(get_field_data): Likewise.

	* src/output.c (print_result): Make parameter(s) be const.
	(fputs_without_html_tag): Likewise.

	* src/namazu.c (stdio2file): Make parameter(s) be const.

	* src/form.c (check_checkbox): Change a parameter name.

2000-01-05  Ryuji Abe <raeva@t3.rim.or.jp>

	* configure.in (AC_OUTPUT): Added template/Makefile.

	* template/Makefile.am: New file.

	* template/NMZ.body.ja: EUC-JP encoded. Replaced from ja_JP.JIS7 file.

	* template/NMZ.foot.ja.in: Likewise.

	* template/NMZ.head.ja.in: Likewise.

	* template/NMZ.tips.ja: Likewise.

2000-01-05  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/util.c (nmz_subst): Make parameter(s) be const.

	* nmz/search.c (do_search): Make parameter(s) be const.
	(nmz_search): Likewise.
	(binsearch): Likewise.
	(do_logging): Likewise.
	(push_hitnum): Likewise.

	* nmz/rcfile.c (set_namazurc): Make parameter(s) be const.
	(load_rcfile): Likewise.
	(set_pathname): Likewise.
	(open_rcfile): Likewise.
	(get_rc_arg): Likewise.
	(get_rc_args): Likewise.
	(parse_rcfile): Likewise.

	* nmz/re.c (regex_grep): Make parameter(s) be const.

	* nmz/libnamazu.c (set_dyingmsg): Make parameter(s) be const.

	* nmz/parser.c (isop): Make parameter(s) be const.p

	* nmz/idxname.c (add_index): Make parameter(s) be const.

	* nmz/hlist.c (set_sortfield): Make parameter(s) be const.

	* nmz/i18n.c (set_lang): Make parameter(s) be const.

	* nmz/field.c (get_field_data): Make parameter(s) be const.
	* nmz/field.c (isfield): Likewise.

	* nmz/replace.c (add_replace): Make parameter(s) be const.

	* nmz/alias.c (add_alias): Make parameter(s) be const.

	* src/result.c (replace_field): Make parameter(s) be const.

	* src/output.c (html_print): Make parameter(s) be const.

	* src/cgi.c (validate_idxname): Make parameter(s) be const.
	(add_cgivar): Likewise.
	(apply_cgifunc): Likewise.

	* src/cgi.c (remove_ending_slashes): New function.
	
	* {src,nmz}/*.c: Change comment styles.
	
	* nmz/codeconv.c: Fix ja_JP.JIS7 bug.

	* template/NMZ.*.ja_JP.JIS7: Renamed to NMZ.*.ja
	and converted its character encoding to EUC-JP.
	
	* src/namazu.c (main): Modify set_htmlmode(), set_pageindex(),
	set_formprint() callings.

	* src/output.c: Set 0 to pageindex, formprint, refprint as default.

	* nmz/util.c (nmz_die): Use get_dyingmsg().
	(nmz_die_with_msg): Abolished.	All callers changed.

	* nmz/util.c (nmz_strprefixcasecmp): Make parameter(s) be const.
	(nmz_strprefixcmp): Likewise.
	(nmz_strsuffixcmp): Likewise.
	(nmz_readfile): Likewise.
	(nmz_cat): Likewise.
	(nmz_getenv): Likewise.

	* src/form.c (replace_query_value): Make parameter(s) be const.
	(cmp_element): Likewise.
	(print_headfoot): Likewise.
	(read_headfoot): Likewise.
	(get_value): Likewise.
	(get_select_name): Likewise.
	(select_option): Likewise.

	* nmz/codeconv.c (iskatakana): Make parameter(s) be const.
	(ishiragana): Likewise.

	* nmz/codeconv.c (conv_ext): Returun a pointer of converted string.
	All callers changed.

	* src/output.c: Use choose_msgfile_suffix.

	* nmz/i18n.c (choose_msgfile_suffix): Derived from choose_msgfile.
	(choose_msgfile): Removed.

	* nmz/util.c (nmz_pathcat): Make a first parameter be const.

	* conf/namazurc-sample: New file.

	* conf/namazurc: Removed.
	
	* conf/Makefile.am: s/namazurc/namazurc-sample/g,
	s/mknmzrc/mknmzrc-sample/g

	* po/ja_JP.ISO-2022-JP.po, po/make_iso-2022-jp_po,
	po/make_iso-2022-jp_po.in: New files.

	* po/ja_JP.JIS7.po, po/make_jis7_po, po/make_jis7_po.in:
	Removed.
	
	* configure.in (AC_OUTPUT): s/(NMZ\.(head|foot))\.ja_JP\.JIS7/$1.ja/g
	(AC_OUTPUT): s/make_jis7_po/make_iso-2022-jp_po/
	(ALL_LINGUAS): s/ja_JP.JIS7/ja_JP.ISO-2022-JP/

	* scripts/mailutime.in: Fix Y2K bug. (handling 00)

2000-01-05  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* scripts/mknmz.pl.in : Gettextized.

2000-01-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* filter/man.pl (filter): Make groff output one paragraph per one
	 line.  Thanks to Tatsuo SEKINE <tsekine@isoternet.org> for
	 his suggestion.
	 (filter): Fix jgroff/groff condition bug.

	* maintMakefile (cxref-latex2e): New rule.

	* acinclude.m4 (AM_WITH_CCMALLOC): Add "-ldl" to LIBS.

2000-01-04  Ryuji Abe <raeva@t3.rim.or.jp>

	* configure.in (AM_MAINTAINER_MODE): Enabled maintainer mode.

	* maintMakefile: New file. Some targets (snapshot, cxref, 
	global, HTAGS, and GTAGS) moved from Makefile.

	* Makefile.am (EXTRA_DIST): Added maintMakefile.

2000-01-04  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* {nmz,src}/*.c: Change C style (function definition).

2000-01-03  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/Makefile.am (gettext.pl): Remove "chmod +x $@"

2000-01-03  Ryuji Abe <raeva@t3.rim.or.jp>

	* acinclude.m4 (AM_WITH_CCMALLOC): Tiny Fix.
	(AM_PATH_LISPDIR): s/lookup/namazu/g.

	* nmz/Makefile.am (AUTOMAKE_OPTIONS): Set 1.4.
	(libnmz_la_LDFLAGS): Set -version-info 1:0:0 for 
	backward conpatibility.

	* pl/Makefile.am (localedir): Set $(datadir)/locale.
	(gettext.pl): Generated when make all.
	(perllib_DATA): Added gettext.pl.
	(EXTRA_DIST): Added gettext.pl.in.

	* pl/gettext/pl.in: Changed $(localedir) from 
	@prefix@/share/locale to %LOCALEDIR%.

2000-01-03  NOKUBI Takatsugu  <knok@daionet.gr.jp>

	* pl/gettext.pl.in: Added new file.

1999-12-31  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.pl.in (setup_magic): Fix a regex pattern. 
	[namazu-dev 1086]

	* nmz/i18n.c: Include "i18n.h"

	* filter/tex.pl (filter): Use \title{foo}, \author{bar},
	\begin{abstract} ... \end{abstract} information if available.

	* scripts/mknmz.pl.in (put_field_index): Use MAX_FIELD_LENGTH to
	limit a field string.
	(make_summary): Likewise.

	* pl/conf.pl.in: s/SUMMARY_LENGTH/MAX_FIELD_LENGTH/
	Add comments on MAX_FIELD_LENGTH.

	* scripts/mknmz.pl.in (load_modules): Use ../filter/*.pl if
	exists. (for developing use)
	(load_modules): Allow `-' in a filter file name.
	(load_modules): Restore unshift @INC, "../filter".

	* HACKING-ja: Attach [namazu-dev 1077] patch.

	* Makefile.am (snapshot): New rule for making snapshot.

	* man/Makefile.am (update-man): Fix mknmz's pathname.
	Replace " FSF$$" with "Namazu" in man files.

1999-12-30  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/conf.pl.in: Add ".*\.tex" to $ALLOW_REGEX.

	* scripts/mknmz.pl.in (load_modules): Remove:
	unshift @INC, "../filter"; Because it's useless.

	* filter/Makefile.am (filter_DATA): Add tex.pl

	* filter/tex.pl: New file. (derivated from pdf.pl)

	* scripts/mknmz.pl.in (setup_magic): Add settings for TeX .


1999-12-30  Ryuji Abe  <raeva@t3.rim.or.jp>

	* nmz-config.in (--cflags): Revert to set @includedir@
	instead of @pkgincludedir@.

	* pl/Makefile.am (perllib_DATA): Fixed typo.
	(EXTRA_DIST): Likewise.

1999-12-29  Ryuji Abe  <raeva@t3.rim.or.jp>

	* filter/Makefile.am (AUTOMAKE_OPTIONS): 1.4.
	(ETAGS_ARGS): Handling perl scripts.

	* pl/Makefile.am: Likewise.
	(COMMONDATA): Removed.

1999-12-28  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* pl/wakati.pl (wakatize_japanese_sub): Apply Makoto Fujiwara's
	patch. [namazu-dev 1070]


1999-12-27  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/mknmz.pl.in: Set autoflush(1) to STDERR.
	(main): Add debug messaging.

	* filter/man.pl (man_filter): Modify a regex to avoid exponential
	backtracking.

1999-12-24  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/search.c (do_prefix_match_search): Fix a bug occurred when no
	documents are hit.

	* scripts/bnamazu.in (main): Fix space-containing-argument bug.
	(cannot treat a phrase search query)

1999-12-24  Ryuji Abe <raeva@t3.rim.or.jp>

	* acinclude.m4 (AM_WITH_CCMALLOC): New Macro.

	* configure.in: add AM_WITH_CCMALLOC.

1999-12-23  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/libnamazu.h: Change QUERY_TOKEN_MAX: 16 -> 32.

1999-12-21  Makoto Fujiwara  <makoto@ki.nu>

	* po/Makefile.in.in: Add $(srcdir)/ to let BSD make work.

1999-12-21  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/util.c (nmz_tolower): New function. substitute for tolower(3).
	(nmz_strlower): Use nmz_tolower instead of tolower(3) because of
	some system's poor implementation. maybe locale problem?
	[namazu-dev 1058] 

1999-12-20  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* scripts/bnamazu.in (unlink_previous_netscape_tmpfile): New function.
	Since it is not good to remove a tmpfile immediately after
	invoking netscape (netscape requires the tmpfile to go back to
	it). we should remove a previous tmpfile at next bnamazu execution.
	(main): Use unlink_previous_netscape_tmpfile.

1999-12-20  Ryuji Abe  <raeva@t3.rim.or.jp>

	* scripts/Makefile.am (ETAGS_ARGS): Handling perl scripts.
	(tags): Removed.

1999-12-19  Ryuji Abe  <raeva@t3.rim.or.jp>

	* Makefile.am: Removed unnessesary `@SET_MAKE@'.

	* src/Makefile.am (templatedir): Removed.

	* scripts/Makefile.am (tags): Currently, target inserted as comment.

1999-12-19  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in (AC_OUTPUT): Add bnamazu.

	* scripts/Makefile.am (bin_SCRIPTS): Add bnamazu.

	* scripts/bnamazu.in: New file. Actually, it is revival.

	* src/output.c (print_hitnum_all_idx): Fix a bug which occuered
	only if -h option is specified and multiple indices are specified.

	* src/result.c (is_urireplace): Prepare its prototype declaration.
	(is_uridecode): Prepare its prototype declaration.
	
	* Makefile.am (SUBDIRS): Add scripts.

	* configure.in (AC_OUTPUT): Adjust to src/scripts exchanging.

	* scripts/Makefile.am: New file for generating perl scripts.
	(noinst_SCRIPTS): Bring gtnmz from bin_SCRIPTS to here because
	gtnmz is a tool for mainly debugging.

	* src/Makefile.am: Exclude perl scripts related codes.

	* scripts/gcnmz.pl.in,gtnmz.in,kwnmz.pl.in,mailutime.in,
	mknmz.pl.in,nmzgrep.in vfnmz.in: Moved from src.

	* scripts: New directory for containig mainly perl scripts.
	
1999-12-19  Makoto Fujiwara <makoto@ki.nu>
	
	* src/mknmz.pl.in (find_target): $Scanned to count total # of files.
	(read_config) Neat output when -V is said.
	(prep): Check lock2 before find_target (new function check_lock).
	(parse_option): Add --mtime to give the similar func. as find(1).
	(wanted): Warn filename if $name contains \n\r.
	
	* pl/usage.pl: add --mtime string.
	 
	* src/mknmz.pl.in (find_target): Add to show Elapsed time,
	If -V, print start and end time.
	
	* AUTHORS: Add my address
	
1999-12-18  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/mknmz.pl.in (parse_options): Do not call read_config() when
	--config option is specified.

	* conf/namazurc: Rewrited.

	* src/mknmz.pl.in (require_modules): Require Text::ChaSen instead
	of Text::ChaSen1. 

	* configure.in: Detect Text::ChaSen instead of Text::ChaSen1.
	

1999-12-17  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/mknmz.pl.in (wanted): Skip a file name containing LF/CR chars.
	(wanted): Fix a potential hazard. (Don't use $_ as default)

1999-12-16  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/mknmz.pl.in (read_config): Remove "mknmz.conf";
	(read_config): Modify a message slightly.

	* filter/gfilter.pl (show_filter_debug_info): Fix a warning.
	"Use of uninitialized value at ../filter/gfilter.pl line 30"

	* src/mknmz.pl.in (namazu_core): Use util::assert().
	(set_target_files()): Use util::assert().

	* pl/util.pl (assert): New function like assert(3);

	* src/mknmz.pl.in (find_target): Uniq @flist. [namazu-dev 1020]
	(find_target): Fix a syntax mistake.
	(check_file): Fix "is 0 size! skipped." condition. [namazu-dev 1023]

1999-12-15  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/Makefile.am (libnmz_la_LDFLAGS): Set -version-info to 0:1:0

	* src/message.h (MSG_MIME_HEADER): Reindented to column 1.

	* src/mknmz.pl.in: Apply Fujiwara-san's patch. [namazu-dev 1016]

	* src/Makefile.am (noinst_PROGRAMS): New variable: namazu.cgi
	(namazu_cgi_SOURCES): New variable: $(namazu_SOURCES)
	(namazu_cgi_LDFLAGS): New variable defining: -static
	for supporting to make a static-linked namazu.cgi executable.

	* nmz/util.h: Include libnamazu.h for resolving "enum nmz_stat".

	* template/NMZ.head{,.ja_JP.JIS7}.in: s/field:title/field:subject/g

1999-12-14  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/search.c (do_phrase_search): Don't interrupt main loop
	halfway for storing hitnums of all words consist the phrase.

	* src/output.c: Set pageindex to 1 as default. [namazu-dev 1001]

	* configure.in (OPT_WAKATI_DEFAULT): Set default to
	"none". [namazu-dev 997] 

1999-12-13  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 1.9.12.

	* pl/usage.pl: Use $var::VERSION in version info.

1999-12-12  Ryuji Abe <raeva@t3.rim.or.jp>

	* util.[ch] : Changed function names.
	s/strcasestr/nmz_strcasestr/g
	s/strlower/nmz_strlower/g
	s/strprefixcasecmp/nmz_strprefixcasecmp/g
	s/strprefixcmp/nmz_strprefixcmp/g
	s/strsuffixcmp/nmz_strsuffixcmp/g
	s/isnumstr/nmz_isnumstr/g
	s/issymbol/nmz_issymbol/g
	s/safe_getenv/nmz_getenv/g
	s/commas/nmz_commas/g
	s/freadx/nmz_fread/g
	s/getidxptr/nmz_getidxptr/g
	s/decode_uri/nmz_decode_uri/g
	s/print/nmz_print/g

	* nmz/field.c: Likewise.

	* nmz/hlist.c: Likewise.
	
	* nmz/i18n.c: Likewise.
	
	* nmz/rcfile.c: Likewise.
	
	* nmz/re.c: Likewise.
	
	* nmz/search.c: Likewise.
	
	* src/cgi.c: Likewise.
	
	* src/form.c: Likewise.
	
	* src/namazu.c: Likewise.
	
	* src/output.c: Likewise.
	
	* src/result.c: Likewise.
	

1999-12-11  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* src/nmzgrep: Put /dev/null to egrep's argument.

	* src/Makefile.am (bin_SCRIPTS): Add nmzgrep

1999-12-10  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* Namazu: Version 1.9.11 released.
	
	* configure.in (AM_INIT_AUTOMAKE): Bumped version number to 1.9.11.

	* src/cgi.h: Remove #ifdef __STDC__ related codes.
	src/output.h: Remove #ifdef __STDC__ related codes.
	src/result.h: Remove #ifdef __STDC__ related codes.
	nmz/alias.h: Remove #ifdef __STDC__ related codes.
	nmz/field.h: Remove #ifdef __STDC__ related codes.
	nmz/hlist.h: Remove #ifdef __STDC__ related codes.
	nmz/libnamazu.h: Remove #ifdef __STDC__ related codes.
	nmz/rcfile.h: Remove #ifdef __STDC__ related codes.
	nmz/regex.h: Remove #ifdef __STDC__ related codes.
	nmz/replace.h: Remove #ifdef __STDC__ related codes.
	nmz/search.h: Remove #ifdef __STDC__ related codes.
	nmz/util.h: Remove #ifdef __STDC__ related codes.

	* configure.in (AC_OUTPUT): Add nmzgrep.in handling.

	* src/nmzgrep.in: New file.

	* src/mailutime.in: Modify comments.

	* nmz/hlist.h: Remove badly made prototypes.

	* configure.in (AM_INIT_AUTOMAKE): Change a version number to 1.9.10.

	* src/cgi.c (process_cgi_var_sort): Fix a serious CGI bug.

	* nmz/hlist.c (set_sortfield): Renamed from set_sort_field.
	(get_sortfield): Renamed from get_sort_field.

	* src/output.c (print_hlist): Fix --list mode bug.

1999-12-09  Satoru Takabayashi  <satoru-t@is.aist-nara.ac.jp>

	* nmz/Makefile.am (libnmz_la_SOURCES): Add seed.h

	* configure.in (AM_INIT_AUTOMAKE): Change a version number to 1.9.9.

	* src/mknmz.pl.in (make_summary): Fix a bug [namazu-dev 965]

	* nmz/search.c (nmz_search): Modify error state handling.

	* nmz/hlist.c (merge_hlist): Set vallue.stat to SUCCESS.

	* src/output.c (print_result): Use nmz_get_errmsg().
	(print_hitnum_each): Use nmz_get_errmsg().

	* nmz/util.c (nmz_get_errmsg): New function.

	* nmz/search.c (nmz_search_sub): Renamed from search_sub().

	* nmz/search.c (search_sub): Modify access permission handling.

	* src/util.c: Abolish lastc();

	* nmz/re.c, nmz/search.c, nmz/util.c, src/result.c: Abolish using
	lastc().

	* nmz/util.c (nmz_debug_printf): Renamed from nmz_dprintf. (undo)
	(nmz_warn_printf): Renamed from nmz_wprintf. (undo) [namazu-dev 963]

	* nmz/search.c (binsearch): Chomp term.
	(show_status): Chomp buf.

	* nmz/util.c (nmz_drintf): Renamed from nmz_debug_printf.
	(nmz_wprintf): Renamed from nmz_warn_printf.
	(nmz_die): Modify LF treatment.
	(nmz_wprintf): Modify LF treatment.
	(nmz_dprintf): Modify LF treatment.
	(nmz_die_with_msg): Modify LF treatment.

	* nmz/hlist.c: Renamed variables: DocNum -> document_number.
	Field -> field_for_sort.
	
	* src/cgi.[ch]: Untypedef: CGIARG, CGIVAR and CGIVAR_FUNC.

	* nmz/replace.c (struct nmz_replace *replaces): Be private.

	* src/output.c (is_countmode): Be private.
	(is_listmode): Be private.
	(is_quietmode): Be private.
	(is_refprint): Be private.
	(print_hitnum): Be private.
	(print_hitnum_all_idx): Be private.
	(print_listing): Be private.
	(print_msgfile): Be private.
	(print_range): Be private.

	* nmz/rcfile.c (load_rcfile): Fix a bug occurred when no rcfile exists.

